//
// Copyright 2020 Electronic Arts Inc.
//
// TiberianDawn.DLL and RedAlert.dll and corresponding source code is free 
// software: you can redistribute it and/or modify it under the terms of 
// the GNU General Public License as published by the Free Software Foundation, 
// either version 3 of the License, or (at your option) any later version.

// TiberianDawn.DLL and RedAlert.dll and corresponding source code is distributed 
// in the hope that it will be useful, but with permitted additional restrictions 
// under Section 7 of the GPL. See the GNU General Public License in LICENSE.TXT 
// distributed with this program. You should have received a copy of the 
// GNU General Public License along with permitted additional restrictions 
// with this program. If not, see https://github.com/electronicarts/CnC_Remastered_Collection

#define TXT_NONE                 	0  	//                
#define TXT_CREDIT_FORMAT        	1  	// %3d.%02d
#define TXT_TIME_FORMAT_HOURS    	2  	// Temps:%02d:%02d:%02d
#define TXT_TIME_FORMAT_NO_HOURS 	3  	// Temps:%02d:%02d
#define TXT_BUTTON_SELL          	4  	// Vente
#define TXT_SELL                 	5  	// Vente structure
#define TXT_BUTTON_REPAIR        	6  	// Rparation
#define TXT_YOU                  	7  	// Vous :
#define TXT_ENEMY                	8  	// Ennemi :
#define TXT_BUILD_DEST           	9  	// Btiments dtruits par
#define TXT_UNIT_DEST            	10 	// Units dtruites par
#define TXT_TIB_HARV             	11 	// Minerai rcolt par
#define TXT_SCORE_1              	12 	// Score: %d
#define TXT_YES                  	13 	// Oui
#define TXT_NO                   	14 	// Non
#define TXT_SCENARIO_WON         	15 	// Mission Accomplie
#define TXT_SCENARIO_LOST        	16 	// Mission Echoue
#define TXT_START_NEW_GAME       	17 	// Nouvelle partie
#define TXT_INTRO                	18 	// Intro/Preview
#define TXT_CANCEL               	19 	// Annuler
#define TXT_ROCK                 	20 	// Rocher
#define TXT_CIVILIAN             	21 	// Civil
#define TXT_JP                   	22 	// Equipe de confinement
#define TXT_OK                   	23 	// OK
#define TXT_TREE                 	24 	// Arbre
#define TXT_LEFT                 	25 	// 
#define TXT_RIGHT                	26 	// 
#define TXT_UP                   	27 	// 
#define TXT_DOWN                 	28 	// 
#define TXT_CLEAR                	29 	// Effacer
#define TXT_WATER                	30 	// Eau
#define TXT_ROAD                 	31 	// Route
#define TXT_SLOPE                	32 	// Pente
#define TXT_PATCH                	33 	// Patch
#define TXT_RIVER                	34 	// Rivire
#define TXT_LOAD_MISSION         	35 	// Charger Mission
#define TXT_SAVE_MISSION         	36 	// Sauvegarder Mission
#define TXT_DELETE_MISSION       	37 	// Effacer Mission
#define TXT_LOAD_BUTTON          	38 	// Charger
#define TXT_SAVE_BUTTON          	39 	// Sauvegarder
#define TXT_DELETE_BUTTON        	40 	// Effacer
#define TXT_GAME_CONTROLS        	41 	// Contrles
#define TXT_SOUND_CONTROLS       	42 	// Son
#define TXT_RESUME_MISSION       	43 	// Reprendre Mission
#define TXT_VISUAL_CONTROLS      	44 	// Affichage
#define TXT_QUIT_MISSION         	45 	// Abandonner Mission
#define TXT_EXIT_GAME            	46 	// Quitter le jeu
#define TXT_OPTIONS              	47 	// Options
#define TXT_SQUISH               	48 	// Dbris humains
#define TXT_CRATER               	49 	// Cratre
#define TXT_SCORCH               	50 	// Marque de brlure
#define TXT_BRIGHTNESS           	51 	// Luminosit :
#define TXT_MUSIC                	52 	// Musique
#define TXT_VOLUME               	53 	// Effets sonores
#define TXT_TINT                 	54 	// Teintes :
#define TXT_CONTRAST             	55 	// Contraste :
#define TXT_SPEED                	56 	// Vitesse du jeu :
#define TXT_SCROLLRATE           	57 	// Vitesse dfilement :
#define TXT_COLOR                	58 	// Couleur :
#define TXT_RETURN_TO_GAME       	59 	// Revenir au jeu
#define TXT_ENEMY_SOLDIER        	60 	// Soldat ennemi
#define TXT_ENEMY_VEHICLE        	61 	// Vhicule ennemi
#define TXT_ENEMY_STRUCTURE      	62 	// Structure ennemie
#define TXT_LTANK                	63 	// Tank lger
#define TXT_MTANK                	64 	// Tank lourd
#define TXT_MTANK2               	65 	// Tank moyen
#define TXT_HTANK                	66 	// Tank Mammouth
#define TXT_SAM                  	67 	// Missiles SAM
#define TXT_JEEP                 	68 	// Ranger
#define TXT_TRANS                	69 	// Hlicoptre Chinook
#define TXT_HARVESTER            	70 	// Collecteur minerai
#define TXT_ARTY                 	71 	// Artillerie
#define TXT_E1                   	72 	// Mitrailleurs
#define TXT_E2                   	73 	// Grenadiers
#define TXT_E3                   	74 	// Bazookas
#define TXT_E4                   	75 	// Lance-flammes
#define TXT_HELI                 	76 	// Hlicoptre d'assaut
#define TXT_ORCA                 	77 	// Hind
#define TXT_APC                  	78 	// VBT
#define TXT_GUARD_TOWER          	79 	// Tour de garde
#define TXT_COMMAND              	80 	// Dme radar
#define TXT_HELIPAD              	81 	// Hliport
#define TXT_AIRSTRIP             	82 	// Piste d'atterrissage
#define TXT_STORAGE              	83 	// Silo minerai
#define TXT_CONST_YARD           	84 	// Chantier de construction
#define TXT_REFINERY             	85 	// Raffinerie de minerai
#define TXT_CIV1                 	86 	// Eglise
#define TXT_CIV2                 	87 	// Chez Hans et Gretel
#define TXT_CIV3                 	88 	// Manoir d'Hewitt
#define TXT_CIV4                 	89 	// Maison de Ricktor
#define TXT_CIV5                 	90 	// Maison de Gretchin
#define TXT_CIV6                 	91 	// La grange
#define TXT_CIV7                 	92 	// Pub Damon
#define TXT_CIV8                 	93 	// Maison de Fran
#define TXT_CIV9                 	94 	// Usine d'instruments
#define TXT_CIV10                	95 	// Fabricant de jouets
#define TXT_CIV11                	96 	// Maison de Ludwig
#define TXT_CIV12                	97 	// Meules de foin
#define TXT_CIV13                	98 	// Meule de foin
#define TXT_CIV14                	99 	// Champ de bl
#define TXT_CIV15                	100	// Champ en friche
#define TXT_CIV16                	101	// Champ de mas
#define TXT_CIV17                	102	// Champ de cleri
#define TXT_CIV18                	103	// Champ de pommes de terre
#define TXT_CIV20                	104	// Maison de Sala
#define TXT_CIV21                	105	// Maison d'Abdul
#define TXT_CIV22                	106	// Le Pub Barjo de Pablo
#define TXT_CIV23                	107	// Puits du village
#define TXT_CIV24                	108	// Marchand de chameaux
#define TXT_CIV25                	109	// Eglise
#define TXT_CIV26                	110	// Maison d'Ali
#define TXT_CIV27                	111	// Ted le Marchand
#define TXT_CIV28                	112	// Maison de Menelik
#define TXT_CIV29                	113	// Maison du pasteur John
#define TXT_CIV30                	114	// Puits du village
#define TXT_CIV31                	115	// Hutte du gurisseur
#define TXT_CIV32                	116	// Hutte de Rikitikitembo
#define TXT_CIV33                	117	// Hutte de Roarke
#define TXT_CIV34                	118	// Hutte de Moubasa'
#define TXT_CIV35                	119	// Hutte d'Aksoum
#define TXT_CIV36                	120	// Hutte de Mambo
#define TXT_CIV37                	121	// Le studio
#define TXT_CIVMISS              	122	// Centre technologique
#define TXT_TURRET               	123	// Tourelle
#define TXT_GUNBOAT              	124	// Aviso-torpilleur
#define TXT_MCV                  	125	// Vhicule de construction
#define TXT_POWER                	126	// Centrale lectrique
#define TXT_ADVANCED_POWER       	127	// Centrale lectrique avance
#define TXT_HOSPITAL             	128	// Hpital
#define TXT_BARRACKS             	129	// Caserne
#define TXT_PUMP                 	130	// Pompe
#define TXT_TANKER               	131	// Ptrolier
#define TXT_SANDBAG_WALL         	132	// Sacs de sable
#define TXT_CYCLONE_WALL         	133	// Clture grillage
#define TXT_BRICK_WALL           	134	// Mur de bton
#define TXT_BARBWIRE_WALL        	135	// Clture barbele
#define TXT_WOOD_WALL            	136	// Barrire de bois
#define TXT_WEAPON_FACTORY       	137	// Usine d'armement
#define TXT_AGUARD_TOWER         	138	// Tour de garde avance
#define TXT_BIO_LAB              	139	// Laboratoire biologique
#define TXT_FIX_IT               	140	// Centre de service
#define TXT_TAB_SIDEBAR          	141	// Contrles
#define TXT_TAB_BUTTON_CONTROLS  	142	// Options
#define TXT_TAB_BUTTON_DATABASE  	143	// Base de donnes
#define TXT_SHADOW               	144	// Terrain inconnu
#define TXT_OPTIONS_MENU         	145	// Menu des options
#define TXT_STOP                 	146	// Stop
#define TXT_PLAY                 	147	// Lect
#define TXT_SHUFFLE              	148	// Alat.
#define TXT_REPEAT               	149	// Rpter
#define TXT_MUSIC_VOLUME         	150	// Musique :
#define TXT_SOUND_VOLUME         	151	// Effets sonores :
#define TXT_ON                   	152	// Oui
#define TXT_OFF                  	153	// Non
#define TXT_MULTIPLAYER_GAME     	154	// Jeu Multijoueurs
#define TXT_NO_FILES             	155	// Pas de fichiers disponibles
#define TXT_DELETE_SINGLE_FILE   	156	// Voulez-vous effacer ce
#define TXT_DELETE_MULTIPLE_FILES	157	// Voulez-vous effacer %d
#define TXT_RESET_MENU           	158	// Dfaut
#define TXT_CONFIRM_EXIT         	159	// Voulez-vous abandonner la
#define TXT_MISSION_DESCRIPTION  	160	// Description de la mission
#define TXT_C1                   	161	// Joe
#define TXT_C2                   	162	// Barry
#define TXT_C3                   	163	// Shelly
#define TXT_C4                   	164	// Maria
#define TXT_C5                   	165	// Karen
#define TXT_C6                   	166	// Steve
#define TXT_C7                   	167	// Phil
#define TXT_C8                   	168	// Dwight
#define TXT_C9                   	169	// Erik
#define TXT_EINSTEIN             	170	// Prof. Einstein
#define TXT_BIB                  	171	// Cour
#define TXT_FASTER               	172	// Rapide
#define TXT_SLOWER               	173	// Lent
#define TXT_AIR_STRIKE           	174	// Attaque arienne
#define TXT_STEEL_CRATE          	175	// Caisse d'acier
#define TXT_WOOD_CRATE           	176	// Caisse de bois
#define TXT_WATER_CRATE          	177	// Caisse flottante
#define TXT_FLAG_SPOT            	178	// Emplacement du drapeau
#define TXT_UNABLE_READ_SCENARIO 	179	// Lecture scnario impossible
#define TXT_ERROR_LOADING_GAME   	180	// Erreur de chargement !
#define TXT_OBSOLETE_SAVEGAME    	181	// Sauvegarde obsolte
#define TXT_MUSTENTER_DESCRIPTION	182	// Vous devez entrer une
#define TXT_ERROR_SAVING_GAME    	183	// Erreur de sauvegarde !
#define TXT_DELETE_FILE_QUERY    	184	// Effacer ce fichier ?
#define TXT_EMPTY_SLOT           	185	// [EMPLACEMENT VIDE]
#define TXT_SELECT_MPLAYER_GAME  	186	// Choix du jeu Multijoueurs
#define TXT_MODEM_SERIAL         	187	// Modem/Srie
#define TXT_NETWORK              	188	// Rseau
#define TXT_INIT_NET_ERROR       	189	// Initialisation rseau
#define TXT_JOIN_NETWORK_GAME    	190	// Rejoindre jeu en rseau
#define TXT_NEW                  	191	// Nouveau
#define TXT_JOIN                 	192	// Joindre
#define TXT_SEND_MESSAGE         	193	// Envoi Message
#define TXT_YOUR_NAME            	194	// Votre nom :
#define TXT_SIDE_COLON           	195	// Camp :
#define TXT_COLOR_COLON          	196	// Couleur :
#define TXT_GAMES                	197	// Parties
#define TXT_PLAYERS              	198	// Joueurs
#define TXT_SCENARIO_COLON       	199	// Scnario :
#define TXT_NOT_FOUND            	200	// >> NON TROUVE <<
#define TXT_START_CREDITS_COLON  	201	// Crdits :
#define TXT_BASES_COLON          	202	// Bases :
#define TXT_TIBERIUM_COLON       	203	// Minerai :
#define TXT_CRATES_COLON         	204	// Caisses :
#define TXT_AI_PLAYERS_COLON     	205	// Joueurs IA :
#define TXT_REQUEST_DENIED       	206	// Demande refuse.
#define TXT_UNABLE_PLAY_WAAUGH   	207	// Impossible de jouer,
#define TXT_NOTHING_TO_JOIN      	208	// Aucune partie disponible !
#define TXT_NAME_ERROR           	209	// Vous devez entrer un nom !
#define TXT_DUPENAMES_NOTALLOWED 	210	// Les noms identiques ne sont
#define TXT_YOURGAME_OUTDATED    	211	// La version de votre jeu est
#define TXT_DESTGAME_OUTDATED    	212	// Version du jeu de
#define TXT_THATGUYS_GAME        	213	// Partie de %s
#define TXT_THATGUYS_GAME_BRACKET	214	// [Partie de %s]
#define TXT_NETGAME_SETUP        	215	// Configuration du jeu en
#define TXT_REJECT               	216	// Rejeter
#define TXT_CANT_REJECT_SELF     	217	// Vous ne pouvez pas vous
#define TXT_SELECT_PLAYER_REJECT 	218	// Vous devez slectionner un
#define TXT_BASES                	219	// Bases
#define TXT_CRATES               	220	// Caisses
#define TXT_AI_PLAYERS           	221	// Joueur IA
#define TXT_SCENARIOS            	222	// Scnarios
#define TXT_CREDITS_COLON        	223	// Crdits :
#define TXT_ONLY_ONE             	224	// Un seul joueur ?
#define TXT_OOPS                 	225	// Oops !
#define TXT_TO                   	226	// Pour %s :
#define TXT_TO_ALL               	227	// Pour tous
#define TXT_MESSAGE              	228	// Message :
#define TXT_CONNECTION_LOST      	229	// Perte de connexion avec %s
#define TXT_LEFT_GAME            	230	// %s a quitt le jeu.
#define TXT_PLAYER_DEFEATED      	231	// %s a t vaincu !
#define TXT_WAITING_CONNECT      	232	// Attente de connexion...
#define TXT_NULL_CONNERR_CHECK_CABLES	233	// Erreur de connexion !
#define TXT_MODEM_CONNERR_REDIALING	234	// Erreur de connexion !
#define TXT_MODEM_CONNERR_WAITING	235	// Erreur de connexion !
#define TXT_SELECT_SERIAL_GAME   	236	// Choix du jeu en srie
#define TXT_DIAL_MODEM           	237	// Appel
#define TXT_ANSWER_MODEM         	238	// Attente appel
#define TXT_NULL_MODEM           	239	// Null Modem
#define TXT_SETTINGS             	240	// Paramtres
#define TXT_PORT_COLON           	241	// Port :
#define TXT_IRQ_COLON            	242	// IRQ :
#define TXT_BAUD_COLON           	243	// Bauds :
#define TXT_INIT_STRING          	244	// Chane d'initialisation
#define TXT_CWAIT_STRING         	245	// Chane d'attente d'appel
#define TXT_TONE_BUTTON          	246	// Tonalit
#define TXT_PULSE_BUTTON         	247	// Impulsions
#define TXT_HOST_SERIAL_GAME     	248	// Hte du jeu en srie
#define TXT_OPPONENT_COLON       	249	// Adversaire :
#define TXT_USER_SIGNED_OFF      	250	// Utilisateur reparti !
#define TXT_JOIN_SERIAL_GAME     	251	// Rejoindre jeu en srie
#define TXT_PHONE_LIST           	252	// Rpertoire
#define TXT_ADD                  	253	// Ajouter
#define TXT_EDIT                 	254	// Editer
#define TXT_DIAL                 	255	// Appel
#define TXT_DEFAULT              	256	// Dfaut
#define TXT_DEFAULT_SETTINGS     	257	// Dfaut
#define TXT_CUSTOM_SETTINGS      	258	// Autres paramtres
#define TXT_PHONE_LISTING        	259	// Rpertoire
#define TXT_NAME_COLON           	260	// Nom :
#define TXT_NUMBER_COLON         	261	// Numro :
#define TXT_UNABLE_FIND_MODEM    	262	// Modem non dtect. Vrifiez
#define TXT_NO_CARRIER           	263	// Pas de porteuse.
#define TXT_LINE_BUSY            	264	// Ligne occupe.
#define TXT_NUMBER_INVALID       	265	// Numro incorrect.
#define TXT_SYSTEM_NOT_RESPONDING	266	// L'autre systme ne rpond
#define TXT_OUT_OF_SYNC          	267	// Mauvaise synchronisation !
#define TXT_PACKET_TOO_LATE      	268	// Paquet reu trop tard !
#define TXT_PLAYER_LEFT_GAME     	269	// L'autre joueur a quitt le
#define TXT_FROM                 	270	// De %s:%s
#define TXT_SCORE_TIME           	271	// TEMPS :
#define TXT_SCORE_LEAD           	272	// COMMANDEMENT :
#define TXT_SCORE_EFFI           	273	// EFFICACITE :
#define TXT_SCORE_TOTA           	274	// SCORE TOTAL :
#define TXT_SCORE_CASU           	275	// PERTES :
#define TXT_SCORE_NEUT           	276	// NEUTRE :
#define TXT_SCORE_BUIL           	277	// BATIMENTS PERDUS
#define TXT_SCORE_BUIL1          	278	// BATIMENTS
#define TXT_SCORE_BUIL2          	279	// PERDUS :
#define TXT_SCORE_TOP            	280	// MEILLEURS SCORES
#define TXT_SCORE_ENDCRED        	281	// CREDITS DE FIN :
#define TXT_SCORE_TIMEFORMAT1    	282	// %dh %dm
#define TXT_SCORE_TIMEFORMAT2    	283	// %dm
#define TXT_DIALING              	284	// Appel...
#define TXT_DIALING_CANCELED     	285	// Appel annul
#define TXT_WAITING_FOR_CALL     	286	// Attente d'appel...
#define TXT_ANSWERING_CANCELED   	287	// Attente d'appel annule
#define TXT_E6                   	288	// Ingnieurs
#define TXT_E8                   	289	// Espion
#define TXT_MODEM_OR_LOOPBACK    	290	// Pas de cble Null Modem
#define TXT_MAP                  	291	// Carte
#define TXT_BLOSSOM_TREE         	292	// Arbre en fleurs
#define TXT_RESTATE_MISSION      	293	// Briefing
#define TXT_COMPUTER             	294	// Joueur IA
#define TXT_COUNT                	295	// Nombre :
#define TXT_LEVEL                	296	// Niveau :
#define TXT_OPPONENT             	297	// Adversaire
#define TXT_KILLS_COLON          	298	// Vict.:
#define TXT_VIDEO                	299	// Vido
#define TXT_C10                  	300	// Scientifique
#define TXT_CAPTURE_THE_FLAG     	301	// Capture drapeau
#define TXT_OBJECTIVE            	302	// Objectifs de mission
#define TXT_MISSION              	303	// Mission
#define TXT_NO_SAVES             	304	// Pas de sauvegardes
#define TXT_CIVILIAN_BUILDING    	305	// Btiment civil
#define TXT_TECHNICIAN           	306	// Technicien
#define TXT_NO_SAVELOAD          	307	// Sauvegarde interdite en
#define TXT_DELPHI               	308	// Agent Spcial 1
#define TXT_TO_REPLAY            	309	// Voulez-vous recommencer
#define TXT_RECONN_TO            	310	// Reconnexion vers %s.
#define TXT_PLEASE_WAIT          	311	// Attendez %02d secondes.
#define TXT_SURRENDER            	312	// Voulez-vous vous rendre ?
#define TXT_SEL_TRANS            	313	// CHOIX DE LA TRANSMISSION
#define TXT_GAMENAME_MUSTBE_UNIQUE	314	// Les sauvegardes ne peuvent
#define TXT_GAME_IS_CLOSED       	315	// Partie ferme.
#define TXT_NAME_MUSTBE_UNIQUE   	316	// Les noms doivent tre tous
#define TXT_RECONNECTING_TO      	317	// Reconnexion vers %s
#define TXT_WAITING_FOR_CONNECTIONS	318	// Attente de connexions...
#define TXT_TIME_ALLOWED         	319	// Temps autoris : %02d
#define TXT_PRESS_ESC            	320	// Appuyez sur Echap pour
#define TXT_JUST_YOU_AND_ME      	321	// De l'ordinateur : Il ne
#define TXT_CAPTURE_THE_FLAG_COLON	322	// Capture du drapeau :
#define TXT_CHAN                 	323	// Agent Spcial 2
#define TXT_HAS_ALLIED           	324	// %s s'est alli(e) avec %s
#define TXT_AT_WAR               	325	// %s dclare la guerre  %s
#define TXT_SEL_TARGET           	326	// Choisissez un cible
#define TXT_RESIGN               	327	// Abandonner
#define TXT_TIBERIUM_FAST        	328	// Le minerai pousse trs
#define TXT_ANSWERING            	329	// Rponse en cours...
#define TXT_INITIALIZING_MODEM   	330	// Initialisation Modem...
#define TXT_SCENARIOS_DO_NOT_MATCH	331	// Les scnarios ne
#define TXT_POWER_OUTPUT         	332	// Production d'nergie
#define TXT_POWER_OUTPUT_LOW     	333	// Production d'nergie
#define TXT_CONTINUE             	334	// Continuer
#define TXT_QUEUE_FULL           	335	// Saturation des donnes 
#define TXT_SPECIAL_WARNING      	336	// %s a modifi les options de
#define TXT_CD_DIALOG_1          	337	// Placez un CD d'Alerte Rouge
#define TXT_CD_DIALOG_2          	338	// Placez le CD %d (%s) dans
#define TXT_CD_ERROR1            	339	// Alerte Rouge n'a pas
#define TXT_NO_SOUND_CARD        	340	// Pas de carte sonore
#define TXT_UNKNOWN              	341	// INCONNU
#define TXT_OLD_GAME             	342	// (ancien)
#define TXT_NO_SPACE             	343	// Espace disque insuffisant
#define TXT_MUST_HAVE_SPACE      	344	// Vous devez disposer de %d
#define TXT_RUN_SETUP            	345	// Lancez d'abord le programme
#define TXT_WAITING_FOR_OPPONENT 	346	// Attente adversaire
#define TXT_SELECT_SETTINGS      	347	// Choisissez l'option
#define TXT_PRISON               	348	// Prison
#define TXT_GAME_WAS_SAVED       	349	// Mission sauvegarde
#define TXT_SPACE_CANT_SAVE      	350	// Espace disque insuffisant
#define TXT_INVALID_PORT_ADDRESS 	351	// Port/Adresse invalide. COM
#define TXT_INVALID_SETTINGS     	352	// paramtres Port et/ou IRQ
#define TXT_IRQ_ALREADY_IN_USE   	353	// IRQ dj utilis
#define TXT_ABORT                	354	// Oui
#define TXT_RESTART              	355	// Recommencer
#define TXT_RESTARTING           	356	// Mission relance. Attendez
#define TXT_LOADING              	357	// Chargement de la mission.
#define TXT_ERROR_IN_INITSTRING  	358	// Erreur chane
#define TXT_SHADOW_COLON         	359	// Ombre
#define TXT_AVMINE               	360	// Mine Anti-Vhicule
#define TXT_APMINE               	361	// Mine Anti-Personnel
#define TXT_NEW_MISSIONS         	362	// Nouvelles missions
#define TXT_THIEF                	363	// Voleur
#define TXT_MRJ                  	364	// Brouilleur de radar
#define TXT_GAP_GENERATOR        	365	// Gnrateur d'ombre
#define TXT_PILLBOX              	366	// Bunker
#define TXT_CAMOPILLBOX          	367	// Bunker camoufl
#define TXT_CHRONOSPHERE         	368	// Chronosphre
#define TXT_ENGLAND              	369	// Roy. Uni
#define TXT_GERMANY              	370	// Allemagne
#define TXT_SPAIN                	371	// Espagne
#define TXT_USSR                 	372	// URSS
#define TXT_UKRAINE              	373	// Ukraine
#define TXT_GREECE               	374	// Grce
#define TXT_FRANCE               	375	// France
#define TXT_TURKEY               	376	// Turquie
#define TXT_SHORE                	377	// Rivage
#define TXT_PLACE_OBJECT         	378	// Choisir objet
#define TXT_SS                   	379	// Sous-marin
#define TXT_DD                   	380	// Contre-torpilleur
#define TXT_CA                   	381	// Croiseur
#define TXT_TRANSPORT            	382	// Transport
#define TXT_PT                   	383	// Aviso-torpilleur
#define TXT_LOBBY                	384	// Hall
#define TXT_CHANNEL_GAMES        	385	// Parties
#define TXT_SAVING_GAME          	386	// Sauvegarder partie...
#define TXT_GAME_FULL            	387	// La partie est au complet.
#define TXT_MUST_SELECT_GAME     	388	// Vous devez slectionner une
#define TXT_S_PLAYING_S          	389	// %s joue contre %s
#define TXT_ONLY_HOST_CAN_MODIFY 	390	// Seul l'hte peut modifier
#define TXT_GAME_CANCELLED       	391	// La partie a t annule.
#define TXT_S_FORMED_NEW_GAME    	392	// %s a initi une nouvelle
#define TXT_GAME_NOW_IN_PROGRESS 	393	// La partie de %s est
#define TXT_TESLA                	394	// Bobine de Tesla
#define TXT_MGG                  	395	// Gnrateur d'ombre mobile
#define TXT_FLAME_TURRET         	396	// Tour lance-flammes
#define TXT_AAGUN                	397	// Canon Anti-Avion
#define TXT_KENNEL               	398	// Niche
#define TXT_SOVIET_TECH          	399	// Centre Technique
#define TXT_BADGER               	400	// Bombardier
#define TXT_MIG                  	401	// Mig
#define TXT_YAK                  	402	// Yak
#define TXT_FENCE                	403	// Barbels
#define TXT_MEDIC                	404	// Mdecin
#define TXT_SABOTEUR             	405	// Saboteur
#define TXT_GENERAL              	406	// Gnral
#define TXT_E7                   	407	// Tanya
#define TXT_PARA_BOMB            	408	// Parabombes
#define TXT_PARA_INFANTRY        	409	// Parachutistes
#define TXT_PARA_SABOTEUR        	410	// Saboteur parachutiste
#define TXT_SHIP_YARD            	411	// Chantier naval
#define TXT_SUB_PEN              	412	// Port sous-marin
#define TXT_SCENARIO_OPTIONS     	413	// Options Scnario
#define TXT_SPY_MISSION          	414	// Avion espion
#define TXT_U2                   	415	// Avion espion
#define TXT_GUARD_DOG            	416	// Chien d'attaque
#define TXT_SPY_INFO             	417	// Info Espion
#define TXT_BUILDNGS             	418	// Btiments
#define TXT_UNITS                	419	// Units
#define TXT_INFANTRY             	420	// Infanterie
#define TXT_AIRCRAFT             	421	// Avion
#define TXT_TRUCK                	422	// Camion d'approvisionnement
#define TXT_INVUL                	423	// Module d'invulnrabilit
#define TXT_IRON_CURTAIN         	424	// Rideau de Fer
#define TXT_ADVANCED_TECH        	425	// Centre technique avanc
#define TXT_V2_LAUNCHER          	426	// Lance-roquettes V2
#define TXT_FORWARD_COM          	427	// Poste de commandement
#define TXT_DEMOLITIONER         	428	// Bombardeur
#define TXT_MINE_LAYER           	429	// Poseur de mines
#define TXT_FAKE_CONST           	430	// Chantier de construction
#define TXT_FAKE_WEAP            	431	// Usine d'armement leurre
#define TXT_FAKE_YARD            	432	// Chantier naval leurre
#define TXT_FAKE_PEN             	433	// Port sous-marin leurre
#define TXT_FAKE_RADAR           	434	// Dme radar leurre
#define TXT_THEME_BIGF           	435	// Bigfoot
#define TXT_THEME_CRUS           	436	// La rvolte
#define TXT_THEME_FAC1           	437	// A l'attaque 1
#define TXT_THEME_FAC2           	438	// A l'attaque 2
#define TXT_THEME_HELL           	439	// Marche de l'enfer
#define TXT_THEME_RUN1           	440	// Sauve-qui-peut
#define TXT_THEME_SMSH           	441	// La dbcle
#define TXT_THEME_TREN           	442	// Tranches
#define TXT_THEME_WORK           	443	// Les professionnels
#define TXT_THEME_AWAIT          	444	// Attente
#define TXT_THEME_DENSE_R        	445	// Dense
#define TXT_THEME_MAP            	446	// Slection carte
#define TXT_THEME_FOGGER1A       	447	// Fogger
#define TXT_THEME_MUD1A          	448	// Boue
#define TXT_THEME_RADIO2         	449	// Radio 2
#define TXT_THEME_ROLLOUT        	450	// Laminage
#define TXT_THEME_SNAKE          	451	// Serpent
#define TXT_THEME_TERMINAT       	452	// Extermination
#define TXT_THEME_TWIN           	453	// Jumeau
#define TXT_THEME_VECTOR1A       	454	// Vecteur
#define TXT_TEAM_MEMBERS         	455	// Equipiers
#define TXT_BRIDGE               	456	// Pont
#define TXT_BARREL               	457	// Baril
#define TXT_GOODGUY              	458	// Amical
#define TXT_BADGUY               	459	// Ennemi
#define TXT_GOLD                 	460	// Or
#define TXT_GEMS                 	461	// Gemmes
#define TXT_TEASER               	462	// Film titre
#define TXT_MOVIES               	463	// Films
#define TXT_INTERIOR             	464	// Intrieur
#define TXT_SONAR_PULSE          	465	// Signal sonar
#define TXT_MSLO                 	466	// Silo de missiles
#define TXT_GPS_SATELLITE        	467	// Satellite GPS
#define TXT_NUCLEAR_BOMB         	468	// Bombe atomique
#define TXT_EASY                 	469	// Facile
#define TXT_HARD                 	470	// Difficile
#define TXT_NORMAL               	471	// Normal
#define TXT_DIFFICULTY           	472	// Slectionnez un niveau de
#define TXT_ALLIES               	473	// Allis
#define TXT_SOVIET               	474	// Soviets
#define TXT_THEME_INTRO          	475	// Thme Intro
#define TXT_SHADOW_REGROWS       	476	// Progr. ombre
#define TXT_ORE_SPREADS          	477	// Progr. minerai
#define TXT_THEME_SCORE          	478	// Musiques
#define TXT_INTERNET             	479	// Internet
#define TXT_ICE                  	480	// Glace
#define TXT_CRATE                	481	// Caisses
#define TXT_SKIRMISH             	482	// Escarmouche
#define TXT_CHOOSE               	483	// Choisissez votre camp.
#define TXT_MINERALS             	484	// Minraux prcieux
#define TXT_IGNORE               	485	// Ignorer
#define TXT_ERROR_NO_RESP        	486	// Erreur - le modem ne rpond
#define TXT_ERROR_NO_RESCODE     	487	// Erreur - Le modem n'a pas
#define TXT_ERROR_NO_INIT        	488	// Erreur - Le modem n'a pas
#define TXT_ERROR_NO_VERB        	489	// Erreur - Le modem n'a pas
#define TXT_ERROR_NO_ECHO        	490	// Erreur - Le modem n'a pas
#define TXT_ERROR_NO_DISABLE     	491	// Erreur - Impossible de
#define TXT_ERROR_TOO_MANY       	492	// Erreur - Trop d'erreurs
#define TXT_ERROR_ERROR          	493	// Erreur - Le modem a
#define TXT_ERROR_TIMEOUT        	494	// Erreur - Temps d'attente de
#define TXT_ACCOMPLISHED         	495	// Accompli
#define TXT_CLICK_CONTINUE       	496	// Cliquez pour continuer
#define TXT_RECEIVING_SCENARIO   	497	// Rception du scnario de
#define TXT_SENDING_SCENARIO     	498	// Envoi du scnario aux
#define TXT_NO_FLOW_CONTROL_RESPONSE	499	// Erreur - Le modem n'a pas
#define TXT_NO_COMPRESSION_RESPONSE	500	// Erreur - Le modem n'a pas
#define TXT_NO_ERROR_CORRECTION_RESPONSE	501	// Erreur - Le modem n'a pas
#define TXT_EXPLAIN_REGISTRATION 	502	// Pour jouer  Alerte Rouge
#define TXT_ERROR_UNABLE_TO_RUN_WCHAT	503	// Erreur - Impossible
#define TXT_REGISTER             	504	// Enregistrer
#define TXT_ORE_MINE             	505	// Gisement Minerai
#define TXT_NO_REGISTERED_MODEM  	506	// Aucun modem configur
#define TXT_CHRONOSHIFT          	507	// Dplacement chronoporte
#define TXT_UNABLE_TO_OPEN_PORT  	508	// Adresse invalide ou en
#define TXT_NO_DIAL_TONE         	509	// Pas de tonalit.
#define TXT_NO_EXPANSION_SCENARIO	510	// Erreur - L'autre joueur n'a
#define TXT_STAND_BY             	511	// Patientez SVP...
#define TXT_THEME_CREDITS        	512	// Musique du gnrique de fin
#define TXT_POWER_AAGUN          	513	// Puissance faible: Canon(s)
#define TXT_POWER_TESLA          	514	// Puissance faible: Bobine(s)
#define TXT_LOW_POWER            	515	// Puissance Faible
#define TXT_COMMANDER            	516	// Commandant:
#define TXT_BATTLES_WON          	517	// Parties gagnes:
#define TXT_MISMATCH             	518	// Fichier de donnes du jeu
#define TXT_SCENARIO_ERROR       	519	// Votre version de jeu
#define TXT_CONNECTING           	520	// Connecting
#define TXT_MODEM_INITIALISATION 	521	// Initialisation du Modem
#define TXT_DATA_COMPRESSION     	522	// Compression des Donnes
#define TXT_ERROR_CORRECTION     	523	// Correction d'Erreur
#define TXT_HARDWARE_FLOW_CONTROL	524	// Contrle Matriel du Flux
#define TXT_ADVANCED             	525	// Avanc
#define TXT_THEME_2ND_HAND       	526	// Seconde main
#define TXT_THEME_ARAZOID        	527	// Arazode
#define TXT_THEME_BACKSTAB       	528	// Retour  l'envoyeur
#define TXT_THEME_CHAOS2         	529	// Chaos2
#define TXT_THEME_SHUT_IT        	530	// Fermez-la !
#define TXT_THEME_TWINMIX1       	531	// Visite de courtoisie
#define TXT_THEME_UNDER3         	532	// A couvert
#define TXT_THEME_VR2            	533	// VR2
#define TXT_ASK_EMERGENCY_SAVE_NOT_RESPONDING	534	// L'autre systme ne rpond
#define TXT_ASK_EMERGENCY_SAVE_HUNG_UP	535	// L'autre systme a
#define TXT_NO_REG_APP           	536	// Alerte Rouge n'a pu
#define TXT_NO_CS_SCENARIOS      	537	// Un joueur de la partie n'a
#define TXT_MISSILESUB           	538	// Sous-marin MS
#define TXT_SHOCKTROOPER         	539	// Electrocuteur
#define TXT_MECHANIC             	540	// Mcanicien
#define TXT_CHRONOTANK           	541	// Chrono Tank
#define TXT_TESLATANK            	542	// Tank Tesla
#define TXT_MAD                  	543	// Tank M.A.D.
#define TXT_DEMOTRUCK            	544	// Camion de dmolition
#define TXT_PHASETRANSPORT       	545	// Transport Camlon
#define TXT_THEME_BOG            	546	// Marcages
#define TXT_THEME_FLOAT_V2       	547	// Volutes
#define TXT_THEME_GLOOM          	548	// Tnbres
#define TXT_THEME_GRNDWIRE       	549	// Terrain min
#define TXT_THEME_RPT            	550	// Mcaniciens 2
#define TXT_THEME_SEARCH         	551	// Battue
#define TXT_THEME_TRACTION       	552	// Traction
#define TXT_THEME_WASTELND       	553	// Chaos
#define TXT_CARRIER              	554	// Hliport Mobile
#define TXT_INSUFFICIENT_FUNDS      555