//
// Copyright 2020 Electronic Arts Inc.
//
// TiberianDawn.DLL and RedAlert.dll and corresponding source code is free 
// software: you can redistribute it and/or modify it under the terms of 
// the GNU General Public License as published by the Free Software Foundation, 
// either version 3 of the License, or (at your option) any later version.

// TiberianDawn.DLL and RedAlert.dll and corresponding source code is distributed 
// in the hope that it will be useful, but with permitted additional restrictions 
// under Section 7 of the GPL. See the GNU General Public License in LICENSE.TXT 
// distributed with this program. You should have received a copy of the 
// GNU General Public License along with permitted additional restrictions 
// with this program. If not, see https://github.com/electronicarts/CnC_Remastered_Collection


long DiffTable[] = {
	0,	// Index = 0, Token = 0
	1,	// Index = 0, Token = 1
	3,	// Index = 0, Token = 2
	4,	// Index = 0, Token = 3
	7,	// Index = 0, Token = 4
	8,	// Index = 0, Token = 5
	10,	// Index = 0, Token = 6
	11,	// Index = 0, Token = 7
	0,	// Index = 0, Token = 8
	-1,	// Index = 0, Token = 9
	-3,	// Index = 0, Token = 10
	-4,	// Index = 0, Token = 11
	-7,	// Index = 0, Token = 12
	-8,	// Index = 0, Token = 13
	-10,	// Index = 0, Token = 14
	-11,	// Index = 0, Token = 15
	1,	// Index = 1, Token = 0
	3,	// Index = 1, Token = 1
	5,	// Index = 1, Token = 2
	7,	// Index = 1, Token = 3
	9,	// Index = 1, Token = 4
	11,	// Index = 1, Token = 5
	13,	// Index = 1, Token = 6
	15,	// Index = 1, Token = 7
	-1,	// Index = 1, Token = 8
	-3,	// Index = 1, Token = 9
	-5,	// Index = 1, Token = 10
	-7,	// Index = 1, Token = 11
	-9,	// Index = 1, Token = 12
	-11,	// Index = 1, Token = 13
	-13,	// Index = 1, Token = 14
	-15,	// Index = 1, Token = 15
	1,	// Index = 2, Token = 0
	3,	// Index = 2, Token = 1
	5,	// Index = 2, Token = 2
	7,	// Index = 2, Token = 3
	10,	// Index = 2, Token = 4
	12,	// Index = 2, Token = 5
	14,	// Index = 2, Token = 6
	16,	// Index = 2, Token = 7
	-1,	// Index = 2, Token = 8
	-3,	// Index = 2, Token = 9
	-5,	// Index = 2, Token = 10
	-7,	// Index = 2, Token = 11
	-10,	// Index = 2, Token = 12
	-12,	// Index = 2, Token = 13
	-14,	// Index = 2, Token = 14
	-16,	// Index = 2, Token = 15
	1,	// Index = 3, Token = 0
	3,	// Index = 3, Token = 1
	6,	// Index = 3, Token = 2
	8,	// Index = 3, Token = 3
	11,	// Index = 3, Token = 4
	13,	// Index = 3, Token = 5
	16,	// Index = 3, Token = 6
	18,	// Index = 3, Token = 7
	-1,	// Index = 3, Token = 8
	-3,	// Index = 3, Token = 9
	-6,	// Index = 3, Token = 10
	-8,	// Index = 3, Token = 11
	-11,	// Index = 3, Token = 12
	-13,	// Index = 3, Token = 13
	-16,	// Index = 3, Token = 14
	-18,	// Index = 3, Token = 15
	1,	// Index = 4, Token = 0
	3,	// Index = 4, Token = 1
	6,	// Index = 4, Token = 2
	8,	// Index = 4, Token = 3
	12,	// Index = 4, Token = 4
	14,	// Index = 4, Token = 5
	17,	// Index = 4, Token = 6
	19,	// Index = 4, Token = 7
	-1,	// Index = 4, Token = 8
	-3,	// Index = 4, Token = 9
	-6,	// Index = 4, Token = 10
	-8,	// Index = 4, Token = 11
	-12,	// Index = 4, Token = 12
	-14,	// Index = 4, Token = 13
	-17,	// Index = 4, Token = 14
	-19,	// Index = 4, Token = 15
	1,	// Index = 5, Token = 0
	4,	// Index = 5, Token = 1
	7,	// Index = 5, Token = 2
	10,	// Index = 5, Token = 3
	13,	// Index = 5, Token = 4
	16,	// Index = 5, Token = 5
	19,	// Index = 5, Token = 6
	22,	// Index = 5, Token = 7
	-1,	// Index = 5, Token = 8
	-4,	// Index = 5, Token = 9
	-7,	// Index = 5, Token = 10
	-10,	// Index = 5, Token = 11
	-13,	// Index = 5, Token = 12
	-16,	// Index = 5, Token = 13
	-19,	// Index = 5, Token = 14
	-22,	// Index = 5, Token = 15
	1,	// Index = 6, Token = 0
	4,	// Index = 6, Token = 1
	7,	// Index = 6, Token = 2
	10,	// Index = 6, Token = 3
	14,	// Index = 6, Token = 4
	17,	// Index = 6, Token = 5
	20,	// Index = 6, Token = 6
	23,	// Index = 6, Token = 7
	-1,	// Index = 6, Token = 8
	-4,	// Index = 6, Token = 9
	-7,	// Index = 6, Token = 10
	-10,	// Index = 6, Token = 11
	-14,	// Index = 6, Token = 12
	-17,	// Index = 6, Token = 13
	-20,	// Index = 6, Token = 14
	-23,	// Index = 6, Token = 15
	1,	// Index = 7, Token = 0
	4,	// Index = 7, Token = 1
	8,	// Index = 7, Token = 2
	11,	// Index = 7, Token = 3
	15,	// Index = 7, Token = 4
	18,	// Index = 7, Token = 5
	22,	// Index = 7, Token = 6
	25,	// Index = 7, Token = 7
	-1,	// Index = 7, Token = 8
	-4,	// Index = 7, Token = 9
	-8,	// Index = 7, Token = 10
	-11,	// Index = 7, Token = 11
	-15,	// Index = 7, Token = 12
	-18,	// Index = 7, Token = 13
	-22,	// Index = 7, Token = 14
	-25,	// Index = 7, Token = 15
	2,	// Index = 8, Token = 0
	6,	// Index = 8, Token = 1
	10,	// Index = 8, Token = 2
	14,	// Index = 8, Token = 3
	18,	// Index = 8, Token = 4
	22,	// Index = 8, Token = 5
	26,	// Index = 8, Token = 6
	30,	// Index = 8, Token = 7
	-2,	// Index = 8, Token = 8
	-6,	// Index = 8, Token = 9
	-10,	// Index = 8, Token = 10
	-14,	// Index = 8, Token = 11
	-18,	// Index = 8, Token = 12
	-22,	// Index = 8, Token = 13
	-26,	// Index = 8, Token = 14
	-30,	// Index = 8, Token = 15
	2,	// Index = 9, Token = 0
	6,	// Index = 9, Token = 1
	10,	// Index = 9, Token = 2
	14,	// Index = 9, Token = 3
	19,	// Index = 9, Token = 4
	23,	// Index = 9, Token = 5
	27,	// Index = 9, Token = 6
	31,	// Index = 9, Token = 7
	-2,	// Index = 9, Token = 8
	-6,	// Index = 9, Token = 9
	-10,	// Index = 9, Token = 10
	-14,	// Index = 9, Token = 11
	-19,	// Index = 9, Token = 12
	-23,	// Index = 9, Token = 13
	-27,	// Index = 9, Token = 14
	-31,	// Index = 9, Token = 15
	2,	// Index = 10, Token = 0
	6,	// Index = 10, Token = 1
	11,	// Index = 10, Token = 2
	15,	// Index = 10, Token = 3
	21,	// Index = 10, Token = 4
	25,	// Index = 10, Token = 5
	30,	// Index = 10, Token = 6
	34,	// Index = 10, Token = 7
	-2,	// Index = 10, Token = 8
	-6,	// Index = 10, Token = 9
	-11,	// Index = 10, Token = 10
	-15,	// Index = 10, Token = 11
	-21,	// Index = 10, Token = 12
	-25,	// Index = 10, Token = 13
	-30,	// Index = 10, Token = 14
	-34,	// Index = 10, Token = 15
	2,	// Index = 11, Token = 0
	7,	// Index = 11, Token = 1
	12,	// Index = 11, Token = 2
	17,	// Index = 11, Token = 3
	23,	// Index = 11, Token = 4
	28,	// Index = 11, Token = 5
	33,	// Index = 11, Token = 6
	38,	// Index = 11, Token = 7
	-2,	// Index = 11, Token = 8
	-7,	// Index = 11, Token = 9
	-12,	// Index = 11, Token = 10
	-17,	// Index = 11, Token = 11
	-23,	// Index = 11, Token = 12
	-28,	// Index = 11, Token = 13
	-33,	// Index = 11, Token = 14
	-38,	// Index = 11, Token = 15
	2,	// Index = 12, Token = 0
	7,	// Index = 12, Token = 1
	13,	// Index = 12, Token = 2
	18,	// Index = 12, Token = 3
	25,	// Index = 12, Token = 4
	30,	// Index = 12, Token = 5
	36,	// Index = 12, Token = 6
	41,	// Index = 12, Token = 7
	-2,	// Index = 12, Token = 8
	-7,	// Index = 12, Token = 9
	-13,	// Index = 12, Token = 10
	-18,	// Index = 12, Token = 11
	-25,	// Index = 12, Token = 12
	-30,	// Index = 12, Token = 13
	-36,	// Index = 12, Token = 14
	-41,	// Index = 12, Token = 15
	3,	// Index = 13, Token = 0
	9,	// Index = 13, Token = 1
	15,	// Index = 13, Token = 2
	21,	// Index = 13, Token = 3
	28,	// Index = 13, Token = 4
	34,	// Index = 13, Token = 5
	40,	// Index = 13, Token = 6
	46,	// Index = 13, Token = 7
	-3,	// Index = 13, Token = 8
	-9,	// Index = 13, Token = 9
	-15,	// Index = 13, Token = 10
	-21,	// Index = 13, Token = 11
	-28,	// Index = 13, Token = 12
	-34,	// Index = 13, Token = 13
	-40,	// Index = 13, Token = 14
	-46,	// Index = 13, Token = 15
	3,	// Index = 14, Token = 0
	10,	// Index = 14, Token = 1
	17,	// Index = 14, Token = 2
	24,	// Index = 14, Token = 3
	31,	// Index = 14, Token = 4
	38,	// Index = 14, Token = 5
	45,	// Index = 14, Token = 6
	52,	// Index = 14, Token = 7
	-3,	// Index = 14, Token = 8
	-10,	// Index = 14, Token = 9
	-17,	// Index = 14, Token = 10
	-24,	// Index = 14, Token = 11
	-31,	// Index = 14, Token = 12
	-38,	// Index = 14, Token = 13
	-45,	// Index = 14, Token = 14
	-52,	// Index = 14, Token = 15
	3,	// Index = 15, Token = 0
	10,	// Index = 15, Token = 1
	18,	// Index = 15, Token = 2
	25,	// Index = 15, Token = 3
	34,	// Index = 15, Token = 4
	41,	// Index = 15, Token = 5
	49,	// Index = 15, Token = 6
	56,	// Index = 15, Token = 7
	-3,	// Index = 15, Token = 8
	-10,	// Index = 15, Token = 9
	-18,	// Index = 15, Token = 10
	-25,	// Index = 15, Token = 11
	-34,	// Index = 15, Token = 12
	-41,	// Index = 15, Token = 13
	-49,	// Index = 15, Token = 14
	-56,	// Index = 15, Token = 15
	4,	// Index = 16, Token = 0
	12,	// Index = 16, Token = 1
	21,	// Index = 16, Token = 2
	29,	// Index = 16, Token = 3
	38,	// Index = 16, Token = 4
	46,	// Index = 16, Token = 5
	55,	// Index = 16, Token = 6
	63,	// Index = 16, Token = 7
	-4,	// Index = 16, Token = 8
	-12,	// Index = 16, Token = 9
	-21,	// Index = 16, Token = 10
	-29,	// Index = 16, Token = 11
	-38,	// Index = 16, Token = 12
	-46,	// Index = 16, Token = 13
	-55,	// Index = 16, Token = 14
	-63,	// Index = 16, Token = 15
	4,	// Index = 17, Token = 0
	13,	// Index = 17, Token = 1
	22,	// Index = 17, Token = 2
	31,	// Index = 17, Token = 3
	41,	// Index = 17, Token = 4
	50,	// Index = 17, Token = 5
	59,	// Index = 17, Token = 6
	68,	// Index = 17, Token = 7
	-4,	// Index = 17, Token = 8
	-13,	// Index = 17, Token = 9
	-22,	// Index = 17, Token = 10
	-31,	// Index = 17, Token = 11
	-41,	// Index = 17, Token = 12
	-50,	// Index = 17, Token = 13
	-59,	// Index = 17, Token = 14
	-68,	// Index = 17, Token = 15
	5,	// Index = 18, Token = 0
	15,	// Index = 18, Token = 1
	25,	// Index = 18, Token = 2
	35,	// Index = 18, Token = 3
	46,	// Index = 18, Token = 4
	56,	// Index = 18, Token = 5
	66,	// Index = 18, Token = 6
	76,	// Index = 18, Token = 7
	-5,	// Index = 18, Token = 8
	-15,	// Index = 18, Token = 9
	-25,	// Index = 18, Token = 10
	-35,	// Index = 18, Token = 11
	-46,	// Index = 18, Token = 12
	-56,	// Index = 18, Token = 13
	-66,	// Index = 18, Token = 14
	-76,	// Index = 18, Token = 15
	5,	// Index = 19, Token = 0
	16,	// Index = 19, Token = 1
	27,	// Index = 19, Token = 2
	38,	// Index = 19, Token = 3
	50,	// Index = 19, Token = 4
	61,	// Index = 19, Token = 5
	72,	// Index = 19, Token = 6
	83,	// Index = 19, Token = 7
	-5,	// Index = 19, Token = 8
	-16,	// Index = 19, Token = 9
	-27,	// Index = 19, Token = 10
	-38,	// Index = 19, Token = 11
	-50,	// Index = 19, Token = 12
	-61,	// Index = 19, Token = 13
	-72,	// Index = 19, Token = 14
	-83,	// Index = 19, Token = 15
	6,	// Index = 20, Token = 0
	18,	// Index = 20, Token = 1
	31,	// Index = 20, Token = 2
	43,	// Index = 20, Token = 3
	56,	// Index = 20, Token = 4
	68,	// Index = 20, Token = 5
	81,	// Index = 20, Token = 6
	93,	// Index = 20, Token = 7
	-6,	// Index = 20, Token = 8
	-18,	// Index = 20, Token = 9
	-31,	// Index = 20, Token = 10
	-43,	// Index = 20, Token = 11
	-56,	// Index = 20, Token = 12
	-68,	// Index = 20, Token = 13
	-81,	// Index = 20, Token = 14
	-93,	// Index = 20, Token = 15
	6,	// Index = 21, Token = 0
	19,	// Index = 21, Token = 1
	33,	// Index = 21, Token = 2
	46,	// Index = 21, Token = 3
	61,	// Index = 21, Token = 4
	74,	// Index = 21, Token = 5
	88,	// Index = 21, Token = 6
	101,	// Index = 21, Token = 7
	-6,	// Index = 21, Token = 8
	-19,	// Index = 21, Token = 9
	-33,	// Index = 21, Token = 10
	-46,	// Index = 21, Token = 11
	-61,	// Index = 21, Token = 12
	-74,	// Index = 21, Token = 13
	-88,	// Index = 21, Token = 14
	-101,	// Index = 21, Token = 15
	7,	// Index = 22, Token = 0
	22,	// Index = 22, Token = 1
	37,	// Index = 22, Token = 2
	52,	// Index = 22, Token = 3
	67,	// Index = 22, Token = 4
	82,	// Index = 22, Token = 5
	97,	// Index = 22, Token = 6
	112,	// Index = 22, Token = 7
	-7,	// Index = 22, Token = 8
	-22,	// Index = 22, Token = 9
	-37,	// Index = 22, Token = 10
	-52,	// Index = 22, Token = 11
	-67,	// Index = 22, Token = 12
	-82,	// Index = 22, Token = 13
	-97,	// Index = 22, Token = 14
	-112,	// Index = 22, Token = 15
	8,	// Index = 23, Token = 0
	24,	// Index = 23, Token = 1
	41,	// Index = 23, Token = 2
	57,	// Index = 23, Token = 3
	74,	// Index = 23, Token = 4
	90,	// Index = 23, Token = 5
	107,	// Index = 23, Token = 6
	123,	// Index = 23, Token = 7
	-8,	// Index = 23, Token = 8
	-24,	// Index = 23, Token = 9
	-41,	// Index = 23, Token = 10
	-57,	// Index = 23, Token = 11
	-74,	// Index = 23, Token = 12
	-90,	// Index = 23, Token = 13
	-107,	// Index = 23, Token = 14
	-123,	// Index = 23, Token = 15
	9,	// Index = 24, Token = 0
	27,	// Index = 24, Token = 1
	45,	// Index = 24, Token = 2
	63,	// Index = 24, Token = 3
	82,	// Index = 24, Token = 4
	100,	// Index = 24, Token = 5
	118,	// Index = 24, Token = 6
	136,	// Index = 24, Token = 7
	-9,	// Index = 24, Token = 8
	-27,	// Index = 24, Token = 9
	-45,	// Index = 24, Token = 10
	-63,	// Index = 24, Token = 11
	-82,	// Index = 24, Token = 12
	-100,	// Index = 24, Token = 13
	-118,	// Index = 24, Token = 14
	-136,	// Index = 24, Token = 15
	10,	// Index = 25, Token = 0
	30,	// Index = 25, Token = 1
	50,	// Index = 25, Token = 2
	70,	// Index = 25, Token = 3
	90,	// Index = 25, Token = 4
	110,	// Index = 25, Token = 5
	130,	// Index = 25, Token = 6
	150,	// Index = 25, Token = 7
	-10,	// Index = 25, Token = 8
	-30,	// Index = 25, Token = 9
	-50,	// Index = 25, Token = 10
	-70,	// Index = 25, Token = 11
	-90,	// Index = 25, Token = 12
	-110,	// Index = 25, Token = 13
	-130,	// Index = 25, Token = 14
	-150,	// Index = 25, Token = 15
	11,	// Index = 26, Token = 0
	33,	// Index = 26, Token = 1
	55,	// Index = 26, Token = 2
	77,	// Index = 26, Token = 3
	99,	// Index = 26, Token = 4
	121,	// Index = 26, Token = 5
	143,	// Index = 26, Token = 6
	165,	// Index = 26, Token = 7
	-11,	// Index = 26, Token = 8
	-33,	// Index = 26, Token = 9
	-55,	// Index = 26, Token = 10
	-77,	// Index = 26, Token = 11
	-99,	// Index = 26, Token = 12
	-121,	// Index = 26, Token = 13
	-143,	// Index = 26, Token = 14
	-165,	// Index = 26, Token = 15
	12,	// Index = 27, Token = 0
	36,	// Index = 27, Token = 1
	60,	// Index = 27, Token = 2
	84,	// Index = 27, Token = 3
	109,	// Index = 27, Token = 4
	133,	// Index = 27, Token = 5
	157,	// Index = 27, Token = 6
	181,	// Index = 27, Token = 7
	-12,	// Index = 27, Token = 8
	-36,	// Index = 27, Token = 9
	-60,	// Index = 27, Token = 10
	-84,	// Index = 27, Token = 11
	-109,	// Index = 27, Token = 12
	-133,	// Index = 27, Token = 13
	-157,	// Index = 27, Token = 14
	-181,	// Index = 27, Token = 15
	13,	// Index = 28, Token = 0
	39,	// Index = 28, Token = 1
	66,	// Index = 28, Token = 2
	92,	// Index = 28, Token = 3
	120,	// Index = 28, Token = 4
	146,	// Index = 28, Token = 5
	173,	// Index = 28, Token = 6
	199,	// Index = 28, Token = 7
	-13,	// Index = 28, Token = 8
	-39,	// Index = 28, Token = 9
	-66,	// Index = 28, Token = 10
	-92,	// Index = 28, Token = 11
	-120,	// Index = 28, Token = 12
	-146,	// Index = 28, Token = 13
	-173,	// Index = 28, Token = 14
	-199,	// Index = 28, Token = 15
	14,	// Index = 29, Token = 0
	43,	// Index = 29, Token = 1
	73,	// Index = 29, Token = 2
	102,	// Index = 29, Token = 3
	132,	// Index = 29, Token = 4
	161,	// Index = 29, Token = 5
	191,	// Index = 29, Token = 6
	220,	// Index = 29, Token = 7
	-14,	// Index = 29, Token = 8
	-43,	// Index = 29, Token = 9
	-73,	// Index = 29, Token = 10
	-102,	// Index = 29, Token = 11
	-132,	// Index = 29, Token = 12
	-161,	// Index = 29, Token = 13
	-191,	// Index = 29, Token = 14
	-220,	// Index = 29, Token = 15
	16,	// Index = 30, Token = 0
	48,	// Index = 30, Token = 1
	81,	// Index = 30, Token = 2
	113,	// Index = 30, Token = 3
	146,	// Index = 30, Token = 4
	178,	// Index = 30, Token = 5
	211,	// Index = 30, Token = 6
	243,	// Index = 30, Token = 7
	-16,	// Index = 30, Token = 8
	-48,	// Index = 30, Token = 9
	-81,	// Index = 30, Token = 10
	-113,	// Index = 30, Token = 11
	-146,	// Index = 30, Token = 12
	-178,	// Index = 30, Token = 13
	-211,	// Index = 30, Token = 14
	-243,	// Index = 30, Token = 15
	17,	// Index = 31, Token = 0
	52,	// Index = 31, Token = 1
	88,	// Index = 31, Token = 2
	123,	// Index = 31, Token = 3
	160,	// Index = 31, Token = 4
	195,	// Index = 31, Token = 5
	231,	// Index = 31, Token = 6
	266,	// Index = 31, Token = 7
	-17,	// Index = 31, Token = 8
	-52,	// Index = 31, Token = 9
	-88,	// Index = 31, Token = 10
	-123,	// Index = 31, Token = 11
	-160,	// Index = 31, Token = 12
	-195,	// Index = 31, Token = 13
	-231,	// Index = 31, Token = 14
	-266,	// Index = 31, Token = 15
	19,	// Index = 32, Token = 0
	58,	// Index = 32, Token = 1
	97,	// Index = 32, Token = 2
	136,	// Index = 32, Token = 3
	176,	// Index = 32, Token = 4
	215,	// Index = 32, Token = 5
	254,	// Index = 32, Token = 6
	293,	// Index = 32, Token = 7
	-19,	// Index = 32, Token = 8
	-58,	// Index = 32, Token = 9
	-97,	// Index = 32, Token = 10
	-136,	// Index = 32, Token = 11
	-176,	// Index = 32, Token = 12
	-215,	// Index = 32, Token = 13
	-254,	// Index = 32, Token = 14
	-293,	// Index = 32, Token = 15
	21,	// Index = 33, Token = 0
	64,	// Index = 33, Token = 1
	107,	// Index = 33, Token = 2
	150,	// Index = 33, Token = 3
	194,	// Index = 33, Token = 4
	237,	// Index = 33, Token = 5
	280,	// Index = 33, Token = 6
	323,	// Index = 33, Token = 7
	-21,	// Index = 33, Token = 8
	-64,	// Index = 33, Token = 9
	-107,	// Index = 33, Token = 10
	-150,	// Index = 33, Token = 11
	-194,	// Index = 33, Token = 12
	-237,	// Index = 33, Token = 13
	-280,	// Index = 33, Token = 14
	-323,	// Index = 33, Token = 15
	23,	// Index = 34, Token = 0
	70,	// Index = 34, Token = 1
	118,	// Index = 34, Token = 2
	165,	// Index = 34, Token = 3
	213,	// Index = 34, Token = 4
	260,	// Index = 34, Token = 5
	308,	// Index = 34, Token = 6
	355,	// Index = 34, Token = 7
	-23,	// Index = 34, Token = 8
	-70,	// Index = 34, Token = 9
	-118,	// Index = 34, Token = 10
	-165,	// Index = 34, Token = 11
	-213,	// Index = 34, Token = 12
	-260,	// Index = 34, Token = 13
	-308,	// Index = 34, Token = 14
	-355,	// Index = 34, Token = 15
	26,	// Index = 35, Token = 0
	78,	// Index = 35, Token = 1
	130,	// Index = 35, Token = 2
	182,	// Index = 35, Token = 3
	235,	// Index = 35, Token = 4
	287,	// Index = 35, Token = 5
	339,	// Index = 35, Token = 6
	391,	// Index = 35, Token = 7
	-26,	// Index = 35, Token = 8
	-78,	// Index = 35, Token = 9
	-130,	// Index = 35, Token = 10
	-182,	// Index = 35, Token = 11
	-235,	// Index = 35, Token = 12
	-287,	// Index = 35, Token = 13
	-339,	// Index = 35, Token = 14
	-391,	// Index = 35, Token = 15
	28,	// Index = 36, Token = 0
	85,	// Index = 36, Token = 1
	143,	// Index = 36, Token = 2
	200,	// Index = 36, Token = 3
	258,	// Index = 36, Token = 4
	315,	// Index = 36, Token = 5
	373,	// Index = 36, Token = 6
	430,	// Index = 36, Token = 7
	-28,	// Index = 36, Token = 8
	-85,	// Index = 36, Token = 9
	-143,	// Index = 36, Token = 10
	-200,	// Index = 36, Token = 11
	-258,	// Index = 36, Token = 12
	-315,	// Index = 36, Token = 13
	-373,	// Index = 36, Token = 14
	-430,	// Index = 36, Token = 15
	31,	// Index = 37, Token = 0
	94,	// Index = 37, Token = 1
	157,	// Index = 37, Token = 2
	220,	// Index = 37, Token = 3
	284,	// Index = 37, Token = 4
	347,	// Index = 37, Token = 5
	410,	// Index = 37, Token = 6
	473,	// Index = 37, Token = 7
	-31,	// Index = 37, Token = 8
	-94,	// Index = 37, Token = 9
	-157,	// Index = 37, Token = 10
	-220,	// Index = 37, Token = 11
	-284,	// Index = 37, Token = 12
	-347,	// Index = 37, Token = 13
	-410,	// Index = 37, Token = 14
	-473,	// Index = 37, Token = 15
	34,	// Index = 38, Token = 0
	103,	// Index = 38, Token = 1
	173,	// Index = 38, Token = 2
	242,	// Index = 38, Token = 3
	313,	// Index = 38, Token = 4
	382,	// Index = 38, Token = 5
	452,	// Index = 38, Token = 6
	521,	// Index = 38, Token = 7
	-34,	// Index = 38, Token = 8
	-103,	// Index = 38, Token = 9
	-173,	// Index = 38, Token = 10
	-242,	// Index = 38, Token = 11
	-313,	// Index = 38, Token = 12
	-382,	// Index = 38, Token = 13
	-452,	// Index = 38, Token = 14
	-521,	// Index = 38, Token = 15
	38,	// Index = 39, Token = 0
	114,	// Index = 39, Token = 1
	191,	// Index = 39, Token = 2
	267,	// Index = 39, Token = 3
	345,	// Index = 39, Token = 4
	421,	// Index = 39, Token = 5
	498,	// Index = 39, Token = 6
	574,	// Index = 39, Token = 7
	-38,	// Index = 39, Token = 8
	-114,	// Index = 39, Token = 9
	-191,	// Index = 39, Token = 10
	-267,	// Index = 39, Token = 11
	-345,	// Index = 39, Token = 12
	-421,	// Index = 39, Token = 13
	-498,	// Index = 39, Token = 14
	-574,	// Index = 39, Token = 15
	42,	// Index = 40, Token = 0
	126,	// Index = 40, Token = 1
	210,	// Index = 40, Token = 2
	294,	// Index = 40, Token = 3
	379,	// Index = 40, Token = 4
	463,	// Index = 40, Token = 5
	547,	// Index = 40, Token = 6
	631,	// Index = 40, Token = 7
	-42,	// Index = 40, Token = 8
	-126,	// Index = 40, Token = 9
	-210,	// Index = 40, Token = 10
	-294,	// Index = 40, Token = 11
	-379,	// Index = 40, Token = 12
	-463,	// Index = 40, Token = 13
	-547,	// Index = 40, Token = 14
	-631,	// Index = 40, Token = 15
	46,	// Index = 41, Token = 0
	138,	// Index = 41, Token = 1
	231,	// Index = 41, Token = 2
	323,	// Index = 41, Token = 3
	417,	// Index = 41, Token = 4
	509,	// Index = 41, Token = 5
	602,	// Index = 41, Token = 6
	694,	// Index = 41, Token = 7
	-46,	// Index = 41, Token = 8
	-138,	// Index = 41, Token = 9
	-231,	// Index = 41, Token = 10
	-323,	// Index = 41, Token = 11
	-417,	// Index = 41, Token = 12
	-509,	// Index = 41, Token = 13
	-602,	// Index = 41, Token = 14
	-694,	// Index = 41, Token = 15
	51,	// Index = 42, Token = 0
	153,	// Index = 42, Token = 1
	255,	// Index = 42, Token = 2
	357,	// Index = 42, Token = 3
	459,	// Index = 42, Token = 4
	561,	// Index = 42, Token = 5
	663,	// Index = 42, Token = 6
	765,	// Index = 42, Token = 7
	-51,	// Index = 42, Token = 8
	-153,	// Index = 42, Token = 9
	-255,	// Index = 42, Token = 10
	-357,	// Index = 42, Token = 11
	-459,	// Index = 42, Token = 12
	-561,	// Index = 42, Token = 13
	-663,	// Index = 42, Token = 14
	-765,	// Index = 42, Token = 15
	56,	// Index = 43, Token = 0
	168,	// Index = 43, Token = 1
	280,	// Index = 43, Token = 2
	392,	// Index = 43, Token = 3
	505,	// Index = 43, Token = 4
	617,	// Index = 43, Token = 5
	729,	// Index = 43, Token = 6
	841,	// Index = 43, Token = 7
	-56,	// Index = 43, Token = 8
	-168,	// Index = 43, Token = 9
	-280,	// Index = 43, Token = 10
	-392,	// Index = 43, Token = 11
	-505,	// Index = 43, Token = 12
	-617,	// Index = 43, Token = 13
	-729,	// Index = 43, Token = 14
	-841,	// Index = 43, Token = 15
	61,	// Index = 44, Token = 0
	184,	// Index = 44, Token = 1
	308,	// Index = 44, Token = 2
	431,	// Index = 44, Token = 3
	555,	// Index = 44, Token = 4
	678,	// Index = 44, Token = 5
	802,	// Index = 44, Token = 6
	925,	// Index = 44, Token = 7
	-61,	// Index = 44, Token = 8
	-184,	// Index = 44, Token = 9
	-308,	// Index = 44, Token = 10
	-431,	// Index = 44, Token = 11
	-555,	// Index = 44, Token = 12
	-678,	// Index = 44, Token = 13
	-802,	// Index = 44, Token = 14
	-925,	// Index = 44, Token = 15
	68,	// Index = 45, Token = 0
	204,	// Index = 45, Token = 1
	340,	// Index = 45, Token = 2
	476,	// Index = 45, Token = 3
	612,	// Index = 45, Token = 4
	748,	// Index = 45, Token = 5
	884,	// Index = 45, Token = 6
	1020,	// Index = 45, Token = 7
	-68,	// Index = 45, Token = 8
	-204,	// Index = 45, Token = 9
	-340,	// Index = 45, Token = 10
	-476,	// Index = 45, Token = 11
	-612,	// Index = 45, Token = 12
	-748,	// Index = 45, Token = 13
	-884,	// Index = 45, Token = 14
	-1020,	// Index = 45, Token = 15
	74,	// Index = 46, Token = 0
	223,	// Index = 46, Token = 1
	373,	// Index = 46, Token = 2
	522,	// Index = 46, Token = 3
	672,	// Index = 46, Token = 4
	821,	// Index = 46, Token = 5
	971,	// Index = 46, Token = 6
	1120,	// Index = 46, Token = 7
	-74,	// Index = 46, Token = 8
	-223,	// Index = 46, Token = 9
	-373,	// Index = 46, Token = 10
	-522,	// Index = 46, Token = 11
	-672,	// Index = 46, Token = 12
	-821,	// Index = 46, Token = 13
	-971,	// Index = 46, Token = 14
	-1120,	// Index = 46, Token = 15
	82,	// Index = 47, Token = 0
	246,	// Index = 47, Token = 1
	411,	// Index = 47, Token = 2
	575,	// Index = 47, Token = 3
	740,	// Index = 47, Token = 4
	904,	// Index = 47, Token = 5
	1069,	// Index = 47, Token = 6
	1233,	// Index = 47, Token = 7
	-82,	// Index = 47, Token = 8
	-246,	// Index = 47, Token = 9
	-411,	// Index = 47, Token = 10
	-575,	// Index = 47, Token = 11
	-740,	// Index = 47, Token = 12
	-904,	// Index = 47, Token = 13
	-1069,	// Index = 47, Token = 14
	-1233,	// Index = 47, Token = 15
	90,	// Index = 48, Token = 0
	271,	// Index = 48, Token = 1
	452,	// Index = 48, Token = 2
	633,	// Index = 48, Token = 3
	814,	// Index = 48, Token = 4
	995,	// Index = 48, Token = 5
	1176,	// Index = 48, Token = 6
	1357,	// Index = 48, Token = 7
	-90,	// Index = 48, Token = 8
	-271,	// Index = 48, Token = 9
	-452,	// Index = 48, Token = 10
	-633,	// Index = 48, Token = 11
	-814,	// Index = 48, Token = 12
	-995,	// Index = 48, Token = 13
	-1176,	// Index = 48, Token = 14
	-1357,	// Index = 48, Token = 15
	99,	// Index = 49, Token = 0
	298,	// Index = 49, Token = 1
	497,	// Index = 49, Token = 2
	696,	// Index = 49, Token = 3
	895,	// Index = 49, Token = 4
	1094,	// Index = 49, Token = 5
	1293,	// Index = 49, Token = 6
	1492,	// Index = 49, Token = 7
	-99,	// Index = 49, Token = 8
	-298,	// Index = 49, Token = 9
	-497,	// Index = 49, Token = 10
	-696,	// Index = 49, Token = 11
	-895,	// Index = 49, Token = 12
	-1094,	// Index = 49, Token = 13
	-1293,	// Index = 49, Token = 14
	-1492,	// Index = 49, Token = 15
	109,	// Index = 50, Token = 0
	328,	// Index = 50, Token = 1
	547,	// Index = 50, Token = 2
	766,	// Index = 50, Token = 3
	985,	// Index = 50, Token = 4
	1204,	// Index = 50, Token = 5
	1423,	// Index = 50, Token = 6
	1642,	// Index = 50, Token = 7
	-109,	// Index = 50, Token = 8
	-328,	// Index = 50, Token = 9
	-547,	// Index = 50, Token = 10
	-766,	// Index = 50, Token = 11
	-985,	// Index = 50, Token = 12
	-1204,	// Index = 50, Token = 13
	-1423,	// Index = 50, Token = 14
	-1642,	// Index = 50, Token = 15
	120,	// Index = 51, Token = 0
	360,	// Index = 51, Token = 1
	601,	// Index = 51, Token = 2
	841,	// Index = 51, Token = 3
	1083,	// Index = 51, Token = 4
	1323,	// Index = 51, Token = 5
	1564,	// Index = 51, Token = 6
	1804,	// Index = 51, Token = 7
	-120,	// Index = 51, Token = 8
	-360,	// Index = 51, Token = 9
	-601,	// Index = 51, Token = 10
	-841,	// Index = 51, Token = 11
	-1083,	// Index = 51, Token = 12
	-1323,	// Index = 51, Token = 13
	-1564,	// Index = 51, Token = 14
	-1804,	// Index = 51, Token = 15
	132,	// Index = 52, Token = 0
	397,	// Index = 52, Token = 1
	662,	// Index = 52, Token = 2
	927,	// Index = 52, Token = 3
	1192,	// Index = 52, Token = 4
	1457,	// Index = 52, Token = 5
	1722,	// Index = 52, Token = 6
	1987,	// Index = 52, Token = 7
	-132,	// Index = 52, Token = 8
	-397,	// Index = 52, Token = 9
	-662,	// Index = 52, Token = 10
	-927,	// Index = 52, Token = 11
	-1192,	// Index = 52, Token = 12
	-1457,	// Index = 52, Token = 13
	-1722,	// Index = 52, Token = 14
	-1987,	// Index = 52, Token = 15
	145,	// Index = 53, Token = 0
	436,	// Index = 53, Token = 1
	728,	// Index = 53, Token = 2
	1019,	// Index = 53, Token = 3
	1311,	// Index = 53, Token = 4
	1602,	// Index = 53, Token = 5
	1894,	// Index = 53, Token = 6
	2185,	// Index = 53, Token = 7
	-145,	// Index = 53, Token = 8
	-436,	// Index = 53, Token = 9
	-728,	// Index = 53, Token = 10
	-1019,	// Index = 53, Token = 11
	-1311,	// Index = 53, Token = 12
	-1602,	// Index = 53, Token = 13
	-1894,	// Index = 53, Token = 14
	-2185,	// Index = 53, Token = 15
	160,	// Index = 54, Token = 0
	480,	// Index = 54, Token = 1
	801,	// Index = 54, Token = 2
	1121,	// Index = 54, Token = 3
	1442,	// Index = 54, Token = 4
	1762,	// Index = 54, Token = 5
	2083,	// Index = 54, Token = 6
	2403,	// Index = 54, Token = 7
	-160,	// Index = 54, Token = 8
	-480,	// Index = 54, Token = 9
	-801,	// Index = 54, Token = 10
	-1121,	// Index = 54, Token = 11
	-1442,	// Index = 54, Token = 12
	-1762,	// Index = 54, Token = 13
	-2083,	// Index = 54, Token = 14
	-2403,	// Index = 54, Token = 15
	176,	// Index = 55, Token = 0
	528,	// Index = 55, Token = 1
	881,	// Index = 55, Token = 2
	1233,	// Index = 55, Token = 3
	1587,	// Index = 55, Token = 4
	1939,	// Index = 55, Token = 5
	2292,	// Index = 55, Token = 6
	2644,	// Index = 55, Token = 7
	-176,	// Index = 55, Token = 8
	-528,	// Index = 55, Token = 9
	-881,	// Index = 55, Token = 10
	-1233,	// Index = 55, Token = 11
	-1587,	// Index = 55, Token = 12
	-1939,	// Index = 55, Token = 13
	-2292,	// Index = 55, Token = 14
	-2644,	// Index = 55, Token = 15
	194,	// Index = 56, Token = 0
	582,	// Index = 56, Token = 1
	970,	// Index = 56, Token = 2
	1358,	// Index = 56, Token = 3
	1746,	// Index = 56, Token = 4
	2134,	// Index = 56, Token = 5
	2522,	// Index = 56, Token = 6
	2910,	// Index = 56, Token = 7
	-194,	// Index = 56, Token = 8
	-582,	// Index = 56, Token = 9
	-970,	// Index = 56, Token = 10
	-1358,	// Index = 56, Token = 11
	-1746,	// Index = 56, Token = 12
	-2134,	// Index = 56, Token = 13
	-2522,	// Index = 56, Token = 14
	-2910,	// Index = 56, Token = 15
	213,	// Index = 57, Token = 0
	639,	// Index = 57, Token = 1
	1066,	// Index = 57, Token = 2
	1492,	// Index = 57, Token = 3
	1920,	// Index = 57, Token = 4
	2346,	// Index = 57, Token = 5
	2773,	// Index = 57, Token = 6
	3199,	// Index = 57, Token = 7
	-213,	// Index = 57, Token = 8
	-639,	// Index = 57, Token = 9
	-1066,	// Index = 57, Token = 10
	-1492,	// Index = 57, Token = 11
	-1920,	// Index = 57, Token = 12
	-2346,	// Index = 57, Token = 13
	-2773,	// Index = 57, Token = 14
	-3199,	// Index = 57, Token = 15
	234,	// Index = 58, Token = 0
	703,	// Index = 58, Token = 1
	1173,	// Index = 58, Token = 2
	1642,	// Index = 58, Token = 3
	2112,	// Index = 58, Token = 4
	2581,	// Index = 58, Token = 5
	3051,	// Index = 58, Token = 6
	3520,	// Index = 58, Token = 7
	-234,	// Index = 58, Token = 8
	-703,	// Index = 58, Token = 9
	-1173,	// Index = 58, Token = 10
	-1642,	// Index = 58, Token = 11
	-2112,	// Index = 58, Token = 12
	-2581,	// Index = 58, Token = 13
	-3051,	// Index = 58, Token = 14
	-3520,	// Index = 58, Token = 15
	258,	// Index = 59, Token = 0
	774,	// Index = 59, Token = 1
	1291,	// Index = 59, Token = 2
	1807,	// Index = 59, Token = 3
	2324,	// Index = 59, Token = 4
	2840,	// Index = 59, Token = 5
	3357,	// Index = 59, Token = 6
	3873,	// Index = 59, Token = 7
	-258,	// Index = 59, Token = 8
	-774,	// Index = 59, Token = 9
	-1291,	// Index = 59, Token = 10
	-1807,	// Index = 59, Token = 11
	-2324,	// Index = 59, Token = 12
	-2840,	// Index = 59, Token = 13
	-3357,	// Index = 59, Token = 14
	-3873,	// Index = 59, Token = 15
	284,	// Index = 60, Token = 0
	852,	// Index = 60, Token = 1
	1420,	// Index = 60, Token = 2
	1988,	// Index = 60, Token = 3
	2556,	// Index = 60, Token = 4
	3124,	// Index = 60, Token = 5
	3692,	// Index = 60, Token = 6
	4260,	// Index = 60, Token = 7
	-284,	// Index = 60, Token = 8
	-852,	// Index = 60, Token = 9
	-1420,	// Index = 60, Token = 10
	-1988,	// Index = 60, Token = 11
	-2556,	// Index = 60, Token = 12
	-3124,	// Index = 60, Token = 13
	-3692,	// Index = 60, Token = 14
	-4260,	// Index = 60, Token = 15
	312,	// Index = 61, Token = 0
	936,	// Index = 61, Token = 1
	1561,	// Index = 61, Token = 2
	2185,	// Index = 61, Token = 3
	2811,	// Index = 61, Token = 4
	3435,	// Index = 61, Token = 5
	4060,	// Index = 61, Token = 6
	4684,	// Index = 61, Token = 7
	-312,	// Index = 61, Token = 8
	-936,	// Index = 61, Token = 9
	-1561,	// Index = 61, Token = 10
	-2185,	// Index = 61, Token = 11
	-2811,	// Index = 61, Token = 12
	-3435,	// Index = 61, Token = 13
	-4060,	// Index = 61, Token = 14
	-4684,	// Index = 61, Token = 15
	343,	// Index = 62, Token = 0
	1030,	// Index = 62, Token = 1
	1717,	// Index = 62, Token = 2
	2404,	// Index = 62, Token = 3
	3092,	// Index = 62, Token = 4
	3779,	// Index = 62, Token = 5
	4466,	// Index = 62, Token = 6
	5153,	// Index = 62, Token = 7
	-343,	// Index = 62, Token = 8
	-1030,	// Index = 62, Token = 9
	-1717,	// Index = 62, Token = 10
	-2404,	// Index = 62, Token = 11
	-3092,	// Index = 62, Token = 12
	-3779,	// Index = 62, Token = 13
	-4466,	// Index = 62, Token = 14
	-5153,	// Index = 62, Token = 15
	378,	// Index = 63, Token = 0
	1134,	// Index = 63, Token = 1
	1890,	// Index = 63, Token = 2
	2646,	// Index = 63, Token = 3
	3402,	// Index = 63, Token = 4
	4158,	// Index = 63, Token = 5
	4914,	// Index = 63, Token = 6
	5670,	// Index = 63, Token = 7
	-378,	// Index = 63, Token = 8
	-1134,	// Index = 63, Token = 9
	-1890,	// Index = 63, Token = 10
	-2646,	// Index = 63, Token = 11
	-3402,	// Index = 63, Token = 12
	-4158,	// Index = 63, Token = 13
	-4914,	// Index = 63, Token = 14
	-5670,	// Index = 63, Token = 15
	415,	// Index = 64, Token = 0
	1246,	// Index = 64, Token = 1
	2078,	// Index = 64, Token = 2
	2909,	// Index = 64, Token = 3
	3742,	// Index = 64, Token = 4
	4573,	// Index = 64, Token = 5
	5405,	// Index = 64, Token = 6
	6236,	// Index = 64, Token = 7
	-415,	// Index = 64, Token = 8
	-1246,	// Index = 64, Token = 9
	-2078,	// Index = 64, Token = 10
	-2909,	// Index = 64, Token = 11
	-3742,	// Index = 64, Token = 12
	-4573,	// Index = 64, Token = 13
	-5405,	// Index = 64, Token = 14
	-6236,	// Index = 64, Token = 15
	457,	// Index = 65, Token = 0
	1372,	// Index = 65, Token = 1
	2287,	// Index = 65, Token = 2
	3202,	// Index = 65, Token = 3
	4117,	// Index = 65, Token = 4
	5032,	// Index = 65, Token = 5
	5947,	// Index = 65, Token = 6
	6862,	// Index = 65, Token = 7
	-457,	// Index = 65, Token = 8
	-1372,	// Index = 65, Token = 9
	-2287,	// Index = 65, Token = 10
	-3202,	// Index = 65, Token = 11
	-4117,	// Index = 65, Token = 12
	-5032,	// Index = 65, Token = 13
	-5947,	// Index = 65, Token = 14
	-6862,	// Index = 65, Token = 15
	503,	// Index = 66, Token = 0
	1509,	// Index = 66, Token = 1
	2516,	// Index = 66, Token = 2
	3522,	// Index = 66, Token = 3
	4529,	// Index = 66, Token = 4
	5535,	// Index = 66, Token = 5
	6542,	// Index = 66, Token = 6
	7548,	// Index = 66, Token = 7
	-503,	// Index = 66, Token = 8
	-1509,	// Index = 66, Token = 9
	-2516,	// Index = 66, Token = 10
	-3522,	// Index = 66, Token = 11
	-4529,	// Index = 66, Token = 12
	-5535,	// Index = 66, Token = 13
	-6542,	// Index = 66, Token = 14
	-7548,	// Index = 66, Token = 15
	553,	// Index = 67, Token = 0
	1660,	// Index = 67, Token = 1
	2767,	// Index = 67, Token = 2
	3874,	// Index = 67, Token = 3
	4981,	// Index = 67, Token = 4
	6088,	// Index = 67, Token = 5
	7195,	// Index = 67, Token = 6
	8302,	// Index = 67, Token = 7
	-553,	// Index = 67, Token = 8
	-1660,	// Index = 67, Token = 9
	-2767,	// Index = 67, Token = 10
	-3874,	// Index = 67, Token = 11
	-4981,	// Index = 67, Token = 12
	-6088,	// Index = 67, Token = 13
	-7195,	// Index = 67, Token = 14
	-8302,	// Index = 67, Token = 15
	608,	// Index = 68, Token = 0
	1825,	// Index = 68, Token = 1
	3043,	// Index = 68, Token = 2
	4260,	// Index = 68, Token = 3
	5479,	// Index = 68, Token = 4
	6696,	// Index = 68, Token = 5
	7914,	// Index = 68, Token = 6
	9131,	// Index = 68, Token = 7
	-608,	// Index = 68, Token = 8
	-1825,	// Index = 68, Token = 9
	-3043,	// Index = 68, Token = 10
	-4260,	// Index = 68, Token = 11
	-5479,	// Index = 68, Token = 12
	-6696,	// Index = 68, Token = 13
	-7914,	// Index = 68, Token = 14
	-9131,	// Index = 68, Token = 15
	669,	// Index = 69, Token = 0
	2008,	// Index = 69, Token = 1
	3348,	// Index = 69, Token = 2
	4687,	// Index = 69, Token = 3
	6027,	// Index = 69, Token = 4
	7366,	// Index = 69, Token = 5
	8706,	// Index = 69, Token = 6
	10045,	// Index = 69, Token = 7
	-669,	// Index = 69, Token = 8
	-2008,	// Index = 69, Token = 9
	-3348,	// Index = 69, Token = 10
	-4687,	// Index = 69, Token = 11
	-6027,	// Index = 69, Token = 12
	-7366,	// Index = 69, Token = 13
	-8706,	// Index = 69, Token = 14
	-10045,	// Index = 69, Token = 15
	736,	// Index = 70, Token = 0
	2209,	// Index = 70, Token = 1
	3683,	// Index = 70, Token = 2
	5156,	// Index = 70, Token = 3
	6630,	// Index = 70, Token = 4
	8103,	// Index = 70, Token = 5
	9577,	// Index = 70, Token = 6
	11050,	// Index = 70, Token = 7
	-736,	// Index = 70, Token = 8
	-2209,	// Index = 70, Token = 9
	-3683,	// Index = 70, Token = 10
	-5156,	// Index = 70, Token = 11
	-6630,	// Index = 70, Token = 12
	-8103,	// Index = 70, Token = 13
	-9577,	// Index = 70, Token = 14
	-11050,	// Index = 70, Token = 15
	810,	// Index = 71, Token = 0
	2431,	// Index = 71, Token = 1
	4052,	// Index = 71, Token = 2
	5673,	// Index = 71, Token = 3
	7294,	// Index = 71, Token = 4
	8915,	// Index = 71, Token = 5
	10536,	// Index = 71, Token = 6
	12157,	// Index = 71, Token = 7
	-810,	// Index = 71, Token = 8
	-2431,	// Index = 71, Token = 9
	-4052,	// Index = 71, Token = 10
	-5673,	// Index = 71, Token = 11
	-7294,	// Index = 71, Token = 12
	-8915,	// Index = 71, Token = 13
	-10536,	// Index = 71, Token = 14
	-12157,	// Index = 71, Token = 15
	891,	// Index = 72, Token = 0
	2674,	// Index = 72, Token = 1
	4457,	// Index = 72, Token = 2
	6240,	// Index = 72, Token = 3
	8023,	// Index = 72, Token = 4
	9806,	// Index = 72, Token = 5
	11589,	// Index = 72, Token = 6
	13372,	// Index = 72, Token = 7
	-891,	// Index = 72, Token = 8
	-2674,	// Index = 72, Token = 9
	-4457,	// Index = 72, Token = 10
	-6240,	// Index = 72, Token = 11
	-8023,	// Index = 72, Token = 12
	-9806,	// Index = 72, Token = 13
	-11589,	// Index = 72, Token = 14
	-13372,	// Index = 72, Token = 15
	980,	// Index = 73, Token = 0
	2941,	// Index = 73, Token = 1
	4902,	// Index = 73, Token = 2
	6863,	// Index = 73, Token = 3
	8825,	// Index = 73, Token = 4
	10786,	// Index = 73, Token = 5
	12747,	// Index = 73, Token = 6
	14708,	// Index = 73, Token = 7
	-980,	// Index = 73, Token = 8
	-2941,	// Index = 73, Token = 9
	-4902,	// Index = 73, Token = 10
	-6863,	// Index = 73, Token = 11
	-8825,	// Index = 73, Token = 12
	-10786,	// Index = 73, Token = 13
	-12747,	// Index = 73, Token = 14
	-14708,	// Index = 73, Token = 15
	1078,	// Index = 74, Token = 0
	3235,	// Index = 74, Token = 1
	5393,	// Index = 74, Token = 2
	7550,	// Index = 74, Token = 3
	9708,	// Index = 74, Token = 4
	11865,	// Index = 74, Token = 5
	14023,	// Index = 74, Token = 6
	16180,	// Index = 74, Token = 7
	-1078,	// Index = 74, Token = 8
	-3235,	// Index = 74, Token = 9
	-5393,	// Index = 74, Token = 10
	-7550,	// Index = 74, Token = 11
	-9708,	// Index = 74, Token = 12
	-11865,	// Index = 74, Token = 13
	-14023,	// Index = 74, Token = 14
	-16180,	// Index = 74, Token = 15
	1186,	// Index = 75, Token = 0
	3559,	// Index = 75, Token = 1
	5932,	// Index = 75, Token = 2
	8305,	// Index = 75, Token = 3
	10679,	// Index = 75, Token = 4
	13052,	// Index = 75, Token = 5
	15425,	// Index = 75, Token = 6
	17798,	// Index = 75, Token = 7
	-1186,	// Index = 75, Token = 8
	-3559,	// Index = 75, Token = 9
	-5932,	// Index = 75, Token = 10
	-8305,	// Index = 75, Token = 11
	-10679,	// Index = 75, Token = 12
	-13052,	// Index = 75, Token = 13
	-15425,	// Index = 75, Token = 14
	-17798,	// Index = 75, Token = 15
	1305,	// Index = 76, Token = 0
	3915,	// Index = 76, Token = 1
	6526,	// Index = 76, Token = 2
	9136,	// Index = 76, Token = 3
	11747,	// Index = 76, Token = 4
	14357,	// Index = 76, Token = 5
	16968,	// Index = 76, Token = 6
	19578,	// Index = 76, Token = 7
	-1305,	// Index = 76, Token = 8
	-3915,	// Index = 76, Token = 9
	-6526,	// Index = 76, Token = 10
	-9136,	// Index = 76, Token = 11
	-11747,	// Index = 76, Token = 12
	-14357,	// Index = 76, Token = 13
	-16968,	// Index = 76, Token = 14
	-19578,	// Index = 76, Token = 15
	1435,	// Index = 77, Token = 0
	4306,	// Index = 77, Token = 1
	7178,	// Index = 77, Token = 2
	10049,	// Index = 77, Token = 3
	12922,	// Index = 77, Token = 4
	15793,	// Index = 77, Token = 5
	18665,	// Index = 77, Token = 6
	21536,	// Index = 77, Token = 7
	-1435,	// Index = 77, Token = 8
	-4306,	// Index = 77, Token = 9
	-7178,	// Index = 77, Token = 10
	-10049,	// Index = 77, Token = 11
	-12922,	// Index = 77, Token = 12
	-15793,	// Index = 77, Token = 13
	-18665,	// Index = 77, Token = 14
	-21536,	// Index = 77, Token = 15
	1579,	// Index = 78, Token = 0
	4737,	// Index = 78, Token = 1
	7896,	// Index = 78, Token = 2
	11054,	// Index = 78, Token = 3
	14214,	// Index = 78, Token = 4
	17372,	// Index = 78, Token = 5
	20531,	// Index = 78, Token = 6
	23689,	// Index = 78, Token = 7
	-1579,	// Index = 78, Token = 8
	-4737,	// Index = 78, Token = 9
	-7896,	// Index = 78, Token = 10
	-11054,	// Index = 78, Token = 11
	-14214,	// Index = 78, Token = 12
	-17372,	// Index = 78, Token = 13
	-20531,	// Index = 78, Token = 14
	-23689,	// Index = 78, Token = 15
	1737,	// Index = 79, Token = 0
	5211,	// Index = 79, Token = 1
	8686,	// Index = 79, Token = 2
	12160,	// Index = 79, Token = 3
	15636,	// Index = 79, Token = 4
	19110,	// Index = 79, Token = 5
	22585,	// Index = 79, Token = 6
	26059,	// Index = 79, Token = 7
	-1737,	// Index = 79, Token = 8
	-5211,	// Index = 79, Token = 9
	-8686,	// Index = 79, Token = 10
	-12160,	// Index = 79, Token = 11
	-15636,	// Index = 79, Token = 12
	-19110,	// Index = 79, Token = 13
	-22585,	// Index = 79, Token = 14
	-26059,	// Index = 79, Token = 15
	1911,	// Index = 80, Token = 0
	5733,	// Index = 80, Token = 1
	9555,	// Index = 80, Token = 2
	13377,	// Index = 80, Token = 3
	17200,	// Index = 80, Token = 4
	21022,	// Index = 80, Token = 5
	24844,	// Index = 80, Token = 6
	28666,	// Index = 80, Token = 7
	-1911,	// Index = 80, Token = 8
	-5733,	// Index = 80, Token = 9
	-9555,	// Index = 80, Token = 10
	-13377,	// Index = 80, Token = 11
	-17200,	// Index = 80, Token = 12
	-21022,	// Index = 80, Token = 13
	-24844,	// Index = 80, Token = 14
	-28666,	// Index = 80, Token = 15
	2102,	// Index = 81, Token = 0
	6306,	// Index = 81, Token = 1
	10511,	// Index = 81, Token = 2
	14715,	// Index = 81, Token = 3
	18920,	// Index = 81, Token = 4
	23124,	// Index = 81, Token = 5
	27329,	// Index = 81, Token = 6
	31533,	// Index = 81, Token = 7
	-2102,	// Index = 81, Token = 8
	-6306,	// Index = 81, Token = 9
	-10511,	// Index = 81, Token = 10
	-14715,	// Index = 81, Token = 11
	-18920,	// Index = 81, Token = 12
	-23124,	// Index = 81, Token = 13
	-27329,	// Index = 81, Token = 14
	-31533,	// Index = 81, Token = 15
	2312,	// Index = 82, Token = 0
	6937,	// Index = 82, Token = 1
	11562,	// Index = 82, Token = 2
	16187,	// Index = 82, Token = 3
	20812,	// Index = 82, Token = 4
	25437,	// Index = 82, Token = 5
	30062,	// Index = 82, Token = 6
	34687,	// Index = 82, Token = 7
	-2312,	// Index = 82, Token = 8
	-6937,	// Index = 82, Token = 9
	-11562,	// Index = 82, Token = 10
	-16187,	// Index = 82, Token = 11
	-20812,	// Index = 82, Token = 12
	-25437,	// Index = 82, Token = 13
	-30062,	// Index = 82, Token = 14
	-34687,	// Index = 82, Token = 15
	2543,	// Index = 83, Token = 0
	7630,	// Index = 83, Token = 1
	12718,	// Index = 83, Token = 2
	17805,	// Index = 83, Token = 3
	22893,	// Index = 83, Token = 4
	27980,	// Index = 83, Token = 5
	33068,	// Index = 83, Token = 6
	38155,	// Index = 83, Token = 7
	-2543,	// Index = 83, Token = 8
	-7630,	// Index = 83, Token = 9
	-12718,	// Index = 83, Token = 10
	-17805,	// Index = 83, Token = 11
	-22893,	// Index = 83, Token = 12
	-27980,	// Index = 83, Token = 13
	-33068,	// Index = 83, Token = 14
	-38155,	// Index = 83, Token = 15
	2798,	// Index = 84, Token = 0
	8394,	// Index = 84, Token = 1
	13990,	// Index = 84, Token = 2
	19586,	// Index = 84, Token = 3
	25183,	// Index = 84, Token = 4
	30779,	// Index = 84, Token = 5
	36375,	// Index = 84, Token = 6
	41971,	// Index = 84, Token = 7
	-2798,	// Index = 84, Token = 8
	-8394,	// Index = 84, Token = 9
	-13990,	// Index = 84, Token = 10
	-19586,	// Index = 84, Token = 11
	-25183,	// Index = 84, Token = 12
	-30779,	// Index = 84, Token = 13
	-36375,	// Index = 84, Token = 14
	-41971,	// Index = 84, Token = 15
	3077,	// Index = 85, Token = 0
	9232,	// Index = 85, Token = 1
	15388,	// Index = 85, Token = 2
	21543,	// Index = 85, Token = 3
	27700,	// Index = 85, Token = 4
	33855,	// Index = 85, Token = 5
	40011,	// Index = 85, Token = 6
	46166,	// Index = 85, Token = 7
	-3077,	// Index = 85, Token = 8
	-9232,	// Index = 85, Token = 9
	-15388,	// Index = 85, Token = 10
	-21543,	// Index = 85, Token = 11
	-27700,	// Index = 85, Token = 12
	-33855,	// Index = 85, Token = 13
	-40011,	// Index = 85, Token = 14
	-46166,	// Index = 85, Token = 15
	3385,	// Index = 86, Token = 0
	10156,	// Index = 86, Token = 1
	16928,	// Index = 86, Token = 2
	23699,	// Index = 86, Token = 3
	30471,	// Index = 86, Token = 4
	37242,	// Index = 86, Token = 5
	44014,	// Index = 86, Token = 6
	50785,	// Index = 86, Token = 7
	-3385,	// Index = 86, Token = 8
	-10156,	// Index = 86, Token = 9
	-16928,	// Index = 86, Token = 10
	-23699,	// Index = 86, Token = 11
	-30471,	// Index = 86, Token = 12
	-37242,	// Index = 86, Token = 13
	-44014,	// Index = 86, Token = 14
	-50785,	// Index = 86, Token = 15
	3724,	// Index = 87, Token = 0
	11172,	// Index = 87, Token = 1
	18621,	// Index = 87, Token = 2
	26069,	// Index = 87, Token = 3
	33518,	// Index = 87, Token = 4
	40966,	// Index = 87, Token = 5
	48415,	// Index = 87, Token = 6
	55863,	// Index = 87, Token = 7
	-3724,	// Index = 87, Token = 8
	-11172,	// Index = 87, Token = 9
	-18621,	// Index = 87, Token = 10
	-26069,	// Index = 87, Token = 11
	-33518,	// Index = 87, Token = 12
	-40966,	// Index = 87, Token = 13
	-48415,	// Index = 87, Token = 14
	-55863,	// Index = 87, Token = 15
	4095,	// Index = 88, Token = 0
	12286,	// Index = 88, Token = 1
	20478,	// Index = 88, Token = 2
	28669,	// Index = 88, Token = 3
	36862,	// Index = 88, Token = 4
	45053,	// Index = 88, Token = 5
	53245,	// Index = 88, Token = 6
	61436,	// Index = 88, Token = 7
	-4095,	// Index = 88, Token = 8
	-12286,	// Index = 88, Token = 9
	-20478,	// Index = 88, Token = 10
	-28669,	// Index = 88, Token = 11
	-36862,	// Index = 88, Token = 12
	-45053,	// Index = 88, Token = 13
	-53245,	// Index = 88, Token = 14
	-61436	// Index = 88, Token = 15
};

