//
// Copyright 2020 Electronic Arts Inc.
//
// TiberianDawn.DLL and RedAlert.dll and corresponding source code is free 
// software: you can redistribute it and/or modify it under the terms of 
// the GNU General Public License as published by the Free Software Foundation, 
// either version 3 of the License, or (at your option) any later version.

// TiberianDawn.DLL and RedAlert.dll and corresponding source code is distributed 
// in the hope that it will be useful, but with permitted additional restrictions 
// under Section 7 of the GPL. See the GNU General Public License in LICENSE.TXT 
// distributed with this program. You should have received a copy of the 
// GNU General Public License along with permitted additional restrictions 
// with this program. If not, see https://github.com/electronicarts/CnC_Remastered_Collection


#ifdef ENGLISH
#define	TEXT_ERROR_TIMER		"Error - Timer system failed to initialise due to system instability. You need to restart Windows."
#define TEXT_SHORT_TITLE                "Red Alert"
#define TEXT_MEMORY_ERROR               "Error - out of memory."
#define TEXT_ABORT                              "Abort"
#define TEXT_DDRAW_ERROR                "Error - Unable to allocate primary video buffer - aborting."
#define TEXT_TITLE                              "Command & Conquer : Red Alert"
#define TEXT_VIDEO_ERROR                "Error - Unable to set the video mode."
#define TEXT_INSUFFICIENT               "Insufficient Disk Space to run Red Alert.\n"
#define TEXT_MUST_HAVE                  "You must have %d megabytes of free disk space."
#define TEXT_CRITICALLY_LOW     "Warning - you are critically low on free disk space for saving games. Do you want to play Red Alert anyway?"
#define TEXT_NO_RAM                             "Insufficient RAM available.\n"
#define TEXT_USE_START_MENU					"\n\rIf you have Windows 95 running you should start Red Alert\r\nDOS version via the Windows 95 Start Menu.\n\rPress any key.\n\r"
#define TEXT_SETUP_FIRST                "Run SETUP program first.\n"
#define TEXT_NO_MOUSE                   "Red Alert is unable to detect your mouse driver."
#define TEXT_FILE_ERROR         "FILE ERROR"
#define TEXT_PRESS_KEY                  "Press any key to retry."
#define TEXT_ESC_KEY                    "Press <ESC> to exit program."
#define TEXT_TO_EXIT                    "Press any key to exit program."
#define TEXT_INVALID                    "Invalid option switch.\n"
#define TEXT_MAP_ERROR                  "Map Error!"
#define TEXT_STOP                               "Stop"
#define TEXT_CONTINUE                   "Continue"
#define TEXT_OPTIONS                    "Red Alert (c) 1996, Westwood Studios\r\n" \
										"Parameters:\r\n" \
										"  -DESTNET  = Specify Network Number of destination system\r\n" \
										"              (Syntax: DESTNETxx.xx.xx.xx)\r\n" \
										"  -SOCKET   = Network Socket ID (0 - 16383)\n" \
										"  -STEALTH  = Hide multiplayer names (\"Boss mode\")\r\n" \
										"  -MESSAGES = Allow messages from outside this game.\r\n" \
										"\r\n"
#endif


#ifdef GERMAN
#define TEXT_ERROR_TIMER                "Fehler - das Timer-System konnte aufgrund einer Instabilitt des Systems nicht initialisiert werden. Bitte starten Sie Windows neu."
#define TEXT_SHORT_TITLE                "C&C:AR"
#define TEXT_MEMORY_ERROR               "Fehler - Kein Speicher mehr."
#define TEXT_ABORT                      "Abbrechen"
#define TEXT_DDRAW_ERROR                "Fehler - Kann primren Videopuffer nicht finden - Abbruch."
#define TEXT_TITLE                      "Command & Conquer : Alarmstufe Rot"
#define TEXT_VIDEO_ERROR                "Fehler - Kann Grafikmodus nicht einstellen."
#define TEXT_INSUFFICIENT               "Nicht genug Festplattenplatz fr Command & Conquer:AR.\n"
#define TEXT_MUST_HAVE                  "Sie brauchen %d MByte freien Platz auf der Festplatte."
#define TEXT_CRITICALLY_LOW   			 "Nicht genug Festplattenplatz fr Command & Conquer:AR.\nSie brauchen %d MByte freien Platz auf der Festplatte."
#define TEXT_NO_RAM                     "Zuwenig Hauptspeicher verfgbar.\n"
#define TEXT_USE_START_MENU					"\n\rWenn auf Ihrem Rechner Windows 95 luft,\n\rstarten Sie die DOS-Version von Alarmstufe Rot\n\rbitte ber das Start-Men von Windows 95.\n\rZum Weitermachen beliebige Taste drcken.\n\r"
#define TEXT_SETUP_FIRST                "Bitte erst das SETUP-Programm starten.\n"
#define TEXT_NO_MOUSE                   "C&C:AR kann Ihren Maustreiber nicht finden..."
#define TEXT_FILE_ERROR       			 "DATEIFEHLER"
#define TEXT_PRESS_KEY                  "Beliebige Taste drcken fr erneuten Versuch."
#define TEXT_ESC_KEY                    "<ESC> drcken, um das Programm zu verlassen."
#define TEXT_TO_EXIT                    "Beliebige Taste drcken, um das Programm zu verlassen."
#define TEXT_INVALID                    "Ungltiger Parameter.\n"
#define TEXT_MAP_ERROR                  "Kartenfehler!"
#define TEXT_STOP                       "Halt"
#define TEXT_CONTINUE                   "Weiter"
#define TEXT_OPTIONS                    "C&C: Alarmstufe Rot (c) 1996, Westwood Studios\r\n" \
				 									 "Parameter:\r\n" \
													 "  -DESTNET  = Netzwerkkennung des Zielrechners festlegen\r\n" \
													 "              (Syntax: DESTNETxx.xx.xx.xx)\r\n" \
													 "  -SOCKET   = Kennung des Netzwerk-Sockets (0 - 16383)\n" \
													 "  -STEALTH  = Namen im Mehrspieler-Modus verstecken (\"Boss-Modus\")\r\n" \
													 "  -MESSAGES = Mitteilungen von ausserhalb des Spiels zulassen\r\n" \
													 "\r\n"
#endif


#ifdef FRENCH
#define TEXT_ERROR_TIMER                "Error - L'horloge systme n'a pas pu s'initialiser en raison de l'instabilit du sytme. Vous devez redmarrer Windows."
#define TEXT_SHORT_TITLE                "Alerte Rouge"
#define TEXT_MEMORY_ERROR               "Erreur - Plus de mmoire."
#define TEXT_ABORT                              "Interrompre"
#define TEXT_DDRAW_ERROR                " Erreur - Impossible d'allouer le tampon vido principal - Interruption."
#define TEXT_TITLE                              "Command & Conquer : Alerte Rouge"
#define TEXT_VIDEO_ERROR                " Erreur - Impossible d'tablir le mode vido."
#define TEXT_INSUFFICIENT               "Espace disque insuffisant pour lancer Command & Conquer.\n"
#define TEXT_MUST_HAVE                  "Vous devez disposer de %d Mo d'espace disponsible sur le disque dur."
#define TEXT_CRITICALLY_LOW     "Espace disque insuffisant pour lancer Command & Conquer.\nVous devez disposer de %d Mo d'espace disponsible sur le disque dur."
#define TEXT_NO_RAM                             "Mmoire vive (RAM) insuffisante.\n"
#define TEXT_USE_START_MENU				 "\n\rSi vous tes dans Windows 95 vous devez lancer Alerte Rouge\r\nDOS  partir du menu Dmarrer de Windows 95.\n\rAppuyez sur n'importe quelle touche.\n\r"
#define TEXT_SETUP_FIRST                "Lancez d'abord le programme de configuration SETUP.\n"
#define TEXT_NO_MOUSE                   "Alerte Rouge ne peut pas dtecter votre gestionnaire de souris."
#define TEXT_FILE_ERROR         "ERREUR DE FICHIER"
#define TEXT_PRESS_KEY                  "Appuyez sur une touche pour recommencer."
#define TEXT_ESC_KEY                    "Appuyez sur Echap pour quitter le programme."
#define TEXT_TO_EXIT                    "Appuyez sur une touche pour quitter le programme."
#define TEXT_INVALID                    "Commande d'option invalide.\n"
#define TEXT_MAP_ERROR                  "Erreur de carte!"
#define TEXT_STOP                               "Stop"
#define TEXT_CONTINUE                   "Continuer"
#define TEXT_OPTIONS                    "Alerte Rouge (c) 1996, Westwood Studios\r\n" \
										"Paramtres:\r\n" \
										"  -DESTNET  = Spcifier le numro de rseau du systme de destination\r\n" \
										"              (Syntaxe: DESTNETxx.xx.xx.xx)\r\n" \
										"  -SOCKET   = ID Socket rseau (0  16383)\r\n" \
										"  -STEALTH  = Cacher les noms en mode multijoueurs (\"Mode Boss\")\r\n" \
										"  -MESSAGES = Autorise les messages extrieurs  ce jeu.\r\n" \
										"\r\n"
#endif

