;
; Copyright 2020 Electronic Arts Inc.
;
; TiberianDawn.DLL and RedAlert.dll and corresponding source code is free 
; software: you can redistribute it and/or modify it under the terms of 
; the GNU General Public License as published by the Free Software Foundation, 
; either version 3 of the License, or (at your option) any later version.

; TiberianDawn.DLL and RedAlert.dll and corresponding source code is distributed 
; in the hope that it will be useful, but with permitted additional restrictions 
; under Section 7 of the GPL. See the GNU General Public License in LICENSE.TXT 
; distributed with this program. You should have received a copy of the 
; GNU General Public License along with permitted additional restrictions 
; with this program. If not, see [https://github.com/electronicarts/CnC_Remastered_Collection]>.

;****************************************************************************
;* dwDiffTable - ADPCM Lookup table for sample differences
;****************************************************************************

		align	4

dwDiffTable	DD	0	; Index = 0 Token = 0
		DD	1	; Index = 0 Token = 1
		DD	3	; Index = 0 Token = 2
		DD	4	; Index = 0 Token = 3
		DD	7	; Index = 0 Token = 4
		DD	8	; Index = 0 Token = 5
		DD	10	; Index = 0 Token = 6
		DD	11	; Index = 0 Token = 7
		DD	0	; Index = 0 Token = 8
		DD	-1	; Index = 0 Token = 9
		DD	-3	; Index = 0 Token = 10
		DD	-4	; Index = 0 Token = 11
		DD	-7	; Index = 0 Token = 12
		DD	-8	; Index = 0 Token = 13
		DD	-10	; Index = 0 Token = 14
		DD	-11	; Index = 0 Token = 15
		DD	1	; Index = 1 Token = 0
		DD	3	; Index = 1 Token = 1
		DD	5	; Index = 1 Token = 2
		DD	7	; Index = 1 Token = 3
		DD	9	; Index = 1 Token = 4
		DD	11	; Index = 1 Token = 5
		DD	13	; Index = 1 Token = 6
		DD	15	; Index = 1 Token = 7
		DD	-1	; Index = 1 Token = 8
		DD	-3	; Index = 1 Token = 9
		DD	-5	; Index = 1 Token = 10
		DD	-7	; Index = 1 Token = 11
		DD	-9	; Index = 1 Token = 12
		DD	-11	; Index = 1 Token = 13
		DD	-13	; Index = 1 Token = 14
		DD	-15	; Index = 1 Token = 15
		DD	1	; Index = 2 Token = 0
		DD	3	; Index = 2 Token = 1
		DD	5	; Index = 2 Token = 2
		DD	7	; Index = 2 Token = 3
		DD	10	; Index = 2 Token = 4
		DD	12	; Index = 2 Token = 5
		DD	14	; Index = 2 Token = 6
		DD	16	; Index = 2 Token = 7
		DD	-1	; Index = 2 Token = 8
		DD	-3	; Index = 2 Token = 9
		DD	-5	; Index = 2 Token = 10
		DD	-7	; Index = 2 Token = 11
		DD	-10	; Index = 2 Token = 12
		DD	-12	; Index = 2 Token = 13
		DD	-14	; Index = 2 Token = 14
		DD	-16	; Index = 2 Token = 15
		DD	1	; Index = 3 Token = 0
		DD	3	; Index = 3 Token = 1
		DD	6	; Index = 3 Token = 2
		DD	8	; Index = 3 Token = 3
		DD	11	; Index = 3 Token = 4
		DD	13	; Index = 3 Token = 5
		DD	16	; Index = 3 Token = 6
		DD	18	; Index = 3 Token = 7
		DD	-1	; Index = 3 Token = 8
		DD	-3	; Index = 3 Token = 9
		DD	-6	; Index = 3 Token = 10
		DD	-8	; Index = 3 Token = 11
		DD	-11	; Index = 3 Token = 12
		DD	-13	; Index = 3 Token = 13
		DD	-16	; Index = 3 Token = 14
		DD	-18	; Index = 3 Token = 15
		DD	1	; Index = 4 Token = 0
		DD	3	; Index = 4 Token = 1
		DD	6	; Index = 4 Token = 2
		DD	8	; Index = 4 Token = 3
		DD	12	; Index = 4 Token = 4
		DD	14	; Index = 4 Token = 5
		DD	17	; Index = 4 Token = 6
		DD	19	; Index = 4 Token = 7
		DD	-1	; Index = 4 Token = 8
		DD	-3	; Index = 4 Token = 9
		DD	-6	; Index = 4 Token = 10
		DD	-8	; Index = 4 Token = 11
		DD	-12	; Index = 4 Token = 12
		DD	-14	; Index = 4 Token = 13
		DD	-17	; Index = 4 Token = 14
		DD	-19	; Index = 4 Token = 15
		DD	1	; Index = 5 Token = 0
		DD	4	; Index = 5 Token = 1
		DD	7	; Index = 5 Token = 2
		DD	10	; Index = 5 Token = 3
		DD	13	; Index = 5 Token = 4
		DD	16	; Index = 5 Token = 5
		DD	19	; Index = 5 Token = 6
		DD	22	; Index = 5 Token = 7
		DD	-1	; Index = 5 Token = 8
		DD	-4	; Index = 5 Token = 9
		DD	-7	; Index = 5 Token = 10
		DD	-10	; Index = 5 Token = 11
		DD	-13	; Index = 5 Token = 12
		DD	-16	; Index = 5 Token = 13
		DD	-19	; Index = 5 Token = 14
		DD	-22	; Index = 5 Token = 15
		DD	1	; Index = 6 Token = 0
		DD	4	; Index = 6 Token = 1
		DD	7	; Index = 6 Token = 2
		DD	10	; Index = 6 Token = 3
		DD	14	; Index = 6 Token = 4
		DD	17	; Index = 6 Token = 5
		DD	20	; Index = 6 Token = 6
		DD	23	; Index = 6 Token = 7
		DD	-1	; Index = 6 Token = 8
		DD	-4	; Index = 6 Token = 9
		DD	-7	; Index = 6 Token = 10
		DD	-10	; Index = 6 Token = 11
		DD	-14	; Index = 6 Token = 12
		DD	-17	; Index = 6 Token = 13
		DD	-20	; Index = 6 Token = 14
		DD	-23	; Index = 6 Token = 15
		DD	1	; Index = 7 Token = 0
		DD	4	; Index = 7 Token = 1
		DD	8	; Index = 7 Token = 2
		DD	11	; Index = 7 Token = 3
		DD	15	; Index = 7 Token = 4
		DD	18	; Index = 7 Token = 5
		DD	22	; Index = 7 Token = 6
		DD	25	; Index = 7 Token = 7
		DD	-1	; Index = 7 Token = 8
		DD	-4	; Index = 7 Token = 9
		DD	-8	; Index = 7 Token = 10
		DD	-11	; Index = 7 Token = 11
		DD	-15	; Index = 7 Token = 12
		DD	-18	; Index = 7 Token = 13
		DD	-22	; Index = 7 Token = 14
		DD	-25	; Index = 7 Token = 15
		DD	2	; Index = 8 Token = 0
		DD	6	; Index = 8 Token = 1
		DD	10	; Index = 8 Token = 2
		DD	14	; Index = 8 Token = 3
		DD	18	; Index = 8 Token = 4
		DD	22	; Index = 8 Token = 5
		DD	26	; Index = 8 Token = 6
		DD	30	; Index = 8 Token = 7
		DD	-2	; Index = 8 Token = 8
		DD	-6	; Index = 8 Token = 9
		DD	-10	; Index = 8 Token = 10
		DD	-14	; Index = 8 Token = 11
		DD	-18	; Index = 8 Token = 12
		DD	-22	; Index = 8 Token = 13
		DD	-26	; Index = 8 Token = 14
		DD	-30	; Index = 8 Token = 15
		DD	2	; Index = 9 Token = 0
		DD	6	; Index = 9 Token = 1
		DD	10	; Index = 9 Token = 2
		DD	14	; Index = 9 Token = 3
		DD	19	; Index = 9 Token = 4
		DD	23	; Index = 9 Token = 5
		DD	27	; Index = 9 Token = 6
		DD	31	; Index = 9 Token = 7
		DD	-2	; Index = 9 Token = 8
		DD	-6	; Index = 9 Token = 9
		DD	-10	; Index = 9 Token = 10
		DD	-14	; Index = 9 Token = 11
		DD	-19	; Index = 9 Token = 12
		DD	-23	; Index = 9 Token = 13
		DD	-27	; Index = 9 Token = 14
		DD	-31	; Index = 9 Token = 15
		DD	2	; Index = 10 Token = 0
		DD	6	; Index = 10 Token = 1
		DD	11	; Index = 10 Token = 2
		DD	15	; Index = 10 Token = 3
		DD	21	; Index = 10 Token = 4
		DD	25	; Index = 10 Token = 5
		DD	30	; Index = 10 Token = 6
		DD	34	; Index = 10 Token = 7
		DD	-2	; Index = 10 Token = 8
		DD	-6	; Index = 10 Token = 9
		DD	-11	; Index = 10 Token = 10
		DD	-15	; Index = 10 Token = 11
		DD	-21	; Index = 10 Token = 12
		DD	-25	; Index = 10 Token = 13
		DD	-30	; Index = 10 Token = 14
		DD	-34	; Index = 10 Token = 15
		DD	2	; Index = 11 Token = 0
		DD	7	; Index = 11 Token = 1
		DD	12	; Index = 11 Token = 2
		DD	17	; Index = 11 Token = 3
		DD	23	; Index = 11 Token = 4
		DD	28	; Index = 11 Token = 5
		DD	33	; Index = 11 Token = 6
		DD	38	; Index = 11 Token = 7
		DD	-2	; Index = 11 Token = 8
		DD	-7	; Index = 11 Token = 9
		DD	-12	; Index = 11 Token = 10
		DD	-17	; Index = 11 Token = 11
		DD	-23	; Index = 11 Token = 12
		DD	-28	; Index = 11 Token = 13
		DD	-33	; Index = 11 Token = 14
		DD	-38	; Index = 11 Token = 15
		DD	2	; Index = 12 Token = 0
		DD	7	; Index = 12 Token = 1
		DD	13	; Index = 12 Token = 2
		DD	18	; Index = 12 Token = 3
		DD	25	; Index = 12 Token = 4
		DD	30	; Index = 12 Token = 5
		DD	36	; Index = 12 Token = 6
		DD	41	; Index = 12 Token = 7
		DD	-2	; Index = 12 Token = 8
		DD	-7	; Index = 12 Token = 9
		DD	-13	; Index = 12 Token = 10
		DD	-18	; Index = 12 Token = 11
		DD	-25	; Index = 12 Token = 12
		DD	-30	; Index = 12 Token = 13
		DD	-36	; Index = 12 Token = 14
		DD	-41	; Index = 12 Token = 15
		DD	3	; Index = 13 Token = 0
		DD	9	; Index = 13 Token = 1
		DD	15	; Index = 13 Token = 2
		DD	21	; Index = 13 Token = 3
		DD	28	; Index = 13 Token = 4
		DD	34	; Index = 13 Token = 5
		DD	40	; Index = 13 Token = 6
		DD	46	; Index = 13 Token = 7
		DD	-3	; Index = 13 Token = 8
		DD	-9	; Index = 13 Token = 9
		DD	-15	; Index = 13 Token = 10
		DD	-21	; Index = 13 Token = 11
		DD	-28	; Index = 13 Token = 12
		DD	-34	; Index = 13 Token = 13
		DD	-40	; Index = 13 Token = 14
		DD	-46	; Index = 13 Token = 15
		DD	3	; Index = 14 Token = 0
		DD	10	; Index = 14 Token = 1
		DD	17	; Index = 14 Token = 2
		DD	24	; Index = 14 Token = 3
		DD	31	; Index = 14 Token = 4
		DD	38	; Index = 14 Token = 5
		DD	45	; Index = 14 Token = 6
		DD	52	; Index = 14 Token = 7
		DD	-3	; Index = 14 Token = 8
		DD	-10	; Index = 14 Token = 9
		DD	-17	; Index = 14 Token = 10
		DD	-24	; Index = 14 Token = 11
		DD	-31	; Index = 14 Token = 12
		DD	-38	; Index = 14 Token = 13
		DD	-45	; Index = 14 Token = 14
		DD	-52	; Index = 14 Token = 15
		DD	3	; Index = 15 Token = 0
		DD	10	; Index = 15 Token = 1
		DD	18	; Index = 15 Token = 2
		DD	25	; Index = 15 Token = 3
		DD	34	; Index = 15 Token = 4
		DD	41	; Index = 15 Token = 5
		DD	49	; Index = 15 Token = 6
		DD	56	; Index = 15 Token = 7
		DD	-3	; Index = 15 Token = 8
		DD	-10	; Index = 15 Token = 9
		DD	-18	; Index = 15 Token = 10
		DD	-25	; Index = 15 Token = 11
		DD	-34	; Index = 15 Token = 12
		DD	-41	; Index = 15 Token = 13
		DD	-49	; Index = 15 Token = 14
		DD	-56	; Index = 15 Token = 15
		DD	4	; Index = 16 Token = 0
		DD	12	; Index = 16 Token = 1
		DD	21	; Index = 16 Token = 2
		DD	29	; Index = 16 Token = 3
		DD	38	; Index = 16 Token = 4
		DD	46	; Index = 16 Token = 5
		DD	55	; Index = 16 Token = 6
		DD	63	; Index = 16 Token = 7
		DD	-4	; Index = 16 Token = 8
		DD	-12	; Index = 16 Token = 9
		DD	-21	; Index = 16 Token = 10
		DD	-29	; Index = 16 Token = 11
		DD	-38	; Index = 16 Token = 12
		DD	-46	; Index = 16 Token = 13
		DD	-55	; Index = 16 Token = 14
		DD	-63	; Index = 16 Token = 15
		DD	4	; Index = 17 Token = 0
		DD	13	; Index = 17 Token = 1
		DD	22	; Index = 17 Token = 2
		DD	31	; Index = 17 Token = 3
		DD	41	; Index = 17 Token = 4
		DD	50	; Index = 17 Token = 5
		DD	59	; Index = 17 Token = 6
		DD	68	; Index = 17 Token = 7
		DD	-4	; Index = 17 Token = 8
		DD	-13	; Index = 17 Token = 9
		DD	-22	; Index = 17 Token = 10
		DD	-31	; Index = 17 Token = 11
		DD	-41	; Index = 17 Token = 12
		DD	-50	; Index = 17 Token = 13
		DD	-59	; Index = 17 Token = 14
		DD	-68	; Index = 17 Token = 15
		DD	5	; Index = 18 Token = 0
		DD	15	; Index = 18 Token = 1
		DD	25	; Index = 18 Token = 2
		DD	35	; Index = 18 Token = 3
		DD	46	; Index = 18 Token = 4
		DD	56	; Index = 18 Token = 5
		DD	66	; Index = 18 Token = 6
		DD	76	; Index = 18 Token = 7
		DD	-5	; Index = 18 Token = 8
		DD	-15	; Index = 18 Token = 9
		DD	-25	; Index = 18 Token = 10
		DD	-35	; Index = 18 Token = 11
		DD	-46	; Index = 18 Token = 12
		DD	-56	; Index = 18 Token = 13
		DD	-66	; Index = 18 Token = 14
		DD	-76	; Index = 18 Token = 15
		DD	5	; Index = 19 Token = 0
		DD	16	; Index = 19 Token = 1
		DD	27	; Index = 19 Token = 2
		DD	38	; Index = 19 Token = 3
		DD	50	; Index = 19 Token = 4
		DD	61	; Index = 19 Token = 5
		DD	72	; Index = 19 Token = 6
		DD	83	; Index = 19 Token = 7
		DD	-5	; Index = 19 Token = 8
		DD	-16	; Index = 19 Token = 9
		DD	-27	; Index = 19 Token = 10
		DD	-38	; Index = 19 Token = 11
		DD	-50	; Index = 19 Token = 12
		DD	-61	; Index = 19 Token = 13
		DD	-72	; Index = 19 Token = 14
		DD	-83	; Index = 19 Token = 15
		DD	6	; Index = 20 Token = 0
		DD	18	; Index = 20 Token = 1
		DD	31	; Index = 20 Token = 2
		DD	43	; Index = 20 Token = 3
		DD	56	; Index = 20 Token = 4
		DD	68	; Index = 20 Token = 5
		DD	81	; Index = 20 Token = 6
		DD	93	; Index = 20 Token = 7
		DD	-6	; Index = 20 Token = 8
		DD	-18	; Index = 20 Token = 9
		DD	-31	; Index = 20 Token = 10
		DD	-43	; Index = 20 Token = 11
		DD	-56	; Index = 20 Token = 12
		DD	-68	; Index = 20 Token = 13
		DD	-81	; Index = 20 Token = 14
		DD	-93	; Index = 20 Token = 15
		DD	6	; Index = 21 Token = 0
		DD	19	; Index = 21 Token = 1
		DD	33	; Index = 21 Token = 2
		DD	46	; Index = 21 Token = 3
		DD	61	; Index = 21 Token = 4
		DD	74	; Index = 21 Token = 5
		DD	88	; Index = 21 Token = 6
		DD	101	; Index = 21 Token = 7
		DD	-6	; Index = 21 Token = 8
		DD	-19	; Index = 21 Token = 9
		DD	-33	; Index = 21 Token = 10
		DD	-46	; Index = 21 Token = 11
		DD	-61	; Index = 21 Token = 12
		DD	-74	; Index = 21 Token = 13
		DD	-88	; Index = 21 Token = 14
		DD	-101	; Index = 21 Token = 15
		DD	7	; Index = 22 Token = 0
		DD	22	; Index = 22 Token = 1
		DD	37	; Index = 22 Token = 2
		DD	52	; Index = 22 Token = 3
		DD	67	; Index = 22 Token = 4
		DD	82	; Index = 22 Token = 5
		DD	97	; Index = 22 Token = 6
		DD	112	; Index = 22 Token = 7
		DD	-7	; Index = 22 Token = 8
		DD	-22	; Index = 22 Token = 9
		DD	-37	; Index = 22 Token = 10
		DD	-52	; Index = 22 Token = 11
		DD	-67	; Index = 22 Token = 12
		DD	-82	; Index = 22 Token = 13
		DD	-97	; Index = 22 Token = 14
		DD	-112	; Index = 22 Token = 15
		DD	8	; Index = 23 Token = 0
		DD	24	; Index = 23 Token = 1
		DD	41	; Index = 23 Token = 2
		DD	57	; Index = 23 Token = 3
		DD	74	; Index = 23 Token = 4
		DD	90	; Index = 23 Token = 5
		DD	107	; Index = 23 Token = 6
		DD	123	; Index = 23 Token = 7
		DD	-8	; Index = 23 Token = 8
		DD	-24	; Index = 23 Token = 9
		DD	-41	; Index = 23 Token = 10
		DD	-57	; Index = 23 Token = 11
		DD	-74	; Index = 23 Token = 12
		DD	-90	; Index = 23 Token = 13
		DD	-107	; Index = 23 Token = 14
		DD	-123	; Index = 23 Token = 15
		DD	9	; Index = 24 Token = 0
		DD	27	; Index = 24 Token = 1
		DD	45	; Index = 24 Token = 2
		DD	63	; Index = 24 Token = 3
		DD	82	; Index = 24 Token = 4
		DD	100	; Index = 24 Token = 5
		DD	118	; Index = 24 Token = 6
		DD	136	; Index = 24 Token = 7
		DD	-9	; Index = 24 Token = 8
		DD	-27	; Index = 24 Token = 9
		DD	-45	; Index = 24 Token = 10
		DD	-63	; Index = 24 Token = 11
		DD	-82	; Index = 24 Token = 12
		DD	-100	; Index = 24 Token = 13
		DD	-118	; Index = 24 Token = 14
		DD	-136	; Index = 24 Token = 15
		DD	10	; Index = 25 Token = 0
		DD	30	; Index = 25 Token = 1
		DD	50	; Index = 25 Token = 2
		DD	70	; Index = 25 Token = 3
		DD	90	; Index = 25 Token = 4
		DD	110	; Index = 25 Token = 5
		DD	130	; Index = 25 Token = 6
		DD	150	; Index = 25 Token = 7
		DD	-10	; Index = 25 Token = 8
		DD	-30	; Index = 25 Token = 9
		DD	-50	; Index = 25 Token = 10
		DD	-70	; Index = 25 Token = 11
		DD	-90	; Index = 25 Token = 12
		DD	-110	; Index = 25 Token = 13
		DD	-130	; Index = 25 Token = 14
		DD	-150	; Index = 25 Token = 15
		DD	11	; Index = 26 Token = 0
		DD	33	; Index = 26 Token = 1
		DD	55	; Index = 26 Token = 2
		DD	77	; Index = 26 Token = 3
		DD	99	; Index = 26 Token = 4
		DD	121	; Index = 26 Token = 5
		DD	143	; Index = 26 Token = 6
		DD	165	; Index = 26 Token = 7
		DD	-11	; Index = 26 Token = 8
		DD	-33	; Index = 26 Token = 9
		DD	-55	; Index = 26 Token = 10
		DD	-77	; Index = 26 Token = 11
		DD	-99	; Index = 26 Token = 12
		DD	-121	; Index = 26 Token = 13
		DD	-143	; Index = 26 Token = 14
		DD	-165	; Index = 26 Token = 15
		DD	12	; Index = 27 Token = 0
		DD	36	; Index = 27 Token = 1
		DD	60	; Index = 27 Token = 2
		DD	84	; Index = 27 Token = 3
		DD	109	; Index = 27 Token = 4
		DD	133	; Index = 27 Token = 5
		DD	157	; Index = 27 Token = 6
		DD	181	; Index = 27 Token = 7
		DD	-12	; Index = 27 Token = 8
		DD	-36	; Index = 27 Token = 9
		DD	-60	; Index = 27 Token = 10
		DD	-84	; Index = 27 Token = 11
		DD	-109	; Index = 27 Token = 12
		DD	-133	; Index = 27 Token = 13
		DD	-157	; Index = 27 Token = 14
		DD	-181	; Index = 27 Token = 15
		DD	13	; Index = 28 Token = 0
		DD	39	; Index = 28 Token = 1
		DD	66	; Index = 28 Token = 2
		DD	92	; Index = 28 Token = 3
		DD	120	; Index = 28 Token = 4
		DD	146	; Index = 28 Token = 5
		DD	173	; Index = 28 Token = 6
		DD	199	; Index = 28 Token = 7
		DD	-13	; Index = 28 Token = 8
		DD	-39	; Index = 28 Token = 9
		DD	-66	; Index = 28 Token = 10
		DD	-92	; Index = 28 Token = 11
		DD	-120	; Index = 28 Token = 12
		DD	-146	; Index = 28 Token = 13
		DD	-173	; Index = 28 Token = 14
		DD	-199	; Index = 28 Token = 15
		DD	14	; Index = 29 Token = 0
		DD	43	; Index = 29 Token = 1
		DD	73	; Index = 29 Token = 2
		DD	102	; Index = 29 Token = 3
		DD	132	; Index = 29 Token = 4
		DD	161	; Index = 29 Token = 5
		DD	191	; Index = 29 Token = 6
		DD	220	; Index = 29 Token = 7
		DD	-14	; Index = 29 Token = 8
		DD	-43	; Index = 29 Token = 9
		DD	-73	; Index = 29 Token = 10
		DD	-102	; Index = 29 Token = 11
		DD	-132	; Index = 29 Token = 12
		DD	-161	; Index = 29 Token = 13
		DD	-191	; Index = 29 Token = 14
		DD	-220	; Index = 29 Token = 15
		DD	16	; Index = 30 Token = 0
		DD	48	; Index = 30 Token = 1
		DD	81	; Index = 30 Token = 2
		DD	113	; Index = 30 Token = 3
		DD	146	; Index = 30 Token = 4
		DD	178	; Index = 30 Token = 5
		DD	211	; Index = 30 Token = 6
		DD	243	; Index = 30 Token = 7
		DD	-16	; Index = 30 Token = 8
		DD	-48	; Index = 30 Token = 9
		DD	-81	; Index = 30 Token = 10
		DD	-113	; Index = 30 Token = 11
		DD	-146	; Index = 30 Token = 12
		DD	-178	; Index = 30 Token = 13
		DD	-211	; Index = 30 Token = 14
		DD	-243	; Index = 30 Token = 15
		DD	17	; Index = 31 Token = 0
		DD	52	; Index = 31 Token = 1
		DD	88	; Index = 31 Token = 2
		DD	123	; Index = 31 Token = 3
		DD	160	; Index = 31 Token = 4
		DD	195	; Index = 31 Token = 5
		DD	231	; Index = 31 Token = 6
		DD	266	; Index = 31 Token = 7
		DD	-17	; Index = 31 Token = 8
		DD	-52	; Index = 31 Token = 9
		DD	-88	; Index = 31 Token = 10
		DD	-123	; Index = 31 Token = 11
		DD	-160	; Index = 31 Token = 12
		DD	-195	; Index = 31 Token = 13
		DD	-231	; Index = 31 Token = 14
		DD	-266	; Index = 31 Token = 15
		DD	19	; Index = 32 Token = 0
		DD	58	; Index = 32 Token = 1
		DD	97	; Index = 32 Token = 2
		DD	136	; Index = 32 Token = 3
		DD	176	; Index = 32 Token = 4
		DD	215	; Index = 32 Token = 5
		DD	254	; Index = 32 Token = 6
		DD	293	; Index = 32 Token = 7
		DD	-19	; Index = 32 Token = 8
		DD	-58	; Index = 32 Token = 9
		DD	-97	; Index = 32 Token = 10
		DD	-136	; Index = 32 Token = 11
		DD	-176	; Index = 32 Token = 12
		DD	-215	; Index = 32 Token = 13
		DD	-254	; Index = 32 Token = 14
		DD	-293	; Index = 32 Token = 15
		DD	21	; Index = 33 Token = 0
		DD	64	; Index = 33 Token = 1
		DD	107	; Index = 33 Token = 2
		DD	150	; Index = 33 Token = 3
		DD	194	; Index = 33 Token = 4
		DD	237	; Index = 33 Token = 5
		DD	280	; Index = 33 Token = 6
		DD	323	; Index = 33 Token = 7
		DD	-21	; Index = 33 Token = 8
		DD	-64	; Index = 33 Token = 9
		DD	-107	; Index = 33 Token = 10
		DD	-150	; Index = 33 Token = 11
		DD	-194	; Index = 33 Token = 12
		DD	-237	; Index = 33 Token = 13
		DD	-280	; Index = 33 Token = 14
		DD	-323	; Index = 33 Token = 15
		DD	23	; Index = 34 Token = 0
		DD	70	; Index = 34 Token = 1
		DD	118	; Index = 34 Token = 2
		DD	165	; Index = 34 Token = 3
		DD	213	; Index = 34 Token = 4
		DD	260	; Index = 34 Token = 5
		DD	308	; Index = 34 Token = 6
		DD	355	; Index = 34 Token = 7
		DD	-23	; Index = 34 Token = 8
		DD	-70	; Index = 34 Token = 9
		DD	-118	; Index = 34 Token = 10
		DD	-165	; Index = 34 Token = 11
		DD	-213	; Index = 34 Token = 12
		DD	-260	; Index = 34 Token = 13
		DD	-308	; Index = 34 Token = 14
		DD	-355	; Index = 34 Token = 15
		DD	26	; Index = 35 Token = 0
		DD	78	; Index = 35 Token = 1
		DD	130	; Index = 35 Token = 2
		DD	182	; Index = 35 Token = 3
		DD	235	; Index = 35 Token = 4
		DD	287	; Index = 35 Token = 5
		DD	339	; Index = 35 Token = 6
		DD	391	; Index = 35 Token = 7
		DD	-26	; Index = 35 Token = 8
		DD	-78	; Index = 35 Token = 9
		DD	-130	; Index = 35 Token = 10
		DD	-182	; Index = 35 Token = 11
		DD	-235	; Index = 35 Token = 12
		DD	-287	; Index = 35 Token = 13
		DD	-339	; Index = 35 Token = 14
		DD	-391	; Index = 35 Token = 15
		DD	28	; Index = 36 Token = 0
		DD	85	; Index = 36 Token = 1
		DD	143	; Index = 36 Token = 2
		DD	200	; Index = 36 Token = 3
		DD	258	; Index = 36 Token = 4
		DD	315	; Index = 36 Token = 5
		DD	373	; Index = 36 Token = 6
		DD	430	; Index = 36 Token = 7
		DD	-28	; Index = 36 Token = 8
		DD	-85	; Index = 36 Token = 9
		DD	-143	; Index = 36 Token = 10
		DD	-200	; Index = 36 Token = 11
		DD	-258	; Index = 36 Token = 12
		DD	-315	; Index = 36 Token = 13
		DD	-373	; Index = 36 Token = 14
		DD	-430	; Index = 36 Token = 15
		DD	31	; Index = 37 Token = 0
		DD	94	; Index = 37 Token = 1
		DD	157	; Index = 37 Token = 2
		DD	220	; Index = 37 Token = 3
		DD	284	; Index = 37 Token = 4
		DD	347	; Index = 37 Token = 5
		DD	410	; Index = 37 Token = 6
		DD	473	; Index = 37 Token = 7
		DD	-31	; Index = 37 Token = 8
		DD	-94	; Index = 37 Token = 9
		DD	-157	; Index = 37 Token = 10
		DD	-220	; Index = 37 Token = 11
		DD	-284	; Index = 37 Token = 12
		DD	-347	; Index = 37 Token = 13
		DD	-410	; Index = 37 Token = 14
		DD	-473	; Index = 37 Token = 15
		DD	34	; Index = 38 Token = 0
		DD	103	; Index = 38 Token = 1
		DD	173	; Index = 38 Token = 2
		DD	242	; Index = 38 Token = 3
		DD	313	; Index = 38 Token = 4
		DD	382	; Index = 38 Token = 5
		DD	452	; Index = 38 Token = 6
		DD	521	; Index = 38 Token = 7
		DD	-34	; Index = 38 Token = 8
		DD	-103	; Index = 38 Token = 9
		DD	-173	; Index = 38 Token = 10
		DD	-242	; Index = 38 Token = 11
		DD	-313	; Index = 38 Token = 12
		DD	-382	; Index = 38 Token = 13
		DD	-452	; Index = 38 Token = 14
		DD	-521	; Index = 38 Token = 15
		DD	38	; Index = 39 Token = 0
		DD	114	; Index = 39 Token = 1
		DD	191	; Index = 39 Token = 2
		DD	267	; Index = 39 Token = 3
		DD	345	; Index = 39 Token = 4
		DD	421	; Index = 39 Token = 5
		DD	498	; Index = 39 Token = 6
		DD	574	; Index = 39 Token = 7
		DD	-38	; Index = 39 Token = 8
		DD	-114	; Index = 39 Token = 9
		DD	-191	; Index = 39 Token = 10
		DD	-267	; Index = 39 Token = 11
		DD	-345	; Index = 39 Token = 12
		DD	-421	; Index = 39 Token = 13
		DD	-498	; Index = 39 Token = 14
		DD	-574	; Index = 39 Token = 15
		DD	42	; Index = 40 Token = 0
		DD	126	; Index = 40 Token = 1
		DD	210	; Index = 40 Token = 2
		DD	294	; Index = 40 Token = 3
		DD	379	; Index = 40 Token = 4
		DD	463	; Index = 40 Token = 5
		DD	547	; Index = 40 Token = 6
		DD	631	; Index = 40 Token = 7
		DD	-42	; Index = 40 Token = 8
		DD	-126	; Index = 40 Token = 9
		DD	-210	; Index = 40 Token = 10
		DD	-294	; Index = 40 Token = 11
		DD	-379	; Index = 40 Token = 12
		DD	-463	; Index = 40 Token = 13
		DD	-547	; Index = 40 Token = 14
		DD	-631	; Index = 40 Token = 15
		DD	46	; Index = 41 Token = 0
		DD	138	; Index = 41 Token = 1
		DD	231	; Index = 41 Token = 2
		DD	323	; Index = 41 Token = 3
		DD	417	; Index = 41 Token = 4
		DD	509	; Index = 41 Token = 5
		DD	602	; Index = 41 Token = 6
		DD	694	; Index = 41 Token = 7
		DD	-46	; Index = 41 Token = 8
		DD	-138	; Index = 41 Token = 9
		DD	-231	; Index = 41 Token = 10
		DD	-323	; Index = 41 Token = 11
		DD	-417	; Index = 41 Token = 12
		DD	-509	; Index = 41 Token = 13
		DD	-602	; Index = 41 Token = 14
		DD	-694	; Index = 41 Token = 15
		DD	51	; Index = 42 Token = 0
		DD	153	; Index = 42 Token = 1
		DD	255	; Index = 42 Token = 2
		DD	357	; Index = 42 Token = 3
		DD	459	; Index = 42 Token = 4
		DD	561	; Index = 42 Token = 5
		DD	663	; Index = 42 Token = 6
		DD	765	; Index = 42 Token = 7
		DD	-51	; Index = 42 Token = 8
		DD	-153	; Index = 42 Token = 9
		DD	-255	; Index = 42 Token = 10
		DD	-357	; Index = 42 Token = 11
		DD	-459	; Index = 42 Token = 12
		DD	-561	; Index = 42 Token = 13
		DD	-663	; Index = 42 Token = 14
		DD	-765	; Index = 42 Token = 15
		DD	56	; Index = 43 Token = 0
		DD	168	; Index = 43 Token = 1
		DD	280	; Index = 43 Token = 2
		DD	392	; Index = 43 Token = 3
		DD	505	; Index = 43 Token = 4
		DD	617	; Index = 43 Token = 5
		DD	729	; Index = 43 Token = 6
		DD	841	; Index = 43 Token = 7
		DD	-56	; Index = 43 Token = 8
		DD	-168	; Index = 43 Token = 9
		DD	-280	; Index = 43 Token = 10
		DD	-392	; Index = 43 Token = 11
		DD	-505	; Index = 43 Token = 12
		DD	-617	; Index = 43 Token = 13
		DD	-729	; Index = 43 Token = 14
		DD	-841	; Index = 43 Token = 15
		DD	61	; Index = 44 Token = 0
		DD	184	; Index = 44 Token = 1
		DD	308	; Index = 44 Token = 2
		DD	431	; Index = 44 Token = 3
		DD	555	; Index = 44 Token = 4
		DD	678	; Index = 44 Token = 5
		DD	802	; Index = 44 Token = 6
		DD	925	; Index = 44 Token = 7
		DD	-61	; Index = 44 Token = 8
		DD	-184	; Index = 44 Token = 9
		DD	-308	; Index = 44 Token = 10
		DD	-431	; Index = 44 Token = 11
		DD	-555	; Index = 44 Token = 12
		DD	-678	; Index = 44 Token = 13
		DD	-802	; Index = 44 Token = 14
		DD	-925	; Index = 44 Token = 15
		DD	68	; Index = 45 Token = 0
		DD	204	; Index = 45 Token = 1
		DD	340	; Index = 45 Token = 2
		DD	476	; Index = 45 Token = 3
		DD	612	; Index = 45 Token = 4
		DD	748	; Index = 45 Token = 5
		DD	884	; Index = 45 Token = 6
		DD	1020	; Index = 45 Token = 7
		DD	-68	; Index = 45 Token = 8
		DD	-204	; Index = 45 Token = 9
		DD	-340	; Index = 45 Token = 10
		DD	-476	; Index = 45 Token = 11
		DD	-612	; Index = 45 Token = 12
		DD	-748	; Index = 45 Token = 13
		DD	-884	; Index = 45 Token = 14
		DD	-1020	; Index = 45 Token = 15
		DD	74	; Index = 46 Token = 0
		DD	223	; Index = 46 Token = 1
		DD	373	; Index = 46 Token = 2
		DD	522	; Index = 46 Token = 3
		DD	672	; Index = 46 Token = 4
		DD	821	; Index = 46 Token = 5
		DD	971	; Index = 46 Token = 6
		DD	1120	; Index = 46 Token = 7
		DD	-74	; Index = 46 Token = 8
		DD	-223	; Index = 46 Token = 9
		DD	-373	; Index = 46 Token = 10
		DD	-522	; Index = 46 Token = 11
		DD	-672	; Index = 46 Token = 12
		DD	-821	; Index = 46 Token = 13
		DD	-971	; Index = 46 Token = 14
		DD	-1120	; Index = 46 Token = 15
		DD	82	; Index = 47 Token = 0
		DD	246	; Index = 47 Token = 1
		DD	411	; Index = 47 Token = 2
		DD	575	; Index = 47 Token = 3
		DD	740	; Index = 47 Token = 4
		DD	904	; Index = 47 Token = 5
		DD	1069	; Index = 47 Token = 6
		DD	1233	; Index = 47 Token = 7
		DD	-82	; Index = 47 Token = 8
		DD	-246	; Index = 47 Token = 9
		DD	-411	; Index = 47 Token = 10
		DD	-575	; Index = 47 Token = 11
		DD	-740	; Index = 47 Token = 12
		DD	-904	; Index = 47 Token = 13
		DD	-1069	; Index = 47 Token = 14
		DD	-1233	; Index = 47 Token = 15
		DD	90	; Index = 48 Token = 0
		DD	271	; Index = 48 Token = 1
		DD	452	; Index = 48 Token = 2
		DD	633	; Index = 48 Token = 3
		DD	814	; Index = 48 Token = 4
		DD	995	; Index = 48 Token = 5
		DD	1176	; Index = 48 Token = 6
		DD	1357	; Index = 48 Token = 7
		DD	-90	; Index = 48 Token = 8
		DD	-271	; Index = 48 Token = 9
		DD	-452	; Index = 48 Token = 10
		DD	-633	; Index = 48 Token = 11
		DD	-814	; Index = 48 Token = 12
		DD	-995	; Index = 48 Token = 13
		DD	-1176	; Index = 48 Token = 14
		DD	-1357	; Index = 48 Token = 15
		DD	99	; Index = 49 Token = 0
		DD	298	; Index = 49 Token = 1
		DD	497	; Index = 49 Token = 2
		DD	696	; Index = 49 Token = 3
		DD	895	; Index = 49 Token = 4
		DD	1094	; Index = 49 Token = 5
		DD	1293	; Index = 49 Token = 6
		DD	1492	; Index = 49 Token = 7
		DD	-99	; Index = 49 Token = 8
		DD	-298	; Index = 49 Token = 9
		DD	-497	; Index = 49 Token = 10
		DD	-696	; Index = 49 Token = 11
		DD	-895	; Index = 49 Token = 12
		DD	-1094	; Index = 49 Token = 13
		DD	-1293	; Index = 49 Token = 14
		DD	-1492	; Index = 49 Token = 15
		DD	109	; Index = 50 Token = 0
		DD	328	; Index = 50 Token = 1
		DD	547	; Index = 50 Token = 2
		DD	766	; Index = 50 Token = 3
		DD	985	; Index = 50 Token = 4
		DD	1204	; Index = 50 Token = 5
		DD	1423	; Index = 50 Token = 6
		DD	1642	; Index = 50 Token = 7
		DD	-109	; Index = 50 Token = 8
		DD	-328	; Index = 50 Token = 9
		DD	-547	; Index = 50 Token = 10
		DD	-766	; Index = 50 Token = 11
		DD	-985	; Index = 50 Token = 12
		DD	-1204	; Index = 50 Token = 13
		DD	-1423	; Index = 50 Token = 14
		DD	-1642	; Index = 50 Token = 15
		DD	120	; Index = 51 Token = 0
		DD	360	; Index = 51 Token = 1
		DD	601	; Index = 51 Token = 2
		DD	841	; Index = 51 Token = 3
		DD	1083	; Index = 51 Token = 4
		DD	1323	; Index = 51 Token = 5
		DD	1564	; Index = 51 Token = 6
		DD	1804	; Index = 51 Token = 7
		DD	-120	; Index = 51 Token = 8
		DD	-360	; Index = 51 Token = 9
		DD	-601	; Index = 51 Token = 10
		DD	-841	; Index = 51 Token = 11
		DD	-1083	; Index = 51 Token = 12
		DD	-1323	; Index = 51 Token = 13
		DD	-1564	; Index = 51 Token = 14
		DD	-1804	; Index = 51 Token = 15
		DD	132	; Index = 52 Token = 0
		DD	397	; Index = 52 Token = 1
		DD	662	; Index = 52 Token = 2
		DD	927	; Index = 52 Token = 3
		DD	1192	; Index = 52 Token = 4
		DD	1457	; Index = 52 Token = 5
		DD	1722	; Index = 52 Token = 6
		DD	1987	; Index = 52 Token = 7
		DD	-132	; Index = 52 Token = 8
		DD	-397	; Index = 52 Token = 9
		DD	-662	; Index = 52 Token = 10
		DD	-927	; Index = 52 Token = 11
		DD	-1192	; Index = 52 Token = 12
		DD	-1457	; Index = 52 Token = 13
		DD	-1722	; Index = 52 Token = 14
		DD	-1987	; Index = 52 Token = 15
		DD	145	; Index = 53 Token = 0
		DD	436	; Index = 53 Token = 1
		DD	728	; Index = 53 Token = 2
		DD	1019	; Index = 53 Token = 3
		DD	1311	; Index = 53 Token = 4
		DD	1602	; Index = 53 Token = 5
		DD	1894	; Index = 53 Token = 6
		DD	2185	; Index = 53 Token = 7
		DD	-145	; Index = 53 Token = 8
		DD	-436	; Index = 53 Token = 9
		DD	-728	; Index = 53 Token = 10
		DD	-1019	; Index = 53 Token = 11
		DD	-1311	; Index = 53 Token = 12
		DD	-1602	; Index = 53 Token = 13
		DD	-1894	; Index = 53 Token = 14
		DD	-2185	; Index = 53 Token = 15
		DD	160	; Index = 54 Token = 0
		DD	480	; Index = 54 Token = 1
		DD	801	; Index = 54 Token = 2
		DD	1121	; Index = 54 Token = 3
		DD	1442	; Index = 54 Token = 4
		DD	1762	; Index = 54 Token = 5
		DD	2083	; Index = 54 Token = 6
		DD	2403	; Index = 54 Token = 7
		DD	-160	; Index = 54 Token = 8
		DD	-480	; Index = 54 Token = 9
		DD	-801	; Index = 54 Token = 10
		DD	-1121	; Index = 54 Token = 11
		DD	-1442	; Index = 54 Token = 12
		DD	-1762	; Index = 54 Token = 13
		DD	-2083	; Index = 54 Token = 14
		DD	-2403	; Index = 54 Token = 15
		DD	176	; Index = 55 Token = 0
		DD	528	; Index = 55 Token = 1
		DD	881	; Index = 55 Token = 2
		DD	1233	; Index = 55 Token = 3
		DD	1587	; Index = 55 Token = 4
		DD	1939	; Index = 55 Token = 5
		DD	2292	; Index = 55 Token = 6
		DD	2644	; Index = 55 Token = 7
		DD	-176	; Index = 55 Token = 8
		DD	-528	; Index = 55 Token = 9
		DD	-881	; Index = 55 Token = 10
		DD	-1233	; Index = 55 Token = 11
		DD	-1587	; Index = 55 Token = 12
		DD	-1939	; Index = 55 Token = 13
		DD	-2292	; Index = 55 Token = 14
		DD	-2644	; Index = 55 Token = 15
		DD	194	; Index = 56 Token = 0
		DD	582	; Index = 56 Token = 1
		DD	970	; Index = 56 Token = 2
		DD	1358	; Index = 56 Token = 3
		DD	1746	; Index = 56 Token = 4
		DD	2134	; Index = 56 Token = 5
		DD	2522	; Index = 56 Token = 6
		DD	2910	; Index = 56 Token = 7
		DD	-194	; Index = 56 Token = 8
		DD	-582	; Index = 56 Token = 9
		DD	-970	; Index = 56 Token = 10
		DD	-1358	; Index = 56 Token = 11
		DD	-1746	; Index = 56 Token = 12
		DD	-2134	; Index = 56 Token = 13
		DD	-2522	; Index = 56 Token = 14
		DD	-2910	; Index = 56 Token = 15
		DD	213	; Index = 57 Token = 0
		DD	639	; Index = 57 Token = 1
		DD	1066	; Index = 57 Token = 2
		DD	1492	; Index = 57 Token = 3
		DD	1920	; Index = 57 Token = 4
		DD	2346	; Index = 57 Token = 5
		DD	2773	; Index = 57 Token = 6
		DD	3199	; Index = 57 Token = 7
		DD	-213	; Index = 57 Token = 8
		DD	-639	; Index = 57 Token = 9
		DD	-1066	; Index = 57 Token = 10
		DD	-1492	; Index = 57 Token = 11
		DD	-1920	; Index = 57 Token = 12
		DD	-2346	; Index = 57 Token = 13
		DD	-2773	; Index = 57 Token = 14
		DD	-3199	; Index = 57 Token = 15
		DD	234	; Index = 58 Token = 0
		DD	703	; Index = 58 Token = 1
		DD	1173	; Index = 58 Token = 2
		DD	1642	; Index = 58 Token = 3
		DD	2112	; Index = 58 Token = 4
		DD	2581	; Index = 58 Token = 5
		DD	3051	; Index = 58 Token = 6
		DD	3520	; Index = 58 Token = 7
		DD	-234	; Index = 58 Token = 8
		DD	-703	; Index = 58 Token = 9
		DD	-1173	; Index = 58 Token = 10
		DD	-1642	; Index = 58 Token = 11
		DD	-2112	; Index = 58 Token = 12
		DD	-2581	; Index = 58 Token = 13
		DD	-3051	; Index = 58 Token = 14
		DD	-3520	; Index = 58 Token = 15
		DD	258	; Index = 59 Token = 0
		DD	774	; Index = 59 Token = 1
		DD	1291	; Index = 59 Token = 2
		DD	1807	; Index = 59 Token = 3
		DD	2324	; Index = 59 Token = 4
		DD	2840	; Index = 59 Token = 5
		DD	3357	; Index = 59 Token = 6
		DD	3873	; Index = 59 Token = 7
		DD	-258	; Index = 59 Token = 8
		DD	-774	; Index = 59 Token = 9
		DD	-1291	; Index = 59 Token = 10
		DD	-1807	; Index = 59 Token = 11
		DD	-2324	; Index = 59 Token = 12
		DD	-2840	; Index = 59 Token = 13
		DD	-3357	; Index = 59 Token = 14
		DD	-3873	; Index = 59 Token = 15
		DD	284	; Index = 60 Token = 0
		DD	852	; Index = 60 Token = 1
		DD	1420	; Index = 60 Token = 2
		DD	1988	; Index = 60 Token = 3
		DD	2556	; Index = 60 Token = 4
		DD	3124	; Index = 60 Token = 5
		DD	3692	; Index = 60 Token = 6
		DD	4260	; Index = 60 Token = 7
		DD	-284	; Index = 60 Token = 8
		DD	-852	; Index = 60 Token = 9
		DD	-1420	; Index = 60 Token = 10
		DD	-1988	; Index = 60 Token = 11
		DD	-2556	; Index = 60 Token = 12
		DD	-3124	; Index = 60 Token = 13
		DD	-3692	; Index = 60 Token = 14
		DD	-4260	; Index = 60 Token = 15
		DD	312	; Index = 61 Token = 0
		DD	936	; Index = 61 Token = 1
		DD	1561	; Index = 61 Token = 2
		DD	2185	; Index = 61 Token = 3
		DD	2811	; Index = 61 Token = 4
		DD	3435	; Index = 61 Token = 5
		DD	4060	; Index = 61 Token = 6
		DD	4684	; Index = 61 Token = 7
		DD	-312	; Index = 61 Token = 8
		DD	-936	; Index = 61 Token = 9
		DD	-1561	; Index = 61 Token = 10
		DD	-2185	; Index = 61 Token = 11
		DD	-2811	; Index = 61 Token = 12
		DD	-3435	; Index = 61 Token = 13
		DD	-4060	; Index = 61 Token = 14
		DD	-4684	; Index = 61 Token = 15
		DD	343	; Index = 62 Token = 0
		DD	1030	; Index = 62 Token = 1
		DD	1717	; Index = 62 Token = 2
		DD	2404	; Index = 62 Token = 3
		DD	3092	; Index = 62 Token = 4
		DD	3779	; Index = 62 Token = 5
		DD	4466	; Index = 62 Token = 6
		DD	5153	; Index = 62 Token = 7
		DD	-343	; Index = 62 Token = 8
		DD	-1030	; Index = 62 Token = 9
		DD	-1717	; Index = 62 Token = 10
		DD	-2404	; Index = 62 Token = 11
		DD	-3092	; Index = 62 Token = 12
		DD	-3779	; Index = 62 Token = 13
		DD	-4466	; Index = 62 Token = 14
		DD	-5153	; Index = 62 Token = 15
		DD	378	; Index = 63 Token = 0
		DD	1134	; Index = 63 Token = 1
		DD	1890	; Index = 63 Token = 2
		DD	2646	; Index = 63 Token = 3
		DD	3402	; Index = 63 Token = 4
		DD	4158	; Index = 63 Token = 5
		DD	4914	; Index = 63 Token = 6
		DD	5670	; Index = 63 Token = 7
		DD	-378	; Index = 63 Token = 8
		DD	-1134	; Index = 63 Token = 9
		DD	-1890	; Index = 63 Token = 10
		DD	-2646	; Index = 63 Token = 11
		DD	-3402	; Index = 63 Token = 12
		DD	-4158	; Index = 63 Token = 13
		DD	-4914	; Index = 63 Token = 14
		DD	-5670	; Index = 63 Token = 15
		DD	415	; Index = 64 Token = 0
		DD	1246	; Index = 64 Token = 1
		DD	2078	; Index = 64 Token = 2
		DD	2909	; Index = 64 Token = 3
		DD	3742	; Index = 64 Token = 4
		DD	4573	; Index = 64 Token = 5
		DD	5405	; Index = 64 Token = 6
		DD	6236	; Index = 64 Token = 7
		DD	-415	; Index = 64 Token = 8
		DD	-1246	; Index = 64 Token = 9
		DD	-2078	; Index = 64 Token = 10
		DD	-2909	; Index = 64 Token = 11
		DD	-3742	; Index = 64 Token = 12
		DD	-4573	; Index = 64 Token = 13
		DD	-5405	; Index = 64 Token = 14
		DD	-6236	; Index = 64 Token = 15
		DD	457	; Index = 65 Token = 0
		DD	1372	; Index = 65 Token = 1
		DD	2287	; Index = 65 Token = 2
		DD	3202	; Index = 65 Token = 3
		DD	4117	; Index = 65 Token = 4
		DD	5032	; Index = 65 Token = 5
		DD	5947	; Index = 65 Token = 6
		DD	6862	; Index = 65 Token = 7
		DD	-457	; Index = 65 Token = 8
		DD	-1372	; Index = 65 Token = 9
		DD	-2287	; Index = 65 Token = 10
		DD	-3202	; Index = 65 Token = 11
		DD	-4117	; Index = 65 Token = 12
		DD	-5032	; Index = 65 Token = 13
		DD	-5947	; Index = 65 Token = 14
		DD	-6862	; Index = 65 Token = 15
		DD	503	; Index = 66 Token = 0
		DD	1509	; Index = 66 Token = 1
		DD	2516	; Index = 66 Token = 2
		DD	3522	; Index = 66 Token = 3
		DD	4529	; Index = 66 Token = 4
		DD	5535	; Index = 66 Token = 5
		DD	6542	; Index = 66 Token = 6
		DD	7548	; Index = 66 Token = 7
		DD	-503	; Index = 66 Token = 8
		DD	-1509	; Index = 66 Token = 9
		DD	-2516	; Index = 66 Token = 10
		DD	-3522	; Index = 66 Token = 11
		DD	-4529	; Index = 66 Token = 12
		DD	-5535	; Index = 66 Token = 13
		DD	-6542	; Index = 66 Token = 14
		DD	-7548	; Index = 66 Token = 15
		DD	553	; Index = 67 Token = 0
		DD	1660	; Index = 67 Token = 1
		DD	2767	; Index = 67 Token = 2
		DD	3874	; Index = 67 Token = 3
		DD	4981	; Index = 67 Token = 4
		DD	6088	; Index = 67 Token = 5
		DD	7195	; Index = 67 Token = 6
		DD	8302	; Index = 67 Token = 7
		DD	-553	; Index = 67 Token = 8
		DD	-1660	; Index = 67 Token = 9
		DD	-2767	; Index = 67 Token = 10
		DD	-3874	; Index = 67 Token = 11
		DD	-4981	; Index = 67 Token = 12
		DD	-6088	; Index = 67 Token = 13
		DD	-7195	; Index = 67 Token = 14
		DD	-8302	; Index = 67 Token = 15
		DD	608	; Index = 68 Token = 0
		DD	1825	; Index = 68 Token = 1
		DD	3043	; Index = 68 Token = 2
		DD	4260	; Index = 68 Token = 3
		DD	5479	; Index = 68 Token = 4
		DD	6696	; Index = 68 Token = 5
		DD	7914	; Index = 68 Token = 6
		DD	9131	; Index = 68 Token = 7
		DD	-608	; Index = 68 Token = 8
		DD	-1825	; Index = 68 Token = 9
		DD	-3043	; Index = 68 Token = 10
		DD	-4260	; Index = 68 Token = 11
		DD	-5479	; Index = 68 Token = 12
		DD	-6696	; Index = 68 Token = 13
		DD	-7914	; Index = 68 Token = 14
		DD	-9131	; Index = 68 Token = 15
		DD	669	; Index = 69 Token = 0
		DD	2008	; Index = 69 Token = 1
		DD	3348	; Index = 69 Token = 2
		DD	4687	; Index = 69 Token = 3
		DD	6027	; Index = 69 Token = 4
		DD	7366	; Index = 69 Token = 5
		DD	8706	; Index = 69 Token = 6
		DD	10045	; Index = 69 Token = 7
		DD	-669	; Index = 69 Token = 8
		DD	-2008	; Index = 69 Token = 9
		DD	-3348	; Index = 69 Token = 10
		DD	-4687	; Index = 69 Token = 11
		DD	-6027	; Index = 69 Token = 12
		DD	-7366	; Index = 69 Token = 13
		DD	-8706	; Index = 69 Token = 14
		DD	-10045	; Index = 69 Token = 15
		DD	736	; Index = 70 Token = 0
		DD	2209	; Index = 70 Token = 1
		DD	3683	; Index = 70 Token = 2
		DD	5156	; Index = 70 Token = 3
		DD	6630	; Index = 70 Token = 4
		DD	8103	; Index = 70 Token = 5
		DD	9577	; Index = 70 Token = 6
		DD	11050	; Index = 70 Token = 7
		DD	-736	; Index = 70 Token = 8
		DD	-2209	; Index = 70 Token = 9
		DD	-3683	; Index = 70 Token = 10
		DD	-5156	; Index = 70 Token = 11
		DD	-6630	; Index = 70 Token = 12
		DD	-8103	; Index = 70 Token = 13
		DD	-9577	; Index = 70 Token = 14
		DD	-11050	; Index = 70 Token = 15
		DD	810	; Index = 71 Token = 0
		DD	2431	; Index = 71 Token = 1
		DD	4052	; Index = 71 Token = 2
		DD	5673	; Index = 71 Token = 3
		DD	7294	; Index = 71 Token = 4
		DD	8915	; Index = 71 Token = 5
		DD	10536	; Index = 71 Token = 6
		DD	12157	; Index = 71 Token = 7
		DD	-810	; Index = 71 Token = 8
		DD	-2431	; Index = 71 Token = 9
		DD	-4052	; Index = 71 Token = 10
		DD	-5673	; Index = 71 Token = 11
		DD	-7294	; Index = 71 Token = 12
		DD	-8915	; Index = 71 Token = 13
		DD	-10536	; Index = 71 Token = 14
		DD	-12157	; Index = 71 Token = 15
		DD	891	; Index = 72 Token = 0
		DD	2674	; Index = 72 Token = 1
		DD	4457	; Index = 72 Token = 2
		DD	6240	; Index = 72 Token = 3
		DD	8023	; Index = 72 Token = 4
		DD	9806	; Index = 72 Token = 5
		DD	11589	; Index = 72 Token = 6
		DD	13372	; Index = 72 Token = 7
		DD	-891	; Index = 72 Token = 8
		DD	-2674	; Index = 72 Token = 9
		DD	-4457	; Index = 72 Token = 10
		DD	-6240	; Index = 72 Token = 11
		DD	-8023	; Index = 72 Token = 12
		DD	-9806	; Index = 72 Token = 13
		DD	-11589	; Index = 72 Token = 14
		DD	-13372	; Index = 72 Token = 15
		DD	980	; Index = 73 Token = 0
		DD	2941	; Index = 73 Token = 1
		DD	4902	; Index = 73 Token = 2
		DD	6863	; Index = 73 Token = 3
		DD	8825	; Index = 73 Token = 4
		DD	10786	; Index = 73 Token = 5
		DD	12747	; Index = 73 Token = 6
		DD	14708	; Index = 73 Token = 7
		DD	-980	; Index = 73 Token = 8
		DD	-2941	; Index = 73 Token = 9
		DD	-4902	; Index = 73 Token = 10
		DD	-6863	; Index = 73 Token = 11
		DD	-8825	; Index = 73 Token = 12
		DD	-10786	; Index = 73 Token = 13
		DD	-12747	; Index = 73 Token = 14
		DD	-14708	; Index = 73 Token = 15
		DD	1078	; Index = 74 Token = 0
		DD	3235	; Index = 74 Token = 1
		DD	5393	; Index = 74 Token = 2
		DD	7550	; Index = 74 Token = 3
		DD	9708	; Index = 74 Token = 4
		DD	11865	; Index = 74 Token = 5
		DD	14023	; Index = 74 Token = 6
		DD	16180	; Index = 74 Token = 7
		DD	-1078	; Index = 74 Token = 8
		DD	-3235	; Index = 74 Token = 9
		DD	-5393	; Index = 74 Token = 10
		DD	-7550	; Index = 74 Token = 11
		DD	-9708	; Index = 74 Token = 12
		DD	-11865	; Index = 74 Token = 13
		DD	-14023	; Index = 74 Token = 14
		DD	-16180	; Index = 74 Token = 15
		DD	1186	; Index = 75 Token = 0
		DD	3559	; Index = 75 Token = 1
		DD	5932	; Index = 75 Token = 2
		DD	8305	; Index = 75 Token = 3
		DD	10679	; Index = 75 Token = 4
		DD	13052	; Index = 75 Token = 5
		DD	15425	; Index = 75 Token = 6
		DD	17798	; Index = 75 Token = 7
		DD	-1186	; Index = 75 Token = 8
		DD	-3559	; Index = 75 Token = 9
		DD	-5932	; Index = 75 Token = 10
		DD	-8305	; Index = 75 Token = 11
		DD	-10679	; Index = 75 Token = 12
		DD	-13052	; Index = 75 Token = 13
		DD	-15425	; Index = 75 Token = 14
		DD	-17798	; Index = 75 Token = 15
		DD	1305	; Index = 76 Token = 0
		DD	3915	; Index = 76 Token = 1
		DD	6526	; Index = 76 Token = 2
		DD	9136	; Index = 76 Token = 3
		DD	11747	; Index = 76 Token = 4
		DD	14357	; Index = 76 Token = 5
		DD	16968	; Index = 76 Token = 6
		DD	19578	; Index = 76 Token = 7
		DD	-1305	; Index = 76 Token = 8
		DD	-3915	; Index = 76 Token = 9
		DD	-6526	; Index = 76 Token = 10
		DD	-9136	; Index = 76 Token = 11
		DD	-11747	; Index = 76 Token = 12
		DD	-14357	; Index = 76 Token = 13
		DD	-16968	; Index = 76 Token = 14
		DD	-19578	; Index = 76 Token = 15
		DD	1435	; Index = 77 Token = 0
		DD	4306	; Index = 77 Token = 1
		DD	7178	; Index = 77 Token = 2
		DD	10049	; Index = 77 Token = 3
		DD	12922	; Index = 77 Token = 4
		DD	15793	; Index = 77 Token = 5
		DD	18665	; Index = 77 Token = 6
		DD	21536	; Index = 77 Token = 7
		DD	-1435	; Index = 77 Token = 8
		DD	-4306	; Index = 77 Token = 9
		DD	-7178	; Index = 77 Token = 10
		DD	-10049	; Index = 77 Token = 11
		DD	-12922	; Index = 77 Token = 12
		DD	-15793	; Index = 77 Token = 13
		DD	-18665	; Index = 77 Token = 14
		DD	-21536	; Index = 77 Token = 15
		DD	1579	; Index = 78 Token = 0
		DD	4737	; Index = 78 Token = 1
		DD	7896	; Index = 78 Token = 2
		DD	11054	; Index = 78 Token = 3
		DD	14214	; Index = 78 Token = 4
		DD	17372	; Index = 78 Token = 5
		DD	20531	; Index = 78 Token = 6
		DD	23689	; Index = 78 Token = 7
		DD	-1579	; Index = 78 Token = 8
		DD	-4737	; Index = 78 Token = 9
		DD	-7896	; Index = 78 Token = 10
		DD	-11054	; Index = 78 Token = 11
		DD	-14214	; Index = 78 Token = 12
		DD	-17372	; Index = 78 Token = 13
		DD	-20531	; Index = 78 Token = 14
		DD	-23689	; Index = 78 Token = 15
		DD	1737	; Index = 79 Token = 0
		DD	5211	; Index = 79 Token = 1
		DD	8686	; Index = 79 Token = 2
		DD	12160	; Index = 79 Token = 3
		DD	15636	; Index = 79 Token = 4
		DD	19110	; Index = 79 Token = 5
		DD	22585	; Index = 79 Token = 6
		DD	26059	; Index = 79 Token = 7
		DD	-1737	; Index = 79 Token = 8
		DD	-5211	; Index = 79 Token = 9
		DD	-8686	; Index = 79 Token = 10
		DD	-12160	; Index = 79 Token = 11
		DD	-15636	; Index = 79 Token = 12
		DD	-19110	; Index = 79 Token = 13
		DD	-22585	; Index = 79 Token = 14
		DD	-26059	; Index = 79 Token = 15
		DD	1911	; Index = 80 Token = 0
		DD	5733	; Index = 80 Token = 1
		DD	9555	; Index = 80 Token = 2
		DD	13377	; Index = 80 Token = 3
		DD	17200	; Index = 80 Token = 4
		DD	21022	; Index = 80 Token = 5
		DD	24844	; Index = 80 Token = 6
		DD	28666	; Index = 80 Token = 7
		DD	-1911	; Index = 80 Token = 8
		DD	-5733	; Index = 80 Token = 9
		DD	-9555	; Index = 80 Token = 10
		DD	-13377	; Index = 80 Token = 11
		DD	-17200	; Index = 80 Token = 12
		DD	-21022	; Index = 80 Token = 13
		DD	-24844	; Index = 80 Token = 14
		DD	-28666	; Index = 80 Token = 15
		DD	2102	; Index = 81 Token = 0
		DD	6306	; Index = 81 Token = 1
		DD	10511	; Index = 81 Token = 2
		DD	14715	; Index = 81 Token = 3
		DD	18920	; Index = 81 Token = 4
		DD	23124	; Index = 81 Token = 5
		DD	27329	; Index = 81 Token = 6
		DD	31533	; Index = 81 Token = 7
		DD	-2102	; Index = 81 Token = 8
		DD	-6306	; Index = 81 Token = 9
		DD	-10511	; Index = 81 Token = 10
		DD	-14715	; Index = 81 Token = 11
		DD	-18920	; Index = 81 Token = 12
		DD	-23124	; Index = 81 Token = 13
		DD	-27329	; Index = 81 Token = 14
		DD	-31533	; Index = 81 Token = 15
		DD	2312	; Index = 82 Token = 0
		DD	6937	; Index = 82 Token = 1
		DD	11562	; Index = 82 Token = 2
		DD	16187	; Index = 82 Token = 3
		DD	20812	; Index = 82 Token = 4
		DD	25437	; Index = 82 Token = 5
		DD	30062	; Index = 82 Token = 6
		DD	34687	; Index = 82 Token = 7
		DD	-2312	; Index = 82 Token = 8
		DD	-6937	; Index = 82 Token = 9
		DD	-11562	; Index = 82 Token = 10
		DD	-16187	; Index = 82 Token = 11
		DD	-20812	; Index = 82 Token = 12
		DD	-25437	; Index = 82 Token = 13
		DD	-30062	; Index = 82 Token = 14
		DD	-34687	; Index = 82 Token = 15
		DD	2543	; Index = 83 Token = 0
		DD	7630	; Index = 83 Token = 1
		DD	12718	; Index = 83 Token = 2
		DD	17805	; Index = 83 Token = 3
		DD	22893	; Index = 83 Token = 4
		DD	27980	; Index = 83 Token = 5
		DD	33068	; Index = 83 Token = 6
		DD	38155	; Index = 83 Token = 7
		DD	-2543	; Index = 83 Token = 8
		DD	-7630	; Index = 83 Token = 9
		DD	-12718	; Index = 83 Token = 10
		DD	-17805	; Index = 83 Token = 11
		DD	-22893	; Index = 83 Token = 12
		DD	-27980	; Index = 83 Token = 13
		DD	-33068	; Index = 83 Token = 14
		DD	-38155	; Index = 83 Token = 15
		DD	2798	; Index = 84 Token = 0
		DD	8394	; Index = 84 Token = 1
		DD	13990	; Index = 84 Token = 2
		DD	19586	; Index = 84 Token = 3
		DD	25183	; Index = 84 Token = 4
		DD	30779	; Index = 84 Token = 5
		DD	36375	; Index = 84 Token = 6
		DD	41971	; Index = 84 Token = 7
		DD	-2798	; Index = 84 Token = 8
		DD	-8394	; Index = 84 Token = 9
		DD	-13990	; Index = 84 Token = 10
		DD	-19586	; Index = 84 Token = 11
		DD	-25183	; Index = 84 Token = 12
		DD	-30779	; Index = 84 Token = 13
		DD	-36375	; Index = 84 Token = 14
		DD	-41971	; Index = 84 Token = 15
		DD	3077	; Index = 85 Token = 0
		DD	9232	; Index = 85 Token = 1
		DD	15388	; Index = 85 Token = 2
		DD	21543	; Index = 85 Token = 3
		DD	27700	; Index = 85 Token = 4
		DD	33855	; Index = 85 Token = 5
		DD	40011	; Index = 85 Token = 6
		DD	46166	; Index = 85 Token = 7
		DD	-3077	; Index = 85 Token = 8
		DD	-9232	; Index = 85 Token = 9
		DD	-15388	; Index = 85 Token = 10
		DD	-21543	; Index = 85 Token = 11
		DD	-27700	; Index = 85 Token = 12
		DD	-33855	; Index = 85 Token = 13
		DD	-40011	; Index = 85 Token = 14
		DD	-46166	; Index = 85 Token = 15
		DD	3385	; Index = 86 Token = 0
		DD	10156	; Index = 86 Token = 1
		DD	16928	; Index = 86 Token = 2
		DD	23699	; Index = 86 Token = 3
		DD	30471	; Index = 86 Token = 4
		DD	37242	; Index = 86 Token = 5
		DD	44014	; Index = 86 Token = 6
		DD	50785	; Index = 86 Token = 7
		DD	-3385	; Index = 86 Token = 8
		DD	-10156	; Index = 86 Token = 9
		DD	-16928	; Index = 86 Token = 10
		DD	-23699	; Index = 86 Token = 11
		DD	-30471	; Index = 86 Token = 12
		DD	-37242	; Index = 86 Token = 13
		DD	-44014	; Index = 86 Token = 14
		DD	-50785	; Index = 86 Token = 15
		DD	3724	; Index = 87 Token = 0
		DD	11172	; Index = 87 Token = 1
		DD	18621	; Index = 87 Token = 2
		DD	26069	; Index = 87 Token = 3
		DD	33518	; Index = 87 Token = 4
		DD	40966	; Index = 87 Token = 5
		DD	48415	; Index = 87 Token = 6
		DD	55863	; Index = 87 Token = 7
		DD	-3724	; Index = 87 Token = 8
		DD	-11172	; Index = 87 Token = 9
		DD	-18621	; Index = 87 Token = 10
		DD	-26069	; Index = 87 Token = 11
		DD	-33518	; Index = 87 Token = 12
		DD	-40966	; Index = 87 Token = 13
		DD	-48415	; Index = 87 Token = 14
		DD	-55863	; Index = 87 Token = 15
		DD	4095	; Index = 88 Token = 0
		DD	12286	; Index = 88 Token = 1
		DD	20478	; Index = 88 Token = 2
		DD	28669	; Index = 88 Token = 3
		DD	36862	; Index = 88 Token = 4
		DD	45053	; Index = 88 Token = 5
		DD	53245	; Index = 88 Token = 6
		DD	61436	; Index = 88 Token = 7
		DD	-4095	; Index = 88 Token = 8
		DD	-12286	; Index = 88 Token = 9
		DD	-20478	; Index = 88 Token = 10
		DD	-28669	; Index = 88 Token = 11
		DD	-36862	; Index = 88 Token = 12
		DD	-45053	; Index = 88 Token = 13
		DD	-53245	; Index = 88 Token = 14
		DD	-61436	; Index = 88 Token = 15
