;
; Copyright 2020 Electronic Arts Inc.
;
; TiberianDawn.DLL and RedAlert.dll and corresponding source code is free 
; software: you can redistribute it and/or modify it under the terms of 
; the GNU General Public License as published by the Free Software Foundation, 
; either version 3 of the License, or (at your option) any later version.

; TiberianDawn.DLL and RedAlert.dll and corresponding source code is distributed 
; in the hope that it will be useful, but with permitted additional restrictions 
; under Section 7 of the GPL. See the GNU General Public License in LICENSE.TXT 
; distributed with this program. You should have received a copy of the 
; GNU General Public License along with permitted additional restrictions 
; with this program. If not, see [https://github.com/electronicarts/CnC_Remastered_Collection]>.

;****************************************************************************
;* wIndexTable - ADPCM Lookup table for indexes
;****************************************************************************

		align	4

wIndexTable	DW	0	* 2	; Index = 0 Token = 0
		DW	0	* 2	; Index = 0 Token = 1
		DW	0	* 2	; Index = 0 Token = 2
		DW	0	* 2	; Index = 0 Token = 3
		DW	32	* 2	; Index = 0 Token = 4
		DW	64	* 2	; Index = 0 Token = 5
		DW	96	* 2	; Index = 0 Token = 6
		DW	128	* 2	; Index = 0 Token = 7
		DW	0	* 2	; Index = 0 Token = 8
		DW	0	* 2	; Index = 0 Token = 9
		DW	0	* 2	; Index = 0 Token = 10
		DW	0	* 2	; Index = 0 Token = 11
		DW	32	* 2	; Index = 0 Token = 12
		DW	64	* 2	; Index = 0 Token = 13
		DW	96	* 2	; Index = 0 Token = 14
		DW	128	* 2	; Index = 0 Token = 15
		DW	0	* 2	; Index = 1 Token = 0
		DW	0	* 2	; Index = 1 Token = 1
		DW	0	* 2	; Index = 1 Token = 2
		DW	0	* 2	; Index = 1 Token = 3
		DW	48	* 2	; Index = 1 Token = 4
		DW	80	* 2	; Index = 1 Token = 5
		DW	112	* 2	; Index = 1 Token = 6
		DW	144	* 2	; Index = 1 Token = 7
		DW	0	* 2	; Index = 1 Token = 8
		DW	0	* 2	; Index = 1 Token = 9
		DW	0	* 2	; Index = 1 Token = 10
		DW	0	* 2	; Index = 1 Token = 11
		DW	48	* 2	; Index = 1 Token = 12
		DW	80	* 2	; Index = 1 Token = 13
		DW	112	* 2	; Index = 1 Token = 14
		DW	144	* 2	; Index = 1 Token = 15
		DW	16	* 2	; Index = 2 Token = 0
		DW	16	* 2	; Index = 2 Token = 1
		DW	16	* 2	; Index = 2 Token = 2
		DW	16	* 2	; Index = 2 Token = 3
		DW	64	* 2	; Index = 2 Token = 4
		DW	96	* 2	; Index = 2 Token = 5
		DW	128	* 2	; Index = 2 Token = 6
		DW	160	* 2	; Index = 2 Token = 7
		DW	16	* 2	; Index = 2 Token = 8
		DW	16	* 2	; Index = 2 Token = 9
		DW	16	* 2	; Index = 2 Token = 10
		DW	16	* 2	; Index = 2 Token = 11
		DW	64	* 2	; Index = 2 Token = 12
		DW	96	* 2	; Index = 2 Token = 13
		DW	128	* 2	; Index = 2 Token = 14
		DW	160	* 2	; Index = 2 Token = 15
		DW	32	* 2	; Index = 3 Token = 0
		DW	32	* 2	; Index = 3 Token = 1
		DW	32	* 2	; Index = 3 Token = 2
		DW	32	* 2	; Index = 3 Token = 3
		DW	80	* 2	; Index = 3 Token = 4
		DW	112	* 2	; Index = 3 Token = 5
		DW	144	* 2	; Index = 3 Token = 6
		DW	176	* 2	; Index = 3 Token = 7
		DW	32	* 2	; Index = 3 Token = 8
		DW	32	* 2	; Index = 3 Token = 9
		DW	32	* 2	; Index = 3 Token = 10
		DW	32	* 2	; Index = 3 Token = 11
		DW	80	* 2	; Index = 3 Token = 12
		DW	112	* 2	; Index = 3 Token = 13
		DW	144	* 2	; Index = 3 Token = 14
		DW	176	* 2	; Index = 3 Token = 15
		DW	48	* 2	; Index = 4 Token = 0
		DW	48	* 2	; Index = 4 Token = 1
		DW	48	* 2	; Index = 4 Token = 2
		DW	48	* 2	; Index = 4 Token = 3
		DW	96	* 2	; Index = 4 Token = 4
		DW	128	* 2	; Index = 4 Token = 5
		DW	160	* 2	; Index = 4 Token = 6
		DW	192	* 2	; Index = 4 Token = 7
		DW	48	* 2	; Index = 4 Token = 8
		DW	48	* 2	; Index = 4 Token = 9
		DW	48	* 2	; Index = 4 Token = 10
		DW	48	* 2	; Index = 4 Token = 11
		DW	96	* 2	; Index = 4 Token = 12
		DW	128	* 2	; Index = 4 Token = 13
		DW	160	* 2	; Index = 4 Token = 14
		DW	192	* 2	; Index = 4 Token = 15
		DW	64	* 2	; Index = 5 Token = 0
		DW	64	* 2	; Index = 5 Token = 1
		DW	64	* 2	; Index = 5 Token = 2
		DW	64	* 2	; Index = 5 Token = 3
		DW	112	* 2	; Index = 5 Token = 4
		DW	144	* 2	; Index = 5 Token = 5
		DW	176	* 2	; Index = 5 Token = 6
		DW	208	* 2	; Index = 5 Token = 7
		DW	64	* 2	; Index = 5 Token = 8
		DW	64	* 2	; Index = 5 Token = 9
		DW	64	* 2	; Index = 5 Token = 10
		DW	64	* 2	; Index = 5 Token = 11
		DW	112	* 2	; Index = 5 Token = 12
		DW	144	* 2	; Index = 5 Token = 13
		DW	176	* 2	; Index = 5 Token = 14
		DW	208	* 2	; Index = 5 Token = 15
		DW	80	* 2	; Index = 6 Token = 0
		DW	80	* 2	; Index = 6 Token = 1
		DW	80	* 2	; Index = 6 Token = 2
		DW	80	* 2	; Index = 6 Token = 3
		DW	128	* 2	; Index = 6 Token = 4
		DW	160	* 2	; Index = 6 Token = 5
		DW	192	* 2	; Index = 6 Token = 6
		DW	224	* 2	; Index = 6 Token = 7
		DW	80	* 2	; Index = 6 Token = 8
		DW	80	* 2	; Index = 6 Token = 9
		DW	80	* 2	; Index = 6 Token = 10
		DW	80	* 2	; Index = 6 Token = 11
		DW	128	* 2	; Index = 6 Token = 12
		DW	160	* 2	; Index = 6 Token = 13
		DW	192	* 2	; Index = 6 Token = 14
		DW	224	* 2	; Index = 6 Token = 15
		DW	96	* 2	; Index = 7 Token = 0
		DW	96	* 2	; Index = 7 Token = 1
		DW	96	* 2	; Index = 7 Token = 2
		DW	96	* 2	; Index = 7 Token = 3
		DW	144	* 2	; Index = 7 Token = 4
		DW	176	* 2	; Index = 7 Token = 5
		DW	208	* 2	; Index = 7 Token = 6
		DW	240	* 2	; Index = 7 Token = 7
		DW	96	* 2	; Index = 7 Token = 8
		DW	96	* 2	; Index = 7 Token = 9
		DW	96	* 2	; Index = 7 Token = 10
		DW	96	* 2	; Index = 7 Token = 11
		DW	144	* 2	; Index = 7 Token = 12
		DW	176	* 2	; Index = 7 Token = 13
		DW	208	* 2	; Index = 7 Token = 14
		DW	240	* 2	; Index = 7 Token = 15
		DW	112	* 2	; Index = 8 Token = 0
		DW	112	* 2	; Index = 8 Token = 1
		DW	112	* 2	; Index = 8 Token = 2
		DW	112	* 2	; Index = 8 Token = 3
		DW	160	* 2	; Index = 8 Token = 4
		DW	192	* 2	; Index = 8 Token = 5
		DW	224	* 2	; Index = 8 Token = 6
		DW	256	* 2	; Index = 8 Token = 7
		DW	112	* 2	; Index = 8 Token = 8
		DW	112	* 2	; Index = 8 Token = 9
		DW	112	* 2	; Index = 8 Token = 10
		DW	112	* 2	; Index = 8 Token = 11
		DW	160	* 2	; Index = 8 Token = 12
		DW	192	* 2	; Index = 8 Token = 13
		DW	224	* 2	; Index = 8 Token = 14
		DW	256	* 2	; Index = 8 Token = 15
		DW	128	* 2	; Index = 9 Token = 0
		DW	128	* 2	; Index = 9 Token = 1
		DW	128	* 2	; Index = 9 Token = 2
		DW	128	* 2	; Index = 9 Token = 3
		DW	176	* 2	; Index = 9 Token = 4
		DW	208	* 2	; Index = 9 Token = 5
		DW	240	* 2	; Index = 9 Token = 6
		DW	272	* 2	; Index = 9 Token = 7
		DW	128	* 2	; Index = 9 Token = 8
		DW	128	* 2	; Index = 9 Token = 9
		DW	128	* 2	; Index = 9 Token = 10
		DW	128	* 2	; Index = 9 Token = 11
		DW	176	* 2	; Index = 9 Token = 12
		DW	208	* 2	; Index = 9 Token = 13
		DW	240	* 2	; Index = 9 Token = 14
		DW	272	* 2	; Index = 9 Token = 15
		DW	144	* 2	; Index = 10 Token = 0
		DW	144	* 2	; Index = 10 Token = 1
		DW	144	* 2	; Index = 10 Token = 2
		DW	144	* 2	; Index = 10 Token = 3
		DW	192	* 2	; Index = 10 Token = 4
		DW	224	* 2	; Index = 10 Token = 5
		DW	256	* 2	; Index = 10 Token = 6
		DW	288	* 2	; Index = 10 Token = 7
		DW	144	* 2	; Index = 10 Token = 8
		DW	144	* 2	; Index = 10 Token = 9
		DW	144	* 2	; Index = 10 Token = 10
		DW	144	* 2	; Index = 10 Token = 11
		DW	192	* 2	; Index = 10 Token = 12
		DW	224	* 2	; Index = 10 Token = 13
		DW	256	* 2	; Index = 10 Token = 14
		DW	288	* 2	; Index = 10 Token = 15
		DW	160	* 2	; Index = 11 Token = 0
		DW	160	* 2	; Index = 11 Token = 1
		DW	160	* 2	; Index = 11 Token = 2
		DW	160	* 2	; Index = 11 Token = 3
		DW	208	* 2	; Index = 11 Token = 4
		DW	240	* 2	; Index = 11 Token = 5
		DW	272	* 2	; Index = 11 Token = 6
		DW	304	* 2	; Index = 11 Token = 7
		DW	160	* 2	; Index = 11 Token = 8
		DW	160	* 2	; Index = 11 Token = 9
		DW	160	* 2	; Index = 11 Token = 10
		DW	160	* 2	; Index = 11 Token = 11
		DW	208	* 2	; Index = 11 Token = 12
		DW	240	* 2	; Index = 11 Token = 13
		DW	272	* 2	; Index = 11 Token = 14
		DW	304	* 2	; Index = 11 Token = 15
		DW	176	* 2	; Index = 12 Token = 0
		DW	176	* 2	; Index = 12 Token = 1
		DW	176	* 2	; Index = 12 Token = 2
		DW	176	* 2	; Index = 12 Token = 3
		DW	224	* 2	; Index = 12 Token = 4
		DW	256	* 2	; Index = 12 Token = 5
		DW	288	* 2	; Index = 12 Token = 6
		DW	320	* 2	; Index = 12 Token = 7
		DW	176	* 2	; Index = 12 Token = 8
		DW	176	* 2	; Index = 12 Token = 9
		DW	176	* 2	; Index = 12 Token = 10
		DW	176	* 2	; Index = 12 Token = 11
		DW	224	* 2	; Index = 12 Token = 12
		DW	256	* 2	; Index = 12 Token = 13
		DW	288	* 2	; Index = 12 Token = 14
		DW	320	* 2	; Index = 12 Token = 15
		DW	192	* 2	; Index = 13 Token = 0
		DW	192	* 2	; Index = 13 Token = 1
		DW	192	* 2	; Index = 13 Token = 2
		DW	192	* 2	; Index = 13 Token = 3
		DW	240	* 2	; Index = 13 Token = 4
		DW	272	* 2	; Index = 13 Token = 5
		DW	304	* 2	; Index = 13 Token = 6
		DW	336	* 2	; Index = 13 Token = 7
		DW	192	* 2	; Index = 13 Token = 8
		DW	192	* 2	; Index = 13 Token = 9
		DW	192	* 2	; Index = 13 Token = 10
		DW	192	* 2	; Index = 13 Token = 11
		DW	240	* 2	; Index = 13 Token = 12
		DW	272	* 2	; Index = 13 Token = 13
		DW	304	* 2	; Index = 13 Token = 14
		DW	336	* 2	; Index = 13 Token = 15
		DW	208	* 2	; Index = 14 Token = 0
		DW	208	* 2	; Index = 14 Token = 1
		DW	208	* 2	; Index = 14 Token = 2
		DW	208	* 2	; Index = 14 Token = 3
		DW	256	* 2	; Index = 14 Token = 4
		DW	288	* 2	; Index = 14 Token = 5
		DW	320	* 2	; Index = 14 Token = 6
		DW	352	* 2	; Index = 14 Token = 7
		DW	208	* 2	; Index = 14 Token = 8
		DW	208	* 2	; Index = 14 Token = 9
		DW	208	* 2	; Index = 14 Token = 10
		DW	208	* 2	; Index = 14 Token = 11
		DW	256	* 2	; Index = 14 Token = 12
		DW	288	* 2	; Index = 14 Token = 13
		DW	320	* 2	; Index = 14 Token = 14
		DW	352	* 2	; Index = 14 Token = 15
		DW	224	* 2	; Index = 15 Token = 0
		DW	224	* 2	; Index = 15 Token = 1
		DW	224	* 2	; Index = 15 Token = 2
		DW	224	* 2	; Index = 15 Token = 3
		DW	272	* 2	; Index = 15 Token = 4
		DW	304	* 2	; Index = 15 Token = 5
		DW	336	* 2	; Index = 15 Token = 6
		DW	368	* 2	; Index = 15 Token = 7
		DW	224	* 2	; Index = 15 Token = 8
		DW	224	* 2	; Index = 15 Token = 9
		DW	224	* 2	; Index = 15 Token = 10
		DW	224	* 2	; Index = 15 Token = 11
		DW	272	* 2	; Index = 15 Token = 12
		DW	304	* 2	; Index = 15 Token = 13
		DW	336	* 2	; Index = 15 Token = 14
		DW	368	* 2	; Index = 15 Token = 15
		DW	240	* 2	; Index = 16 Token = 0
		DW	240	* 2	; Index = 16 Token = 1
		DW	240	* 2	; Index = 16 Token = 2
		DW	240	* 2	; Index = 16 Token = 3
		DW	288	* 2	; Index = 16 Token = 4
		DW	320	* 2	; Index = 16 Token = 5
		DW	352	* 2	; Index = 16 Token = 6
		DW	384	* 2	; Index = 16 Token = 7
		DW	240	* 2	; Index = 16 Token = 8
		DW	240	* 2	; Index = 16 Token = 9
		DW	240	* 2	; Index = 16 Token = 10
		DW	240	* 2	; Index = 16 Token = 11
		DW	288	* 2	; Index = 16 Token = 12
		DW	320	* 2	; Index = 16 Token = 13
		DW	352	* 2	; Index = 16 Token = 14
		DW	384	* 2	; Index = 16 Token = 15
		DW	256	* 2	; Index = 17 Token = 0
		DW	256	* 2	; Index = 17 Token = 1
		DW	256	* 2	; Index = 17 Token = 2
		DW	256	* 2	; Index = 17 Token = 3
		DW	304	* 2	; Index = 17 Token = 4
		DW	336	* 2	; Index = 17 Token = 5
		DW	368	* 2	; Index = 17 Token = 6
		DW	400	* 2	; Index = 17 Token = 7
		DW	256	* 2	; Index = 17 Token = 8
		DW	256	* 2	; Index = 17 Token = 9
		DW	256	* 2	; Index = 17 Token = 10
		DW	256	* 2	; Index = 17 Token = 11
		DW	304	* 2	; Index = 17 Token = 12
		DW	336	* 2	; Index = 17 Token = 13
		DW	368	* 2	; Index = 17 Token = 14
		DW	400	* 2	; Index = 17 Token = 15
		DW	272	* 2	; Index = 18 Token = 0
		DW	272	* 2	; Index = 18 Token = 1
		DW	272	* 2	; Index = 18 Token = 2
		DW	272	* 2	; Index = 18 Token = 3
		DW	320	* 2	; Index = 18 Token = 4
		DW	352	* 2	; Index = 18 Token = 5
		DW	384	* 2	; Index = 18 Token = 6
		DW	416	* 2	; Index = 18 Token = 7
		DW	272	* 2	; Index = 18 Token = 8
		DW	272	* 2	; Index = 18 Token = 9
		DW	272	* 2	; Index = 18 Token = 10
		DW	272	* 2	; Index = 18 Token = 11
		DW	320	* 2	; Index = 18 Token = 12
		DW	352	* 2	; Index = 18 Token = 13
		DW	384	* 2	; Index = 18 Token = 14
		DW	416	* 2	; Index = 18 Token = 15
		DW	288	* 2	; Index = 19 Token = 0
		DW	288	* 2	; Index = 19 Token = 1
		DW	288	* 2	; Index = 19 Token = 2
		DW	288	* 2	; Index = 19 Token = 3
		DW	336	* 2	; Index = 19 Token = 4
		DW	368	* 2	; Index = 19 Token = 5
		DW	400	* 2	; Index = 19 Token = 6
		DW	432	* 2	; Index = 19 Token = 7
		DW	288	* 2	; Index = 19 Token = 8
		DW	288	* 2	; Index = 19 Token = 9
		DW	288	* 2	; Index = 19 Token = 10
		DW	288	* 2	; Index = 19 Token = 11
		DW	336	* 2	; Index = 19 Token = 12
		DW	368	* 2	; Index = 19 Token = 13
		DW	400	* 2	; Index = 19 Token = 14
		DW	432	* 2	; Index = 19 Token = 15
		DW	304	* 2	; Index = 20 Token = 0
		DW	304	* 2	; Index = 20 Token = 1
		DW	304	* 2	; Index = 20 Token = 2
		DW	304	* 2	; Index = 20 Token = 3
		DW	352	* 2	; Index = 20 Token = 4
		DW	384	* 2	; Index = 20 Token = 5
		DW	416	* 2	; Index = 20 Token = 6
		DW	448	* 2	; Index = 20 Token = 7
		DW	304	* 2	; Index = 20 Token = 8
		DW	304	* 2	; Index = 20 Token = 9
		DW	304	* 2	; Index = 20 Token = 10
		DW	304	* 2	; Index = 20 Token = 11
		DW	352	* 2	; Index = 20 Token = 12
		DW	384	* 2	; Index = 20 Token = 13
		DW	416	* 2	; Index = 20 Token = 14
		DW	448	* 2	; Index = 20 Token = 15
		DW	320	* 2	; Index = 21 Token = 0
		DW	320	* 2	; Index = 21 Token = 1
		DW	320	* 2	; Index = 21 Token = 2
		DW	320	* 2	; Index = 21 Token = 3
		DW	368	* 2	; Index = 21 Token = 4
		DW	400	* 2	; Index = 21 Token = 5
		DW	432	* 2	; Index = 21 Token = 6
		DW	464	* 2	; Index = 21 Token = 7
		DW	320	* 2	; Index = 21 Token = 8
		DW	320	* 2	; Index = 21 Token = 9
		DW	320	* 2	; Index = 21 Token = 10
		DW	320	* 2	; Index = 21 Token = 11
		DW	368	* 2	; Index = 21 Token = 12
		DW	400	* 2	; Index = 21 Token = 13
		DW	432	* 2	; Index = 21 Token = 14
		DW	464	* 2	; Index = 21 Token = 15
		DW	336	* 2	; Index = 22 Token = 0
		DW	336	* 2	; Index = 22 Token = 1
		DW	336	* 2	; Index = 22 Token = 2
		DW	336	* 2	; Index = 22 Token = 3
		DW	384	* 2	; Index = 22 Token = 4
		DW	416	* 2	; Index = 22 Token = 5
		DW	448	* 2	; Index = 22 Token = 6
		DW	480	* 2	; Index = 22 Token = 7
		DW	336	* 2	; Index = 22 Token = 8
		DW	336	* 2	; Index = 22 Token = 9
		DW	336	* 2	; Index = 22 Token = 10
		DW	336	* 2	; Index = 22 Token = 11
		DW	384	* 2	; Index = 22 Token = 12
		DW	416	* 2	; Index = 22 Token = 13
		DW	448	* 2	; Index = 22 Token = 14
		DW	480	* 2	; Index = 22 Token = 15
		DW	352	* 2	; Index = 23 Token = 0
		DW	352	* 2	; Index = 23 Token = 1
		DW	352	* 2	; Index = 23 Token = 2
		DW	352	* 2	; Index = 23 Token = 3
		DW	400	* 2	; Index = 23 Token = 4
		DW	432	* 2	; Index = 23 Token = 5
		DW	464	* 2	; Index = 23 Token = 6
		DW	496	* 2	; Index = 23 Token = 7
		DW	352	* 2	; Index = 23 Token = 8
		DW	352	* 2	; Index = 23 Token = 9
		DW	352	* 2	; Index = 23 Token = 10
		DW	352	* 2	; Index = 23 Token = 11
		DW	400	* 2	; Index = 23 Token = 12
		DW	432	* 2	; Index = 23 Token = 13
		DW	464	* 2	; Index = 23 Token = 14
		DW	496	* 2	; Index = 23 Token = 15
		DW	368	* 2	; Index = 24 Token = 0
		DW	368	* 2	; Index = 24 Token = 1
		DW	368	* 2	; Index = 24 Token = 2
		DW	368	* 2	; Index = 24 Token = 3
		DW	416	* 2	; Index = 24 Token = 4
		DW	448	* 2	; Index = 24 Token = 5
		DW	480	* 2	; Index = 24 Token = 6
		DW	512	* 2	; Index = 24 Token = 7
		DW	368	* 2	; Index = 24 Token = 8
		DW	368	* 2	; Index = 24 Token = 9
		DW	368	* 2	; Index = 24 Token = 10
		DW	368	* 2	; Index = 24 Token = 11
		DW	416	* 2	; Index = 24 Token = 12
		DW	448	* 2	; Index = 24 Token = 13
		DW	480	* 2	; Index = 24 Token = 14
		DW	512	* 2	; Index = 24 Token = 15
		DW	384	* 2	; Index = 25 Token = 0
		DW	384	* 2	; Index = 25 Token = 1
		DW	384	* 2	; Index = 25 Token = 2
		DW	384	* 2	; Index = 25 Token = 3
		DW	432	* 2	; Index = 25 Token = 4
		DW	464	* 2	; Index = 25 Token = 5
		DW	496	* 2	; Index = 25 Token = 6
		DW	528	* 2	; Index = 25 Token = 7
		DW	384	* 2	; Index = 25 Token = 8
		DW	384	* 2	; Index = 25 Token = 9
		DW	384	* 2	; Index = 25 Token = 10
		DW	384	* 2	; Index = 25 Token = 11
		DW	432	* 2	; Index = 25 Token = 12
		DW	464	* 2	; Index = 25 Token = 13
		DW	496	* 2	; Index = 25 Token = 14
		DW	528	* 2	; Index = 25 Token = 15
		DW	400	* 2	; Index = 26 Token = 0
		DW	400	* 2	; Index = 26 Token = 1
		DW	400	* 2	; Index = 26 Token = 2
		DW	400	* 2	; Index = 26 Token = 3
		DW	448	* 2	; Index = 26 Token = 4
		DW	480	* 2	; Index = 26 Token = 5
		DW	512	* 2	; Index = 26 Token = 6
		DW	544	* 2	; Index = 26 Token = 7
		DW	400	* 2	; Index = 26 Token = 8
		DW	400	* 2	; Index = 26 Token = 9
		DW	400	* 2	; Index = 26 Token = 10
		DW	400	* 2	; Index = 26 Token = 11
		DW	448	* 2	; Index = 26 Token = 12
		DW	480	* 2	; Index = 26 Token = 13
		DW	512	* 2	; Index = 26 Token = 14
		DW	544	* 2	; Index = 26 Token = 15
		DW	416	* 2	; Index = 27 Token = 0
		DW	416	* 2	; Index = 27 Token = 1
		DW	416	* 2	; Index = 27 Token = 2
		DW	416	* 2	; Index = 27 Token = 3
		DW	464	* 2	; Index = 27 Token = 4
		DW	496	* 2	; Index = 27 Token = 5
		DW	528	* 2	; Index = 27 Token = 6
		DW	560	* 2	; Index = 27 Token = 7
		DW	416	* 2	; Index = 27 Token = 8
		DW	416	* 2	; Index = 27 Token = 9
		DW	416	* 2	; Index = 27 Token = 10
		DW	416	* 2	; Index = 27 Token = 11
		DW	464	* 2	; Index = 27 Token = 12
		DW	496	* 2	; Index = 27 Token = 13
		DW	528	* 2	; Index = 27 Token = 14
		DW	560	* 2	; Index = 27 Token = 15
		DW	432	* 2	; Index = 28 Token = 0
		DW	432	* 2	; Index = 28 Token = 1
		DW	432	* 2	; Index = 28 Token = 2
		DW	432	* 2	; Index = 28 Token = 3
		DW	480	* 2	; Index = 28 Token = 4
		DW	512	* 2	; Index = 28 Token = 5
		DW	544	* 2	; Index = 28 Token = 6
		DW	576	* 2	; Index = 28 Token = 7
		DW	432	* 2	; Index = 28 Token = 8
		DW	432	* 2	; Index = 28 Token = 9
		DW	432	* 2	; Index = 28 Token = 10
		DW	432	* 2	; Index = 28 Token = 11
		DW	480	* 2	; Index = 28 Token = 12
		DW	512	* 2	; Index = 28 Token = 13
		DW	544	* 2	; Index = 28 Token = 14
		DW	576	* 2	; Index = 28 Token = 15
		DW	448	* 2	; Index = 29 Token = 0
		DW	448	* 2	; Index = 29 Token = 1
		DW	448	* 2	; Index = 29 Token = 2
		DW	448	* 2	; Index = 29 Token = 3
		DW	496	* 2	; Index = 29 Token = 4
		DW	528	* 2	; Index = 29 Token = 5
		DW	560	* 2	; Index = 29 Token = 6
		DW	592	* 2	; Index = 29 Token = 7
		DW	448	* 2	; Index = 29 Token = 8
		DW	448	* 2	; Index = 29 Token = 9
		DW	448	* 2	; Index = 29 Token = 10
		DW	448	* 2	; Index = 29 Token = 11
		DW	496	* 2	; Index = 29 Token = 12
		DW	528	* 2	; Index = 29 Token = 13
		DW	560	* 2	; Index = 29 Token = 14
		DW	592	* 2	; Index = 29 Token = 15
		DW	464	* 2	; Index = 30 Token = 0
		DW	464	* 2	; Index = 30 Token = 1
		DW	464	* 2	; Index = 30 Token = 2
		DW	464	* 2	; Index = 30 Token = 3
		DW	512	* 2	; Index = 30 Token = 4
		DW	544	* 2	; Index = 30 Token = 5
		DW	576	* 2	; Index = 30 Token = 6
		DW	608	* 2	; Index = 30 Token = 7
		DW	464	* 2	; Index = 30 Token = 8
		DW	464	* 2	; Index = 30 Token = 9
		DW	464	* 2	; Index = 30 Token = 10
		DW	464	* 2	; Index = 30 Token = 11
		DW	512	* 2	; Index = 30 Token = 12
		DW	544	* 2	; Index = 30 Token = 13
		DW	576	* 2	; Index = 30 Token = 14
		DW	608	* 2	; Index = 30 Token = 15
		DW	480	* 2	; Index = 31 Token = 0
		DW	480	* 2	; Index = 31 Token = 1
		DW	480	* 2	; Index = 31 Token = 2
		DW	480	* 2	; Index = 31 Token = 3
		DW	528	* 2	; Index = 31 Token = 4
		DW	560	* 2	; Index = 31 Token = 5
		DW	592	* 2	; Index = 31 Token = 6
		DW	624	* 2	; Index = 31 Token = 7
		DW	480	* 2	; Index = 31 Token = 8
		DW	480	* 2	; Index = 31 Token = 9
		DW	480	* 2	; Index = 31 Token = 10
		DW	480	* 2	; Index = 31 Token = 11
		DW	528	* 2	; Index = 31 Token = 12
		DW	560	* 2	; Index = 31 Token = 13
		DW	592	* 2	; Index = 31 Token = 14
		DW	624	* 2	; Index = 31 Token = 15
		DW	496	* 2	; Index = 32 Token = 0
		DW	496	* 2	; Index = 32 Token = 1
		DW	496	* 2	; Index = 32 Token = 2
		DW	496	* 2	; Index = 32 Token = 3
		DW	544	* 2	; Index = 32 Token = 4
		DW	576	* 2	; Index = 32 Token = 5
		DW	608	* 2	; Index = 32 Token = 6
		DW	640	* 2	; Index = 32 Token = 7
		DW	496	* 2	; Index = 32 Token = 8
		DW	496	* 2	; Index = 32 Token = 9
		DW	496	* 2	; Index = 32 Token = 10
		DW	496	* 2	; Index = 32 Token = 11
		DW	544	* 2	; Index = 32 Token = 12
		DW	576	* 2	; Index = 32 Token = 13
		DW	608	* 2	; Index = 32 Token = 14
		DW	640	* 2	; Index = 32 Token = 15
		DW	512	* 2	; Index = 33 Token = 0
		DW	512	* 2	; Index = 33 Token = 1
		DW	512	* 2	; Index = 33 Token = 2
		DW	512	* 2	; Index = 33 Token = 3
		DW	560	* 2	; Index = 33 Token = 4
		DW	592	* 2	; Index = 33 Token = 5
		DW	624	* 2	; Index = 33 Token = 6
		DW	656	* 2	; Index = 33 Token = 7
		DW	512	* 2	; Index = 33 Token = 8
		DW	512	* 2	; Index = 33 Token = 9
		DW	512	* 2	; Index = 33 Token = 10
		DW	512	* 2	; Index = 33 Token = 11
		DW	560	* 2	; Index = 33 Token = 12
		DW	592	* 2	; Index = 33 Token = 13
		DW	624	* 2	; Index = 33 Token = 14
		DW	656	* 2	; Index = 33 Token = 15
		DW	528	* 2	; Index = 34 Token = 0
		DW	528	* 2	; Index = 34 Token = 1
		DW	528	* 2	; Index = 34 Token = 2
		DW	528	* 2	; Index = 34 Token = 3
		DW	576	* 2	; Index = 34 Token = 4
		DW	608	* 2	; Index = 34 Token = 5
		DW	640	* 2	; Index = 34 Token = 6
		DW	672	* 2	; Index = 34 Token = 7
		DW	528	* 2	; Index = 34 Token = 8
		DW	528	* 2	; Index = 34 Token = 9
		DW	528	* 2	; Index = 34 Token = 10
		DW	528	* 2	; Index = 34 Token = 11
		DW	576	* 2	; Index = 34 Token = 12
		DW	608	* 2	; Index = 34 Token = 13
		DW	640	* 2	; Index = 34 Token = 14
		DW	672	* 2	; Index = 34 Token = 15
		DW	544	* 2	; Index = 35 Token = 0
		DW	544	* 2	; Index = 35 Token = 1
		DW	544	* 2	; Index = 35 Token = 2
		DW	544	* 2	; Index = 35 Token = 3
		DW	592	* 2	; Index = 35 Token = 4
		DW	624	* 2	; Index = 35 Token = 5
		DW	656	* 2	; Index = 35 Token = 6
		DW	688	* 2	; Index = 35 Token = 7
		DW	544	* 2	; Index = 35 Token = 8
		DW	544	* 2	; Index = 35 Token = 9
		DW	544	* 2	; Index = 35 Token = 10
		DW	544	* 2	; Index = 35 Token = 11
		DW	592	* 2	; Index = 35 Token = 12
		DW	624	* 2	; Index = 35 Token = 13
		DW	656	* 2	; Index = 35 Token = 14
		DW	688	* 2	; Index = 35 Token = 15
		DW	560	* 2	; Index = 36 Token = 0
		DW	560	* 2	; Index = 36 Token = 1
		DW	560	* 2	; Index = 36 Token = 2
		DW	560	* 2	; Index = 36 Token = 3
		DW	608	* 2	; Index = 36 Token = 4
		DW	640	* 2	; Index = 36 Token = 5
		DW	672	* 2	; Index = 36 Token = 6
		DW	704	* 2	; Index = 36 Token = 7
		DW	560	* 2	; Index = 36 Token = 8
		DW	560	* 2	; Index = 36 Token = 9
		DW	560	* 2	; Index = 36 Token = 10
		DW	560	* 2	; Index = 36 Token = 11
		DW	608	* 2	; Index = 36 Token = 12
		DW	640	* 2	; Index = 36 Token = 13
		DW	672	* 2	; Index = 36 Token = 14
		DW	704	* 2	; Index = 36 Token = 15
		DW	576	* 2	; Index = 37 Token = 0
		DW	576	* 2	; Index = 37 Token = 1
		DW	576	* 2	; Index = 37 Token = 2
		DW	576	* 2	; Index = 37 Token = 3
		DW	624	* 2	; Index = 37 Token = 4
		DW	656	* 2	; Index = 37 Token = 5
		DW	688	* 2	; Index = 37 Token = 6
		DW	720	* 2	; Index = 37 Token = 7
		DW	576	* 2	; Index = 37 Token = 8
		DW	576	* 2	; Index = 37 Token = 9
		DW	576	* 2	; Index = 37 Token = 10
		DW	576	* 2	; Index = 37 Token = 11
		DW	624	* 2	; Index = 37 Token = 12
		DW	656	* 2	; Index = 37 Token = 13
		DW	688	* 2	; Index = 37 Token = 14
		DW	720	* 2	; Index = 37 Token = 15
		DW	592	* 2	; Index = 38 Token = 0
		DW	592	* 2	; Index = 38 Token = 1
		DW	592	* 2	; Index = 38 Token = 2
		DW	592	* 2	; Index = 38 Token = 3
		DW	640	* 2	; Index = 38 Token = 4
		DW	672	* 2	; Index = 38 Token = 5
		DW	704	* 2	; Index = 38 Token = 6
		DW	736	* 2	; Index = 38 Token = 7
		DW	592	* 2	; Index = 38 Token = 8
		DW	592	* 2	; Index = 38 Token = 9
		DW	592	* 2	; Index = 38 Token = 10
		DW	592	* 2	; Index = 38 Token = 11
		DW	640	* 2	; Index = 38 Token = 12
		DW	672	* 2	; Index = 38 Token = 13
		DW	704	* 2	; Index = 38 Token = 14
		DW	736	* 2	; Index = 38 Token = 15
		DW	608	* 2	; Index = 39 Token = 0
		DW	608	* 2	; Index = 39 Token = 1
		DW	608	* 2	; Index = 39 Token = 2
		DW	608	* 2	; Index = 39 Token = 3
		DW	656	* 2	; Index = 39 Token = 4
		DW	688	* 2	; Index = 39 Token = 5
		DW	720	* 2	; Index = 39 Token = 6
		DW	752	* 2	; Index = 39 Token = 7
		DW	608	* 2	; Index = 39 Token = 8
		DW	608	* 2	; Index = 39 Token = 9
		DW	608	* 2	; Index = 39 Token = 10
		DW	608	* 2	; Index = 39 Token = 11
		DW	656	* 2	; Index = 39 Token = 12
		DW	688	* 2	; Index = 39 Token = 13
		DW	720	* 2	; Index = 39 Token = 14
		DW	752	* 2	; Index = 39 Token = 15
		DW	624	* 2	; Index = 40 Token = 0
		DW	624	* 2	; Index = 40 Token = 1
		DW	624	* 2	; Index = 40 Token = 2
		DW	624	* 2	; Index = 40 Token = 3
		DW	672	* 2	; Index = 40 Token = 4
		DW	704	* 2	; Index = 40 Token = 5
		DW	736	* 2	; Index = 40 Token = 6
		DW	768	* 2	; Index = 40 Token = 7
		DW	624	* 2	; Index = 40 Token = 8
		DW	624	* 2	; Index = 40 Token = 9
		DW	624	* 2	; Index = 40 Token = 10
		DW	624	* 2	; Index = 40 Token = 11
		DW	672	* 2	; Index = 40 Token = 12
		DW	704	* 2	; Index = 40 Token = 13
		DW	736	* 2	; Index = 40 Token = 14
		DW	768	* 2	; Index = 40 Token = 15
		DW	640	* 2	; Index = 41 Token = 0
		DW	640	* 2	; Index = 41 Token = 1
		DW	640	* 2	; Index = 41 Token = 2
		DW	640	* 2	; Index = 41 Token = 3
		DW	688	* 2	; Index = 41 Token = 4
		DW	720	* 2	; Index = 41 Token = 5
		DW	752	* 2	; Index = 41 Token = 6
		DW	784	* 2	; Index = 41 Token = 7
		DW	640	* 2	; Index = 41 Token = 8
		DW	640	* 2	; Index = 41 Token = 9
		DW	640	* 2	; Index = 41 Token = 10
		DW	640	* 2	; Index = 41 Token = 11
		DW	688	* 2	; Index = 41 Token = 12
		DW	720	* 2	; Index = 41 Token = 13
		DW	752	* 2	; Index = 41 Token = 14
		DW	784	* 2	; Index = 41 Token = 15
		DW	656	* 2	; Index = 42 Token = 0
		DW	656	* 2	; Index = 42 Token = 1
		DW	656	* 2	; Index = 42 Token = 2
		DW	656	* 2	; Index = 42 Token = 3
		DW	704	* 2	; Index = 42 Token = 4
		DW	736	* 2	; Index = 42 Token = 5
		DW	768	* 2	; Index = 42 Token = 6
		DW	800	* 2	; Index = 42 Token = 7
		DW	656	* 2	; Index = 42 Token = 8
		DW	656	* 2	; Index = 42 Token = 9
		DW	656	* 2	; Index = 42 Token = 10
		DW	656	* 2	; Index = 42 Token = 11
		DW	704	* 2	; Index = 42 Token = 12
		DW	736	* 2	; Index = 42 Token = 13
		DW	768	* 2	; Index = 42 Token = 14
		DW	800	* 2	; Index = 42 Token = 15
		DW	672	* 2	; Index = 43 Token = 0
		DW	672	* 2	; Index = 43 Token = 1
		DW	672	* 2	; Index = 43 Token = 2
		DW	672	* 2	; Index = 43 Token = 3
		DW	720	* 2	; Index = 43 Token = 4
		DW	752	* 2	; Index = 43 Token = 5
		DW	784	* 2	; Index = 43 Token = 6
		DW	816	* 2	; Index = 43 Token = 7
		DW	672	* 2	; Index = 43 Token = 8
		DW	672	* 2	; Index = 43 Token = 9
		DW	672	* 2	; Index = 43 Token = 10
		DW	672	* 2	; Index = 43 Token = 11
		DW	720	* 2	; Index = 43 Token = 12
		DW	752	* 2	; Index = 43 Token = 13
		DW	784	* 2	; Index = 43 Token = 14
		DW	816	* 2	; Index = 43 Token = 15
		DW	688	* 2	; Index = 44 Token = 0
		DW	688	* 2	; Index = 44 Token = 1
		DW	688	* 2	; Index = 44 Token = 2
		DW	688	* 2	; Index = 44 Token = 3
		DW	736	* 2	; Index = 44 Token = 4
		DW	768	* 2	; Index = 44 Token = 5
		DW	800	* 2	; Index = 44 Token = 6
		DW	832	* 2	; Index = 44 Token = 7
		DW	688	* 2	; Index = 44 Token = 8
		DW	688	* 2	; Index = 44 Token = 9
		DW	688	* 2	; Index = 44 Token = 10
		DW	688	* 2	; Index = 44 Token = 11
		DW	736	* 2	; Index = 44 Token = 12
		DW	768	* 2	; Index = 44 Token = 13
		DW	800	* 2	; Index = 44 Token = 14
		DW	832	* 2	; Index = 44 Token = 15
		DW	704	* 2	; Index = 45 Token = 0
		DW	704	* 2	; Index = 45 Token = 1
		DW	704	* 2	; Index = 45 Token = 2
		DW	704	* 2	; Index = 45 Token = 3
		DW	752	* 2	; Index = 45 Token = 4
		DW	784	* 2	; Index = 45 Token = 5
		DW	816	* 2	; Index = 45 Token = 6
		DW	848	* 2	; Index = 45 Token = 7
		DW	704	* 2	; Index = 45 Token = 8
		DW	704	* 2	; Index = 45 Token = 9
		DW	704	* 2	; Index = 45 Token = 10
		DW	704	* 2	; Index = 45 Token = 11
		DW	752	* 2	; Index = 45 Token = 12
		DW	784	* 2	; Index = 45 Token = 13
		DW	816	* 2	; Index = 45 Token = 14
		DW	848	* 2	; Index = 45 Token = 15
		DW	720	* 2	; Index = 46 Token = 0
		DW	720	* 2	; Index = 46 Token = 1
		DW	720	* 2	; Index = 46 Token = 2
		DW	720	* 2	; Index = 46 Token = 3
		DW	768	* 2	; Index = 46 Token = 4
		DW	800	* 2	; Index = 46 Token = 5
		DW	832	* 2	; Index = 46 Token = 6
		DW	864	* 2	; Index = 46 Token = 7
		DW	720	* 2	; Index = 46 Token = 8
		DW	720	* 2	; Index = 46 Token = 9
		DW	720	* 2	; Index = 46 Token = 10
		DW	720	* 2	; Index = 46 Token = 11
		DW	768	* 2	; Index = 46 Token = 12
		DW	800	* 2	; Index = 46 Token = 13
		DW	832	* 2	; Index = 46 Token = 14
		DW	864	* 2	; Index = 46 Token = 15
		DW	736	* 2	; Index = 47 Token = 0
		DW	736	* 2	; Index = 47 Token = 1
		DW	736	* 2	; Index = 47 Token = 2
		DW	736	* 2	; Index = 47 Token = 3
		DW	784	* 2	; Index = 47 Token = 4
		DW	816	* 2	; Index = 47 Token = 5
		DW	848	* 2	; Index = 47 Token = 6
		DW	880	* 2	; Index = 47 Token = 7
		DW	736	* 2	; Index = 47 Token = 8
		DW	736	* 2	; Index = 47 Token = 9
		DW	736	* 2	; Index = 47 Token = 10
		DW	736	* 2	; Index = 47 Token = 11
		DW	784	* 2	; Index = 47 Token = 12
		DW	816	* 2	; Index = 47 Token = 13
		DW	848	* 2	; Index = 47 Token = 14
		DW	880	* 2	; Index = 47 Token = 15
		DW	752	* 2	; Index = 48 Token = 0
		DW	752	* 2	; Index = 48 Token = 1
		DW	752	* 2	; Index = 48 Token = 2
		DW	752	* 2	; Index = 48 Token = 3
		DW	800	* 2	; Index = 48 Token = 4
		DW	832	* 2	; Index = 48 Token = 5
		DW	864	* 2	; Index = 48 Token = 6
		DW	896	* 2	; Index = 48 Token = 7
		DW	752	* 2	; Index = 48 Token = 8
		DW	752	* 2	; Index = 48 Token = 9
		DW	752	* 2	; Index = 48 Token = 10
		DW	752	* 2	; Index = 48 Token = 11
		DW	800	* 2	; Index = 48 Token = 12
		DW	832	* 2	; Index = 48 Token = 13
		DW	864	* 2	; Index = 48 Token = 14
		DW	896	* 2	; Index = 48 Token = 15
		DW	768	* 2	; Index = 49 Token = 0
		DW	768	* 2	; Index = 49 Token = 1
		DW	768	* 2	; Index = 49 Token = 2
		DW	768	* 2	; Index = 49 Token = 3
		DW	816	* 2	; Index = 49 Token = 4
		DW	848	* 2	; Index = 49 Token = 5
		DW	880	* 2	; Index = 49 Token = 6
		DW	912	* 2	; Index = 49 Token = 7
		DW	768	* 2	; Index = 49 Token = 8
		DW	768	* 2	; Index = 49 Token = 9
		DW	768	* 2	; Index = 49 Token = 10
		DW	768	* 2	; Index = 49 Token = 11
		DW	816	* 2	; Index = 49 Token = 12
		DW	848	* 2	; Index = 49 Token = 13
		DW	880	* 2	; Index = 49 Token = 14
		DW	912	* 2	; Index = 49 Token = 15
		DW	784	* 2	; Index = 50 Token = 0
		DW	784	* 2	; Index = 50 Token = 1
		DW	784	* 2	; Index = 50 Token = 2
		DW	784	* 2	; Index = 50 Token = 3
		DW	832	* 2	; Index = 50 Token = 4
		DW	864	* 2	; Index = 50 Token = 5
		DW	896	* 2	; Index = 50 Token = 6
		DW	928	* 2	; Index = 50 Token = 7
		DW	784	* 2	; Index = 50 Token = 8
		DW	784	* 2	; Index = 50 Token = 9
		DW	784	* 2	; Index = 50 Token = 10
		DW	784	* 2	; Index = 50 Token = 11
		DW	832	* 2	; Index = 50 Token = 12
		DW	864	* 2	; Index = 50 Token = 13
		DW	896	* 2	; Index = 50 Token = 14
		DW	928	* 2	; Index = 50 Token = 15
		DW	800	* 2	; Index = 51 Token = 0
		DW	800	* 2	; Index = 51 Token = 1
		DW	800	* 2	; Index = 51 Token = 2
		DW	800	* 2	; Index = 51 Token = 3
		DW	848	* 2	; Index = 51 Token = 4
		DW	880	* 2	; Index = 51 Token = 5
		DW	912	* 2	; Index = 51 Token = 6
		DW	944	* 2	; Index = 51 Token = 7
		DW	800	* 2	; Index = 51 Token = 8
		DW	800	* 2	; Index = 51 Token = 9
		DW	800	* 2	; Index = 51 Token = 10
		DW	800	* 2	; Index = 51 Token = 11
		DW	848	* 2	; Index = 51 Token = 12
		DW	880	* 2	; Index = 51 Token = 13
		DW	912	* 2	; Index = 51 Token = 14
		DW	944	* 2	; Index = 51 Token = 15
		DW	816	* 2	; Index = 52 Token = 0
		DW	816	* 2	; Index = 52 Token = 1
		DW	816	* 2	; Index = 52 Token = 2
		DW	816	* 2	; Index = 52 Token = 3
		DW	864	* 2	; Index = 52 Token = 4
		DW	896	* 2	; Index = 52 Token = 5
		DW	928	* 2	; Index = 52 Token = 6
		DW	960	* 2	; Index = 52 Token = 7
		DW	816	* 2	; Index = 52 Token = 8
		DW	816	* 2	; Index = 52 Token = 9
		DW	816	* 2	; Index = 52 Token = 10
		DW	816	* 2	; Index = 52 Token = 11
		DW	864	* 2	; Index = 52 Token = 12
		DW	896	* 2	; Index = 52 Token = 13
		DW	928	* 2	; Index = 52 Token = 14
		DW	960	* 2	; Index = 52 Token = 15
		DW	832	* 2	; Index = 53 Token = 0
		DW	832	* 2	; Index = 53 Token = 1
		DW	832	* 2	; Index = 53 Token = 2
		DW	832	* 2	; Index = 53 Token = 3
		DW	880	* 2	; Index = 53 Token = 4
		DW	912	* 2	; Index = 53 Token = 5
		DW	944	* 2	; Index = 53 Token = 6
		DW	976	* 2	; Index = 53 Token = 7
		DW	832	* 2	; Index = 53 Token = 8
		DW	832	* 2	; Index = 53 Token = 9
		DW	832	* 2	; Index = 53 Token = 10
		DW	832	* 2	; Index = 53 Token = 11
		DW	880	* 2	; Index = 53 Token = 12
		DW	912	* 2	; Index = 53 Token = 13
		DW	944	* 2	; Index = 53 Token = 14
		DW	976	* 2	; Index = 53 Token = 15
		DW	848	* 2	; Index = 54 Token = 0
		DW	848	* 2	; Index = 54 Token = 1
		DW	848	* 2	; Index = 54 Token = 2
		DW	848	* 2	; Index = 54 Token = 3
		DW	896	* 2	; Index = 54 Token = 4
		DW	928	* 2	; Index = 54 Token = 5
		DW	960	* 2	; Index = 54 Token = 6
		DW	992	* 2	; Index = 54 Token = 7
		DW	848	* 2	; Index = 54 Token = 8
		DW	848	* 2	; Index = 54 Token = 9
		DW	848	* 2	; Index = 54 Token = 10
		DW	848	* 2	; Index = 54 Token = 11
		DW	896	* 2	; Index = 54 Token = 12
		DW	928	* 2	; Index = 54 Token = 13
		DW	960	* 2	; Index = 54 Token = 14
		DW	992	* 2	; Index = 54 Token = 15
		DW	864	* 2	; Index = 55 Token = 0
		DW	864	* 2	; Index = 55 Token = 1
		DW	864	* 2	; Index = 55 Token = 2
		DW	864	* 2	; Index = 55 Token = 3
		DW	912	* 2	; Index = 55 Token = 4
		DW	944	* 2	; Index = 55 Token = 5
		DW	976	* 2	; Index = 55 Token = 6
		DW	1008	* 2	; Index = 55 Token = 7
		DW	864	* 2	; Index = 55 Token = 8
		DW	864	* 2	; Index = 55 Token = 9
		DW	864	* 2	; Index = 55 Token = 10
		DW	864	* 2	; Index = 55 Token = 11
		DW	912	* 2	; Index = 55 Token = 12
		DW	944	* 2	; Index = 55 Token = 13
		DW	976	* 2	; Index = 55 Token = 14
		DW	1008	* 2	; Index = 55 Token = 15
		DW	880	* 2	; Index = 56 Token = 0
		DW	880	* 2	; Index = 56 Token = 1
		DW	880	* 2	; Index = 56 Token = 2
		DW	880	* 2	; Index = 56 Token = 3
		DW	928	* 2	; Index = 56 Token = 4
		DW	960	* 2	; Index = 56 Token = 5
		DW	992	* 2	; Index = 56 Token = 6
		DW	1024	* 2	; Index = 56 Token = 7
		DW	880	* 2	; Index = 56 Token = 8
		DW	880	* 2	; Index = 56 Token = 9
		DW	880	* 2	; Index = 56 Token = 10
		DW	880	* 2	; Index = 56 Token = 11
		DW	928	* 2	; Index = 56 Token = 12
		DW	960	* 2	; Index = 56 Token = 13
		DW	992	* 2	; Index = 56 Token = 14
		DW	1024	* 2	; Index = 56 Token = 15
		DW	896	* 2	; Index = 57 Token = 0
		DW	896	* 2	; Index = 57 Token = 1
		DW	896	* 2	; Index = 57 Token = 2
		DW	896	* 2	; Index = 57 Token = 3
		DW	944	* 2	; Index = 57 Token = 4
		DW	976	* 2	; Index = 57 Token = 5
		DW	1008	* 2	; Index = 57 Token = 6
		DW	1040	* 2	; Index = 57 Token = 7
		DW	896	* 2	; Index = 57 Token = 8
		DW	896	* 2	; Index = 57 Token = 9
		DW	896	* 2	; Index = 57 Token = 10
		DW	896	* 2	; Index = 57 Token = 11
		DW	944	* 2	; Index = 57 Token = 12
		DW	976	* 2	; Index = 57 Token = 13
		DW	1008	* 2	; Index = 57 Token = 14
		DW	1040	* 2	; Index = 57 Token = 15
		DW	912	* 2	; Index = 58 Token = 0
		DW	912	* 2	; Index = 58 Token = 1
		DW	912	* 2	; Index = 58 Token = 2
		DW	912	* 2	; Index = 58 Token = 3
		DW	960	* 2	; Index = 58 Token = 4
		DW	992	* 2	; Index = 58 Token = 5
		DW	1024	* 2	; Index = 58 Token = 6
		DW	1056	* 2	; Index = 58 Token = 7
		DW	912	* 2	; Index = 58 Token = 8
		DW	912	* 2	; Index = 58 Token = 9
		DW	912	* 2	; Index = 58 Token = 10
		DW	912	* 2	; Index = 58 Token = 11
		DW	960	* 2	; Index = 58 Token = 12
		DW	992	* 2	; Index = 58 Token = 13
		DW	1024	* 2	; Index = 58 Token = 14
		DW	1056	* 2	; Index = 58 Token = 15
		DW	928	* 2	; Index = 59 Token = 0
		DW	928	* 2	; Index = 59 Token = 1
		DW	928	* 2	; Index = 59 Token = 2
		DW	928	* 2	; Index = 59 Token = 3
		DW	976	* 2	; Index = 59 Token = 4
		DW	1008	* 2	; Index = 59 Token = 5
		DW	1040	* 2	; Index = 59 Token = 6
		DW	1072	* 2	; Index = 59 Token = 7
		DW	928	* 2	; Index = 59 Token = 8
		DW	928	* 2	; Index = 59 Token = 9
		DW	928	* 2	; Index = 59 Token = 10
		DW	928	* 2	; Index = 59 Token = 11
		DW	976	* 2	; Index = 59 Token = 12
		DW	1008	* 2	; Index = 59 Token = 13
		DW	1040	* 2	; Index = 59 Token = 14
		DW	1072	* 2	; Index = 59 Token = 15
		DW	944	* 2	; Index = 60 Token = 0
		DW	944	* 2	; Index = 60 Token = 1
		DW	944	* 2	; Index = 60 Token = 2
		DW	944	* 2	; Index = 60 Token = 3
		DW	992	* 2	; Index = 60 Token = 4
		DW	1024	* 2	; Index = 60 Token = 5
		DW	1056	* 2	; Index = 60 Token = 6
		DW	1088	* 2	; Index = 60 Token = 7
		DW	944	* 2	; Index = 60 Token = 8
		DW	944	* 2	; Index = 60 Token = 9
		DW	944	* 2	; Index = 60 Token = 10
		DW	944	* 2	; Index = 60 Token = 11
		DW	992	* 2	; Index = 60 Token = 12
		DW	1024	* 2	; Index = 60 Token = 13
		DW	1056	* 2	; Index = 60 Token = 14
		DW	1088	* 2	; Index = 60 Token = 15
		DW	960	* 2	; Index = 61 Token = 0
		DW	960	* 2	; Index = 61 Token = 1
		DW	960	* 2	; Index = 61 Token = 2
		DW	960	* 2	; Index = 61 Token = 3
		DW	1008	* 2	; Index = 61 Token = 4
		DW	1040	* 2	; Index = 61 Token = 5
		DW	1072	* 2	; Index = 61 Token = 6
		DW	1104	* 2	; Index = 61 Token = 7
		DW	960	* 2	; Index = 61 Token = 8
		DW	960	* 2	; Index = 61 Token = 9
		DW	960	* 2	; Index = 61 Token = 10
		DW	960	* 2	; Index = 61 Token = 11
		DW	1008	* 2	; Index = 61 Token = 12
		DW	1040	* 2	; Index = 61 Token = 13
		DW	1072	* 2	; Index = 61 Token = 14
		DW	1104	* 2	; Index = 61 Token = 15
		DW	976	* 2	; Index = 62 Token = 0
		DW	976	* 2	; Index = 62 Token = 1
		DW	976	* 2	; Index = 62 Token = 2
		DW	976	* 2	; Index = 62 Token = 3
		DW	1024	* 2	; Index = 62 Token = 4
		DW	1056	* 2	; Index = 62 Token = 5
		DW	1088	* 2	; Index = 62 Token = 6
		DW	1120	* 2	; Index = 62 Token = 7
		DW	976	* 2	; Index = 62 Token = 8
		DW	976	* 2	; Index = 62 Token = 9
		DW	976	* 2	; Index = 62 Token = 10
		DW	976	* 2	; Index = 62 Token = 11
		DW	1024	* 2	; Index = 62 Token = 12
		DW	1056	* 2	; Index = 62 Token = 13
		DW	1088	* 2	; Index = 62 Token = 14
		DW	1120	* 2	; Index = 62 Token = 15
		DW	992	* 2	; Index = 63 Token = 0
		DW	992	* 2	; Index = 63 Token = 1
		DW	992	* 2	; Index = 63 Token = 2
		DW	992	* 2	; Index = 63 Token = 3
		DW	1040	* 2	; Index = 63 Token = 4
		DW	1072	* 2	; Index = 63 Token = 5
		DW	1104	* 2	; Index = 63 Token = 6
		DW	1136	* 2	; Index = 63 Token = 7
		DW	992	* 2	; Index = 63 Token = 8
		DW	992	* 2	; Index = 63 Token = 9
		DW	992	* 2	; Index = 63 Token = 10
		DW	992	* 2	; Index = 63 Token = 11
		DW	1040	* 2	; Index = 63 Token = 12
		DW	1072	* 2	; Index = 63 Token = 13
		DW	1104	* 2	; Index = 63 Token = 14
		DW	1136	* 2	; Index = 63 Token = 15
		DW	1008	* 2	; Index = 64 Token = 0
		DW	1008	* 2	; Index = 64 Token = 1
		DW	1008	* 2	; Index = 64 Token = 2
		DW	1008	* 2	; Index = 64 Token = 3
		DW	1056	* 2	; Index = 64 Token = 4
		DW	1088	* 2	; Index = 64 Token = 5
		DW	1120	* 2	; Index = 64 Token = 6
		DW	1152	* 2	; Index = 64 Token = 7
		DW	1008	* 2	; Index = 64 Token = 8
		DW	1008	* 2	; Index = 64 Token = 9
		DW	1008	* 2	; Index = 64 Token = 10
		DW	1008	* 2	; Index = 64 Token = 11
		DW	1056	* 2	; Index = 64 Token = 12
		DW	1088	* 2	; Index = 64 Token = 13
		DW	1120	* 2	; Index = 64 Token = 14
		DW	1152	* 2	; Index = 64 Token = 15
		DW	1024	* 2	; Index = 65 Token = 0
		DW	1024	* 2	; Index = 65 Token = 1
		DW	1024	* 2	; Index = 65 Token = 2
		DW	1024	* 2	; Index = 65 Token = 3
		DW	1072	* 2	; Index = 65 Token = 4
		DW	1104	* 2	; Index = 65 Token = 5
		DW	1136	* 2	; Index = 65 Token = 6
		DW	1168	* 2	; Index = 65 Token = 7
		DW	1024	* 2	; Index = 65 Token = 8
		DW	1024	* 2	; Index = 65 Token = 9
		DW	1024	* 2	; Index = 65 Token = 10
		DW	1024	* 2	; Index = 65 Token = 11
		DW	1072	* 2	; Index = 65 Token = 12
		DW	1104	* 2	; Index = 65 Token = 13
		DW	1136	* 2	; Index = 65 Token = 14
		DW	1168	* 2	; Index = 65 Token = 15
		DW	1040	* 2	; Index = 66 Token = 0
		DW	1040	* 2	; Index = 66 Token = 1
		DW	1040	* 2	; Index = 66 Token = 2
		DW	1040	* 2	; Index = 66 Token = 3
		DW	1088	* 2	; Index = 66 Token = 4
		DW	1120	* 2	; Index = 66 Token = 5
		DW	1152	* 2	; Index = 66 Token = 6
		DW	1184	* 2	; Index = 66 Token = 7
		DW	1040	* 2	; Index = 66 Token = 8
		DW	1040	* 2	; Index = 66 Token = 9
		DW	1040	* 2	; Index = 66 Token = 10
		DW	1040	* 2	; Index = 66 Token = 11
		DW	1088	* 2	; Index = 66 Token = 12
		DW	1120	* 2	; Index = 66 Token = 13
		DW	1152	* 2	; Index = 66 Token = 14
		DW	1184	* 2	; Index = 66 Token = 15
		DW	1056	* 2	; Index = 67 Token = 0
		DW	1056	* 2	; Index = 67 Token = 1
		DW	1056	* 2	; Index = 67 Token = 2
		DW	1056	* 2	; Index = 67 Token = 3
		DW	1104	* 2	; Index = 67 Token = 4
		DW	1136	* 2	; Index = 67 Token = 5
		DW	1168	* 2	; Index = 67 Token = 6
		DW	1200	* 2	; Index = 67 Token = 7
		DW	1056	* 2	; Index = 67 Token = 8
		DW	1056	* 2	; Index = 67 Token = 9
		DW	1056	* 2	; Index = 67 Token = 10
		DW	1056	* 2	; Index = 67 Token = 11
		DW	1104	* 2	; Index = 67 Token = 12
		DW	1136	* 2	; Index = 67 Token = 13
		DW	1168	* 2	; Index = 67 Token = 14
		DW	1200	* 2	; Index = 67 Token = 15
		DW	1072	* 2	; Index = 68 Token = 0
		DW	1072	* 2	; Index = 68 Token = 1
		DW	1072	* 2	; Index = 68 Token = 2
		DW	1072	* 2	; Index = 68 Token = 3
		DW	1120	* 2	; Index = 68 Token = 4
		DW	1152	* 2	; Index = 68 Token = 5
		DW	1184	* 2	; Index = 68 Token = 6
		DW	1216	* 2	; Index = 68 Token = 7
		DW	1072	* 2	; Index = 68 Token = 8
		DW	1072	* 2	; Index = 68 Token = 9
		DW	1072	* 2	; Index = 68 Token = 10
		DW	1072	* 2	; Index = 68 Token = 11
		DW	1120	* 2	; Index = 68 Token = 12
		DW	1152	* 2	; Index = 68 Token = 13
		DW	1184	* 2	; Index = 68 Token = 14
		DW	1216	* 2	; Index = 68 Token = 15
		DW	1088	* 2	; Index = 69 Token = 0
		DW	1088	* 2	; Index = 69 Token = 1
		DW	1088	* 2	; Index = 69 Token = 2
		DW	1088	* 2	; Index = 69 Token = 3
		DW	1136	* 2	; Index = 69 Token = 4
		DW	1168	* 2	; Index = 69 Token = 5
		DW	1200	* 2	; Index = 69 Token = 6
		DW	1232	* 2	; Index = 69 Token = 7
		DW	1088	* 2	; Index = 69 Token = 8
		DW	1088	* 2	; Index = 69 Token = 9
		DW	1088	* 2	; Index = 69 Token = 10
		DW	1088	* 2	; Index = 69 Token = 11
		DW	1136	* 2	; Index = 69 Token = 12
		DW	1168	* 2	; Index = 69 Token = 13
		DW	1200	* 2	; Index = 69 Token = 14
		DW	1232	* 2	; Index = 69 Token = 15
		DW	1104	* 2	; Index = 70 Token = 0
		DW	1104	* 2	; Index = 70 Token = 1
		DW	1104	* 2	; Index = 70 Token = 2
		DW	1104	* 2	; Index = 70 Token = 3
		DW	1152	* 2	; Index = 70 Token = 4
		DW	1184	* 2	; Index = 70 Token = 5
		DW	1216	* 2	; Index = 70 Token = 6
		DW	1248	* 2	; Index = 70 Token = 7
		DW	1104	* 2	; Index = 70 Token = 8
		DW	1104	* 2	; Index = 70 Token = 9
		DW	1104	* 2	; Index = 70 Token = 10
		DW	1104	* 2	; Index = 70 Token = 11
		DW	1152	* 2	; Index = 70 Token = 12
		DW	1184	* 2	; Index = 70 Token = 13
		DW	1216	* 2	; Index = 70 Token = 14
		DW	1248	* 2	; Index = 70 Token = 15
		DW	1120	* 2	; Index = 71 Token = 0
		DW	1120	* 2	; Index = 71 Token = 1
		DW	1120	* 2	; Index = 71 Token = 2
		DW	1120	* 2	; Index = 71 Token = 3
		DW	1168	* 2	; Index = 71 Token = 4
		DW	1200	* 2	; Index = 71 Token = 5
		DW	1232	* 2	; Index = 71 Token = 6
		DW	1264	* 2	; Index = 71 Token = 7
		DW	1120	* 2	; Index = 71 Token = 8
		DW	1120	* 2	; Index = 71 Token = 9
		DW	1120	* 2	; Index = 71 Token = 10
		DW	1120	* 2	; Index = 71 Token = 11
		DW	1168	* 2	; Index = 71 Token = 12
		DW	1200	* 2	; Index = 71 Token = 13
		DW	1232	* 2	; Index = 71 Token = 14
		DW	1264	* 2	; Index = 71 Token = 15
		DW	1136	* 2	; Index = 72 Token = 0
		DW	1136	* 2	; Index = 72 Token = 1
		DW	1136	* 2	; Index = 72 Token = 2
		DW	1136	* 2	; Index = 72 Token = 3
		DW	1184	* 2	; Index = 72 Token = 4
		DW	1216	* 2	; Index = 72 Token = 5
		DW	1248	* 2	; Index = 72 Token = 6
		DW	1280	* 2	; Index = 72 Token = 7
		DW	1136	* 2	; Index = 72 Token = 8
		DW	1136	* 2	; Index = 72 Token = 9
		DW	1136	* 2	; Index = 72 Token = 10
		DW	1136	* 2	; Index = 72 Token = 11
		DW	1184	* 2	; Index = 72 Token = 12
		DW	1216	* 2	; Index = 72 Token = 13
		DW	1248	* 2	; Index = 72 Token = 14
		DW	1280	* 2	; Index = 72 Token = 15
		DW	1152	* 2	; Index = 73 Token = 0
		DW	1152	* 2	; Index = 73 Token = 1
		DW	1152	* 2	; Index = 73 Token = 2
		DW	1152	* 2	; Index = 73 Token = 3
		DW	1200	* 2	; Index = 73 Token = 4
		DW	1232	* 2	; Index = 73 Token = 5
		DW	1264	* 2	; Index = 73 Token = 6
		DW	1296	* 2	; Index = 73 Token = 7
		DW	1152	* 2	; Index = 73 Token = 8
		DW	1152	* 2	; Index = 73 Token = 9
		DW	1152	* 2	; Index = 73 Token = 10
		DW	1152	* 2	; Index = 73 Token = 11
		DW	1200	* 2	; Index = 73 Token = 12
		DW	1232	* 2	; Index = 73 Token = 13
		DW	1264	* 2	; Index = 73 Token = 14
		DW	1296	* 2	; Index = 73 Token = 15
		DW	1168	* 2	; Index = 74 Token = 0
		DW	1168	* 2	; Index = 74 Token = 1
		DW	1168	* 2	; Index = 74 Token = 2
		DW	1168	* 2	; Index = 74 Token = 3
		DW	1216	* 2	; Index = 74 Token = 4
		DW	1248	* 2	; Index = 74 Token = 5
		DW	1280	* 2	; Index = 74 Token = 6
		DW	1312	* 2	; Index = 74 Token = 7
		DW	1168	* 2	; Index = 74 Token = 8
		DW	1168	* 2	; Index = 74 Token = 9
		DW	1168	* 2	; Index = 74 Token = 10
		DW	1168	* 2	; Index = 74 Token = 11
		DW	1216	* 2	; Index = 74 Token = 12
		DW	1248	* 2	; Index = 74 Token = 13
		DW	1280	* 2	; Index = 74 Token = 14
		DW	1312	* 2	; Index = 74 Token = 15
		DW	1184	* 2	; Index = 75 Token = 0
		DW	1184	* 2	; Index = 75 Token = 1
		DW	1184	* 2	; Index = 75 Token = 2
		DW	1184	* 2	; Index = 75 Token = 3
		DW	1232	* 2	; Index = 75 Token = 4
		DW	1264	* 2	; Index = 75 Token = 5
		DW	1296	* 2	; Index = 75 Token = 6
		DW	1328	* 2	; Index = 75 Token = 7
		DW	1184	* 2	; Index = 75 Token = 8
		DW	1184	* 2	; Index = 75 Token = 9
		DW	1184	* 2	; Index = 75 Token = 10
		DW	1184	* 2	; Index = 75 Token = 11
		DW	1232	* 2	; Index = 75 Token = 12
		DW	1264	* 2	; Index = 75 Token = 13
		DW	1296	* 2	; Index = 75 Token = 14
		DW	1328	* 2	; Index = 75 Token = 15
		DW	1200	* 2	; Index = 76 Token = 0
		DW	1200	* 2	; Index = 76 Token = 1
		DW	1200	* 2	; Index = 76 Token = 2
		DW	1200	* 2	; Index = 76 Token = 3
		DW	1248	* 2	; Index = 76 Token = 4
		DW	1280	* 2	; Index = 76 Token = 5
		DW	1312	* 2	; Index = 76 Token = 6
		DW	1344	* 2	; Index = 76 Token = 7
		DW	1200	* 2	; Index = 76 Token = 8
		DW	1200	* 2	; Index = 76 Token = 9
		DW	1200	* 2	; Index = 76 Token = 10
		DW	1200	* 2	; Index = 76 Token = 11
		DW	1248	* 2	; Index = 76 Token = 12
		DW	1280	* 2	; Index = 76 Token = 13
		DW	1312	* 2	; Index = 76 Token = 14
		DW	1344	* 2	; Index = 76 Token = 15
		DW	1216	* 2	; Index = 77 Token = 0
		DW	1216	* 2	; Index = 77 Token = 1
		DW	1216	* 2	; Index = 77 Token = 2
		DW	1216	* 2	; Index = 77 Token = 3
		DW	1264	* 2	; Index = 77 Token = 4
		DW	1296	* 2	; Index = 77 Token = 5
		DW	1328	* 2	; Index = 77 Token = 6
		DW	1360	* 2	; Index = 77 Token = 7
		DW	1216	* 2	; Index = 77 Token = 8
		DW	1216	* 2	; Index = 77 Token = 9
		DW	1216	* 2	; Index = 77 Token = 10
		DW	1216	* 2	; Index = 77 Token = 11
		DW	1264	* 2	; Index = 77 Token = 12
		DW	1296	* 2	; Index = 77 Token = 13
		DW	1328	* 2	; Index = 77 Token = 14
		DW	1360	* 2	; Index = 77 Token = 15
		DW	1232	* 2	; Index = 78 Token = 0
		DW	1232	* 2	; Index = 78 Token = 1
		DW	1232	* 2	; Index = 78 Token = 2
		DW	1232	* 2	; Index = 78 Token = 3
		DW	1280	* 2	; Index = 78 Token = 4
		DW	1312	* 2	; Index = 78 Token = 5
		DW	1344	* 2	; Index = 78 Token = 6
		DW	1376	* 2	; Index = 78 Token = 7
		DW	1232	* 2	; Index = 78 Token = 8
		DW	1232	* 2	; Index = 78 Token = 9
		DW	1232	* 2	; Index = 78 Token = 10
		DW	1232	* 2	; Index = 78 Token = 11
		DW	1280	* 2	; Index = 78 Token = 12
		DW	1312	* 2	; Index = 78 Token = 13
		DW	1344	* 2	; Index = 78 Token = 14
		DW	1376	* 2	; Index = 78 Token = 15
		DW	1248	* 2	; Index = 79 Token = 0
		DW	1248	* 2	; Index = 79 Token = 1
		DW	1248	* 2	; Index = 79 Token = 2
		DW	1248	* 2	; Index = 79 Token = 3
		DW	1296	* 2	; Index = 79 Token = 4
		DW	1328	* 2	; Index = 79 Token = 5
		DW	1360	* 2	; Index = 79 Token = 6
		DW	1392	* 2	; Index = 79 Token = 7
		DW	1248	* 2	; Index = 79 Token = 8
		DW	1248	* 2	; Index = 79 Token = 9
		DW	1248	* 2	; Index = 79 Token = 10
		DW	1248	* 2	; Index = 79 Token = 11
		DW	1296	* 2	; Index = 79 Token = 12
		DW	1328	* 2	; Index = 79 Token = 13
		DW	1360	* 2	; Index = 79 Token = 14
		DW	1392	* 2	; Index = 79 Token = 15
		DW	1264	* 2	; Index = 80 Token = 0
		DW	1264	* 2	; Index = 80 Token = 1
		DW	1264	* 2	; Index = 80 Token = 2
		DW	1264	* 2	; Index = 80 Token = 3
		DW	1312	* 2	; Index = 80 Token = 4
		DW	1344	* 2	; Index = 80 Token = 5
		DW	1376	* 2	; Index = 80 Token = 6
		DW	1408	* 2	; Index = 80 Token = 7
		DW	1264	* 2	; Index = 80 Token = 8
		DW	1264	* 2	; Index = 80 Token = 9
		DW	1264	* 2	; Index = 80 Token = 10
		DW	1264	* 2	; Index = 80 Token = 11
		DW	1312	* 2	; Index = 80 Token = 12
		DW	1344	* 2	; Index = 80 Token = 13
		DW	1376	* 2	; Index = 80 Token = 14
		DW	1408	* 2	; Index = 80 Token = 15
		DW	1280	* 2	; Index = 81 Token = 0
		DW	1280	* 2	; Index = 81 Token = 1
		DW	1280	* 2	; Index = 81 Token = 2
		DW	1280	* 2	; Index = 81 Token = 3
		DW	1328	* 2	; Index = 81 Token = 4
		DW	1360	* 2	; Index = 81 Token = 5
		DW	1392	* 2	; Index = 81 Token = 6
		DW	1408	* 2	; Index = 81 Token = 7
		DW	1280	* 2	; Index = 81 Token = 8
		DW	1280	* 2	; Index = 81 Token = 9
		DW	1280	* 2	; Index = 81 Token = 10
		DW	1280	* 2	; Index = 81 Token = 11
		DW	1328	* 2	; Index = 81 Token = 12
		DW	1360	* 2	; Index = 81 Token = 13
		DW	1392	* 2	; Index = 81 Token = 14
		DW	1408	* 2	; Index = 81 Token = 15
		DW	1296	* 2	; Index = 82 Token = 0
		DW	1296	* 2	; Index = 82 Token = 1
		DW	1296	* 2	; Index = 82 Token = 2
		DW	1296	* 2	; Index = 82 Token = 3
		DW	1344	* 2	; Index = 82 Token = 4
		DW	1376	* 2	; Index = 82 Token = 5
		DW	1408	* 2	; Index = 82 Token = 6
		DW	1408	* 2	; Index = 82 Token = 7
		DW	1296	* 2	; Index = 82 Token = 8
		DW	1296	* 2	; Index = 82 Token = 9
		DW	1296	* 2	; Index = 82 Token = 10
		DW	1296	* 2	; Index = 82 Token = 11
		DW	1344	* 2	; Index = 82 Token = 12
		DW	1376	* 2	; Index = 82 Token = 13
		DW	1408	* 2	; Index = 82 Token = 14
		DW	1408	* 2	; Index = 82 Token = 15
		DW	1312	* 2	; Index = 83 Token = 0
		DW	1312	* 2	; Index = 83 Token = 1
		DW	1312	* 2	; Index = 83 Token = 2
		DW	1312	* 2	; Index = 83 Token = 3
		DW	1360	* 2	; Index = 83 Token = 4
		DW	1392	* 2	; Index = 83 Token = 5
		DW	1408	* 2	; Index = 83 Token = 6
		DW	1408	* 2	; Index = 83 Token = 7
		DW	1312	* 2	; Index = 83 Token = 8
		DW	1312	* 2	; Index = 83 Token = 9
		DW	1312	* 2	; Index = 83 Token = 10
		DW	1312	* 2	; Index = 83 Token = 11
		DW	1360	* 2	; Index = 83 Token = 12
		DW	1392	* 2	; Index = 83 Token = 13
		DW	1408	* 2	; Index = 83 Token = 14
		DW	1408	* 2	; Index = 83 Token = 15
		DW	1328	* 2	; Index = 84 Token = 0
		DW	1328	* 2	; Index = 84 Token = 1
		DW	1328	* 2	; Index = 84 Token = 2
		DW	1328	* 2	; Index = 84 Token = 3
		DW	1376	* 2	; Index = 84 Token = 4
		DW	1408	* 2	; Index = 84 Token = 5
		DW	1408	* 2	; Index = 84 Token = 6
		DW	1408	* 2	; Index = 84 Token = 7
		DW	1328	* 2	; Index = 84 Token = 8
		DW	1328	* 2	; Index = 84 Token = 9
		DW	1328	* 2	; Index = 84 Token = 10
		DW	1328	* 2	; Index = 84 Token = 11
		DW	1376	* 2	; Index = 84 Token = 12
		DW	1408	* 2	; Index = 84 Token = 13
		DW	1408	* 2	; Index = 84 Token = 14
		DW	1408	* 2	; Index = 84 Token = 15
		DW	1344	* 2	; Index = 85 Token = 0
		DW	1344	* 2	; Index = 85 Token = 1
		DW	1344	* 2	; Index = 85 Token = 2
		DW	1344	* 2	; Index = 85 Token = 3
		DW	1392	* 2	; Index = 85 Token = 4
		DW	1408	* 2	; Index = 85 Token = 5
		DW	1408	* 2	; Index = 85 Token = 6
		DW	1408	* 2	; Index = 85 Token = 7
		DW	1344	* 2	; Index = 85 Token = 8
		DW	1344	* 2	; Index = 85 Token = 9
		DW	1344	* 2	; Index = 85 Token = 10
		DW	1344	* 2	; Index = 85 Token = 11
		DW	1392	* 2	; Index = 85 Token = 12
		DW	1408	* 2	; Index = 85 Token = 13
		DW	1408	* 2	; Index = 85 Token = 14
		DW	1408	* 2	; Index = 85 Token = 15
		DW	1360	* 2	; Index = 86 Token = 0
		DW	1360	* 2	; Index = 86 Token = 1
		DW	1360	* 2	; Index = 86 Token = 2
		DW	1360	* 2	; Index = 86 Token = 3
		DW	1408	* 2	; Index = 86 Token = 4
		DW	1408	* 2	; Index = 86 Token = 5
		DW	1408	* 2	; Index = 86 Token = 6
		DW	1408	* 2	; Index = 86 Token = 7
		DW	1360	* 2	; Index = 86 Token = 8
		DW	1360	* 2	; Index = 86 Token = 9
		DW	1360	* 2	; Index = 86 Token = 10
		DW	1360	* 2	; Index = 86 Token = 11
		DW	1408	* 2	; Index = 86 Token = 12
		DW	1408	* 2	; Index = 86 Token = 13
		DW	1408	* 2	; Index = 86 Token = 14
		DW	1408	* 2	; Index = 86 Token = 15
		DW	1376	* 2	; Index = 87 Token = 0
		DW	1376	* 2	; Index = 87 Token = 1
		DW	1376	* 2	; Index = 87 Token = 2
		DW	1376	* 2	; Index = 87 Token = 3
		DW	1408	* 2	; Index = 87 Token = 4
		DW	1408	* 2	; Index = 87 Token = 5
		DW	1408	* 2	; Index = 87 Token = 6
		DW	1408	* 2	; Index = 87 Token = 7
		DW	1376	* 2	; Index = 87 Token = 8
		DW	1376	* 2	; Index = 87 Token = 9
		DW	1376	* 2	; Index = 87 Token = 10
		DW	1376	* 2	; Index = 87 Token = 11
		DW	1408	* 2	; Index = 87 Token = 12
		DW	1408	* 2	; Index = 87 Token = 13
		DW	1408	* 2	; Index = 87 Token = 14
		DW	1408	* 2	; Index = 87 Token = 15
		DW	1392	* 2	; Index = 88 Token = 0
		DW	1392	* 2	; Index = 88 Token = 1
		DW	1392	* 2	; Index = 88 Token = 2
		DW	1392	* 2	; Index = 88 Token = 3
		DW	1408	* 2	; Index = 88 Token = 4
		DW	1408	* 2	; Index = 88 Token = 5
		DW	1408	* 2	; Index = 88 Token = 6
		DW	1408	* 2	; Index = 88 Token = 7
		DW	1392	* 2	; Index = 88 Token = 8
		DW	1392	* 2	; Index = 88 Token = 9
		DW	1392	* 2	; Index = 88 Token = 10
		DW	1392	* 2	; Index = 88 Token = 11
		DW	1408	* 2	; Index = 88 Token = 12
		DW	1408	* 2	; Index = 88 Token = 13
		DW	1408	* 2	; Index = 88 Token = 14
		DW	1408	* 2	; Index = 88 Token = 15
