//
// Copyright 2020 Electronic Arts Inc.
//
// TiberianDawn.DLL and RedAlert.dll and corresponding source code is free 
// software: you can redistribute it and/or modify it under the terms of 
// the GNU General Public License as published by the Free Software Foundation, 
// either version 3 of the License, or (at your option) any later version.

// TiberianDawn.DLL and RedAlert.dll and corresponding source code is distributed 
// in the hope that it will be useful, but with permitted additional restrictions 
// under Section 7 of the GPL. See the GNU General Public License in LICENSE.TXT 
// distributed with this program. You should have received a copy of the 
// GNU General Public License along with permitted additional restrictions 
// with this program. If not, see https://github.com/electronicarts/CnC_Remastered_Collection

#define TXT_NONE                 	0  	// 
#define TXT_CREDIT_FORMAT        	1  	// %3d.%02d
#define TXT_BUTTON_UPGRADE       	2  	// Upgrade
#define TXT_UPGRADE              	3  	// Upgrade Structure
#define TXT_UPGRADE_BUTTON       	4  	// Upgrade
#define TXT_BUTTON_SELL          	5  	// Sell
#define TXT_SELL                 	6  	// Sell Structure
#define TXT_DEMOLISH             	7  	// Demolish Structure
#define TXT_BUTTON_REPAIR        	8  	// Repair
#define TXT_REPAIR               	9  	// Repair Structure
#define TXT_REPAIR_BUTTON        	10 	// Repair
#define TXT_YOU                  	11 	// You:
#define TXT_ENEMY                	12 	// Enemy:
#define TXT_BUILD_DEST           	13 	// Buildings Destroyed By
#define TXT_UNIT_DEST            	14 	// Units Destroyed By
#define TXT_TIB_HARV             	15 	// Tiberium Harvested By
#define TXT_SCORE_1              	16 	// Score: %d
#define TXT_RANK_OF              	17 	// You have attained the rank
#define TXT_YES                  	18 	// Yes
#define TXT_NO                   	19 	// No
#define TXT_READY                	20 	// Ready
#define TXT_HOLDING              	21 	// Holding
#define TXT_SCENARIO_WON         	22 	// Accomplished
#define TXT_SCENARIO_LOST        	23 	// Failed
#define TXT_CHOOSE_SIDE          	24 	// Choose Your Side
#define TXT_START_NEW_GAME       	25 	// Start New Game
#define TXT_INTRO                	26 	// Intro & Sneak Peek
#define TXT_CANCEL               	27 	// Cancel
#define TXT_ROCK                 	28 	// Rock
#define TXT_CHOAM_RESUME         	29 	// Resume Game
#define TXT_CHOAM_BUILD_THIS     	30 	// Build This
#define TXT_THANK_YOU            	31 	// Thank you for playing
#define TXT_FAME                 	32 	// Hall of Fame
#define TXT_GDI                  	33 	// Global Defense Initiative
#define TXT_NOD                  	34 	// Brotherhood of Nod
#define TXT_CIVILIAN             	35 	// Civilian
#define TXT_JP                   	36 	// Containment Team
#define TXT_OK                   	37 	// OK
#define TXT_TREE                 	38 	// Tree
#define TXT_LEFT                 	39 	// 
#define TXT_RIGHT                	40 	// 
#define TXT_UP                   	41 	// 
#define TXT_DOWN                 	42 	// 
#define TXT_CLEAR_MAP            	43 	// Clear the map
#define TXT_INHERIT_MAP          	44 	// Inherit previous map
#define TXT_CLEAR                	45 	// Clear
#define TXT_WATER                	46 	// Water
#define TXT_ROAD                 	47 	// Road
#define TXT_TILE                 	48 	// Tile Object
#define TXT_SLOPE                	49 	// Slope
#define TXT_BRUSH                	50 	// Brush
#define TXT_PATCH                	51 	// Patch
#define TXT_RIVER                	52 	// River
#define TXT_LOAD_MISSION         	53 	// Load Mission
#define TXT_SAVE_MISSION         	54 	// Save Mission
#define TXT_DELETE_MISSION       	55 	// Delete Mission
#define TXT_LOAD_BUTTON          	56 	// Load
#define TXT_SAVE_BUTTON          	57 	// Save
#define TXT_DELETE_BUTTON        	58 	// Delete
#define TXT_GAME_CONTROLS        	59 	// Game Controls
#define TXT_SOUND_CONTROLS       	60 	// Sound Controls
#define TXT_RESUME_MISSION       	61 	// Resume Mission
#define TXT_VISUAL_CONTROLS      	62 	// Visual Controls
#define TXT_QUIT_MISSION         	63 	// Abort Mission
#define TXT_EXIT_GAME            	64 	// Exit Game
#define TXT_OPTIONS              	65 	// Options
#define TXT_TIBERIUM             	66 	// Tiberium
#define TXT_TIBERIUM_ON          	67 	// Tiberium On
#define TXT_TIBERIUM_OFF         	68 	// Tiberium Off
#define TXT_SQUISH               	69 	// Squish mark
#define TXT_CRATER               	70 	// Crater
#define TXT_SCORCH               	71 	// Scorch Mark
#define TXT_BRIGHTNESS           	72 	// BRIGHTNESS:
#define TXT_MUSIC                	73 	// MUSIC VOLUME
#define TXT_VOLUME               	74 	// SOUND VOLUME
#define TXT_TINT                 	75 	// TINT:
#define TXT_CONTRAST             	76 	// CONTRAST:
#define TXT_SPEED                	77 	// GAME SPEED:
#define TXT_SCROLLRATE           	78 	// SCROLL RATE:
#define TXT_COLOR                	79 	// COLOR:
#define TXT_RETURN_TO_GAME       	80 	// Return to game
#define TXT_ENEMY_SOLDIER        	81 	// Enemy Soldier
#define TXT_ENEMY_VEHICLE        	82 	// Enemy Vehicle
#define TXT_ENEMY_STRUCTURE      	83 	// Enemy Structure
#define TXT_FTANK                	84 	// Flame Tank
#define TXT_STANK                	85 	// Stealth Tank
#define TXT_LTANK                	86 	// Light Tank
#define TXT_MTANK                	87 	// Med. Tank
#define TXT_HTANK                	88 	// Mammoth Tank
#define TXT_DUNE_BUGGY           	89 	// Nod Buggy
#define TXT_SAM                  	90 	// SAM Site
#define TXT_EYE                  	91 	// Advanced Com. Center
#define TXT_MLRS                 	92 	// Rocket Launcher
#define TXT_MHQ                  	93 	// Mobile HQ
#define TXT_JEEP                 	94 	// Hum-vee
#define TXT_TRANS                	95 	// Transport Helicopter
#define TXT_A10                  	96 	// A10
#define TXT_C17                  	97 	// C17
#define TXT_HARVESTER            	98 	// Harvester
#define TXT_ARTY                 	99 	// Artillery
#define TXT_MSAM                 	100	// S.S.M. Launcher
#define TXT_E1                   	101	// Minigunner
#define TXT_E2                   	102	// Grenadier
#define TXT_E3                   	103	// Bazooka
#define TXT_E4                   	104	// Flamethrower
#define TXT_E5                   	105	// Chem-warrior
#define TXT_RAMBO                	106	// Commando
#define TXT_HOVER                	107	// Hovercraft
#define TXT_HELI                 	108	// Attack Helicopter
#define TXT_ORCA                 	109	// Orca
#define TXT_APC                  	110	// APC
#define TXT_GUARD_TOWER          	111	// Guard Tower
#define TXT_COMMAND              	112	// Communications Center
#define TXT_HELIPAD              	113	// Helicopter Pad
#define TXT_AIRSTRIP             	114	// Airstrip
#define TXT_STORAGE              	115	// Tiberium Silo
#define TXT_CONST_YARD           	116	// Construction Yard
#define TXT_REFINERY             	117	// Tiberium Refinery
#define TXT_CIV1                 	118	// Church
#define TXT_CIV2                 	119	// Han's and Gretel's
#define TXT_CIV3                 	120	// Hewitt's Manor
#define TXT_CIV4                 	121	// Ricktor's House
#define TXT_CIV5                 	122	// Gretchin's House
#define TXT_CIV6                 	123	// The Barn
#define TXT_CIV7                 	124	// Damon's pub
#define TXT_CIV8                 	125	// Fran's House
#define TXT_CIV9                 	126	// Music Factory
#define TXT_CIV10                	127	// Toymaker's
#define TXT_CIV11                	128	// Ludwig's House
#define TXT_CIV12                	129	// Haystacks
#define TXT_CIV13                	130	// Haystack
#define TXT_CIV14                	131	// Wheat Field
#define TXT_CIV15                	132	// Fallow Field
#define TXT_CIV16                	133	// Corn Field
#define TXT_CIV17                	134	// Celery Field
#define TXT_CIV18                	135	// Potato Field
#define TXT_CIV20                	136	// Sala's House
#define TXT_CIV21                	137	// Abdul's House
#define TXT_CIV22                	138	// Pablo's Wicked Pub
#define TXT_CIV23                	139	// Village Well
#define TXT_CIV24                	140	// Camel Trader
#define TXT_CIV25                	141	// Church
#define TXT_CIV26                	142	// Ali's House
#define TXT_CIV27                	143	// Trader Ted's
#define TXT_CIV28                	144	// Menelik's House
#define TXT_CIV29                	145	// Prestor John's House
#define TXT_CIV30                	146	// Village Well
#define TXT_CIV31                	147	// Witch Doctor's Hut
#define TXT_CIV32                	148	// Rikitikitembo's Hut
#define TXT_CIV33                	149	// Roarke's Hut
#define TXT_CIV34                	150	// Mubasa's Hut
#define TXT_CIV35                	151	// Aksum's Hut
#define TXT_CIV36                	152	// Mambo's Hut
#define TXT_CIV37                	153	// The Studio
#define TXT_CIVMISS              	154	// Technology Center
#define TXT_TURRET               	155	// Gun Turret
#define TXT_GUNBOAT              	156	// Gun Boat
#define TXT_MCV                  	157	// Mobile Construction Yard
#define TXT_BIKE                 	158	// Recon Bike
#define TXT_POWER                	159	// Power Plant
#define TXT_ADVANCED_POWER       	160	// Advanced Power Plant
#define TXT_HOSPITAL             	161	// Hospital
#define TXT_BARRACKS             	162	// Barracks
#define TXT_CONCRETE             	163	// Concrete
#define TXT_PUMP                 	164	// Oil Pump
#define TXT_TANKER               	165	// Oil Tanker
#define TXT_SANDBAG_WALL         	166	// Sandbag Wall
#define TXT_CYCLONE_WALL         	167	// Chain Link Fence
#define TXT_BRICK_WALL           	168	// Concrete Wall
#define TXT_BARBWIRE_WALL        	169	// Barbwire Fence
#define TXT_WOOD_WALL            	170	// Wood Fence
#define TXT_WEAPON_FACTORY       	171	// Weapons Factory
#define TXT_AGUARD_TOWER         	172	// Advanced Guard Tower
#define TXT_OBELISK              	173	// Obelisk Guard Tower
#define TXT_BIO_LAB              	174	// Bio-Research Laboratory
#define TXT_HAND                 	175	// Hand of Nod
#define TXT_TEMPLE               	176	// Temple of Nod
#define TXT_FIX_IT               	177	// Repair Bay
#define TXT_TAB_SIDEBAR          	178	// Sidebar
#define TXT_TAB_BUTTON_CONTROLS  	179	// Options
#define TXT_TAB_BUTTON_DATABASE  	180	// Database
#define TXT_SHADOW               	181	// Unrevealed Terrain
#define TXT_OPTIONS_MENU         	182	// Options Menu
#define TXT_STOP                 	183	// STOP
#define TXT_PLAY                 	184	// PLAY
#define TXT_SHUFFLE              	185	// SHUFFLE
#define TXT_REPEAT               	186	// REPEAT
#define TXT_MUSIC_VOLUME         	187	// Music volume:
#define TXT_SOUND_VOLUME         	188	// Sound volume:
#define TXT_ON                   	189	// On
#define TXT_OFF                  	190	// Off
#define TXT_THEME_AOI            	191	// Act On Instinct
#define TXT_THEME_TROUBLE        	192	// Looks Like Trouble
#define TXT_THEME_IND            	193	// Industrial
#define TXT_THEME_ROUT           	194	// Reaching Out
#define TXT_THEME_OTP            	195	// On The Prowl
#define TXT_THEME_PRP            	196	// Prepare For Battle
#define TXT_THEME_JUSTDOIT       	197	// Just Do It!
#define TXT_THEME_LINEFIRE       	198	// In The Line Of Fire
#define TXT_THEME_MARCH          	199	// March To Doom
#define TXT_THEME_STOPTHEM       	200	// Deception
#define TXT_THEME_CCTHANG        	201	// C&C Thang
#define TXT_THEME_BEFEARED       	202	// Enemies To Be Feared
#define TXT_THEME_WARFARE        	203	// Warfare
#define TXT_THEME_FWP            	204	// Fight, Win, Prevail
#define TXT_THEME_DIE            	205	// Die!!
#define TXT_THEME_NOMERCY        	206	// No Mercy
#define TXT_THEME_TARGET         	207	// Mechanical Man
#define TXT_THEME_IAM            	208	// I Am
#define TXT_THEME_WIN1           	209	// Great Shot!
#define TXT_MULTIPLAYER_GAME     	210	// Multiplayer Game
#define TXT_NO_FILES             	211	// No files available
#define TXT_DELETE_SINGLE_FILE   	212	// Do you want to delete this
#define TXT_DELETE_MULTIPLE_FILES	213	// Do you want to delete %d
#define TXT_RESET_MENU           	214	// Reset Values
#define TXT_CONFIRMATION         	215	// Confirmation
#define TXT_CONFIRM_EXIT         	216	// Do you want to abort the
#define TXT_MISSION_DESCRIPTION  	217	// Mission Description
#define TXT_C1                   	218	// Joe
#define TXT_C2                   	219	// Bill
#define TXT_C3                   	220	// Shelly
#define TXT_C4                   	221	// Maria
#define TXT_C5                   	222	// Eydie
#define TXT_C6                   	223	// Dave
#define TXT_C7                   	224	// Phil
#define TXT_C8                   	225	// Dwight
#define TXT_C9                   	226	// Erik
#define TXT_MOEBIUS              	227	// Dr. Moebius
#define TXT_BIB                  	228	// Road Bib
#define TXT_FASTER               	229	// Faster
#define TXT_SLOWER               	230	// Slower
#define TXT_ION_CANNON           	231	// Ion Cannon
#define TXT_NUKE_STRIKE          	232	// Nuclear Strike
#define TXT_AIR_STRIKE           	233	// Air Strike
#define TXT_TREX                 	234	// Tyrannosaurus Rex
#define TXT_TRIC                 	235	// Triceratops
#define TXT_RAPT                 	236	// Velociraptor
#define TXT_STEG                 	237	// Stegasaurus
#define TXT_STEEL_CRATE          	238	// Steel Crate
#define TXT_WOOD_CRATE           	239	// Wood Crate
#define TXT_FLAG_SPOT            	240	// Flag Location
#define TXT_G_D_I                	241	// GDI
#define TXT_N_O_D                	242	// NOD
#define TXT_UNABLE_READ_SCENARIO 	243	// Unable to read scenario!
#define TXT_ERROR_LOADING_GAME   	244	// Error loading game!
#define TXT_OBSOLETE_SAVEGAME    	245	// Obsolete saved game.
#define TXT_MUSTENTER_DESCRIPTION	246	// You must enter a
#define TXT_ERROR_SAVING_GAME    	247	// Error saving game!
#define TXT_DELETE_FILE_QUERY    	248	// Delete this file?
#define TXT_EMPTY_SLOT           	249	// [EMPTY SLOT]
#define TXT_SELECT_MPLAYER_GAME  	250	// Select Multiplayer Game
#define TXT_MODEM_SERIAL         	251	// Modem/Serial
#define TXT_NETWORK              	252	// Network
#define TXT_INIT_NET_ERROR       	253	// Unable to initialize
#define TXT_JOIN_NETWORK_GAME    	254	// Join Network Game
#define TXT_NEW                  	255	// New
#define TXT_JOIN                 	256	// Join
#define TXT_SEND_MESSAGE         	257	// Send Message
#define TXT_YOUR_NAME            	258	// Your Name:
#define TXT_SIDE_COLON           	259	// Side:
#define TXT_COLOR_COLON          	260	// Color:
#define TXT_GAMES                	261	// Games
#define TXT_PLAYERS              	262	// Players
#define TXT_SCENARIO_COLON       	263	// Scenario:
#define TXT_NOT_FOUND            	264	// >> NOT FOUND <<
#define TXT_START_CREDITS_COLON  	265	// Starting Credits:
#define TXT_BASES_COLON          	266	// Bases:
#define TXT_TIBERIUM_COLON       	267	// Tiberium:
#define TXT_CRATES_COLON         	268	// Crates:
#define TXT_AI_PLAYERS_COLON     	269	// AI Players:
#define TXT_REQUEST_DENIED       	270	// Request denied.
#define TXT_UNABLE_PLAY_WAAUGH   	271	// Unable to play; scenario
#define TXT_NOTHING_TO_JOIN      	272	// Nothing to join!
#define TXT_NAME_ERROR           	273	// You must enter a name!
#define TXT_DUPENAMES_NOTALLOWED 	274	// Duplicate names are not
#define TXT_YOURGAME_OUTDATED    	275	// Your game version is
#define TXT_DESTGAME_OUTDATED    	276	// Destination game version is
#define TXT_THATGUYS_GAME        	277	// %s's Game
#define TXT_THATGUYS_GAME_BRACKET	278	// [%s's Game]
#define TXT_NETGAME_SETUP        	279	// Network Game Setup
#define TXT_REJECT               	280	// Reject
#define TXT_CANT_REJECT_SELF     	281	// You can't reject yourself! 
#define TXT_SELECT_PLAYER_REJECT 	282	// You must select a player to
#define TXT_BASES_ON             	283	// Bases On
#define TXT_BASES_OFF            	284	// Bases Off
#define TXT_CRATES_ON            	285	// Crates On
#define TXT_CRATES_OFF           	286	// Crates Off
#define TXT_AI_PLAYERS_ON        	287	// AI Players On
#define TXT_AI_PLAYERS_OFF       	288	// AI Players Off
#define TXT_SCENARIOS            	289	// Scenarios
#define TXT_START_CREDITS        	290	// Starting Credits
#define TXT_ONLY_ONE             	291	// Only one player?
#define TXT_OOPS                 	292	// Oops!
#define TXT_TO                   	293	// To %s:
#define TXT_TO_ALL               	294	// To All:
#define TXT_MESSAGE              	295	// Message:
#define TXT_CONNECTION_LOST      	296	// Connection to %s lost!
#define TXT_LEFT_GAME            	297	// %s has left the game.
#define TXT_PLAYER_DEFEATED      	298	// %s has been defeated!
#define TXT_WAITING_CONNECT      	299	// Waiting to Connect...
#define TXT_NULL_CONNERR_CHECK_CABLES	300	// Connection error! Check
#define TXT_MODEM_CONNERR_REDIALING	301	// Connection
#define TXT_MODEM_CONNERR_WAITING	302	// Connection error! Waiting
#define TXT_SELECT_SERIAL_GAME   	303	// Select Serial Game
#define TXT_DIAL_MODEM           	304	// Dial Modem
#define TXT_ANSWER_MODEM         	305	// Answer Modem
#define TXT_NULL_MODEM           	306	// Null Modem
#define TXT_SETTINGS             	307	// Settings
#define TXT_PORT_COLON           	308	// Port:
#define TXT_IRQ_COLON            	309	// IRQ:
#define TXT_BAUD_COLON           	310	// Baud:
#define TXT_INIT_STRING          	311	// Init String:
#define TXT_CWAIT_STRING         	312	// Call Waiting String:
#define TXT_TONE_BUTTON          	313	// Tone Dialing
#define TXT_PULSE_BUTTON         	314	// Pulse Dialing
#define TXT_HOST_SERIAL_GAME     	315	// Host Serial Game
#define TXT_OPPONENT_COLON       	316	// Opponent:
#define TXT_USER_SIGNED_OFF      	317	// User signed off!
#define TXT_JOIN_SERIAL_GAME     	318	// Join Serial Game
#define TXT_PHONE_LIST           	319	// Phone List
#define TXT_ADD                  	320	// Add
#define TXT_EDIT                 	321	// Edit
#define TXT_DIAL                 	322	// Dial
#define TXT_DEFAULT              	323	// Default
#define TXT_DEFAULT_SETTINGS     	324	// Default Settings
#define TXT_CUSTOM_SETTINGS      	325	// Custom Settings
#define TXT_PHONE_LISTING        	326	// Phone Listing
#define TXT_NAME_COLON           	327	// Name:
#define TXT_NUMBER_COLON         	328	// Number:
#define TXT_UNABLE_FIND_MODEM    	329	// Unable to find modem. Check
#define TXT_NO_CARRIER           	330	// No carrier.
#define TXT_LINE_BUSY            	331	// Line busy.
#define TXT_NUMBER_INVALID       	332	// Number invalid.
#define TXT_SYSTEM_NOT_RESPONDING	333	// Other system not
#define TXT_OUT_OF_SYNC          	334	// Games are out of sync!
#define TXT_PACKET_TOO_LATE      	335	// Packet received too late!
#define TXT_PLAYER_LEFT_GAME     	336	// Other player has left the
#define TXT_FROM                 	337	// From %s:%s
#define TXT_MAP_P01              	338	// 2,728,000
#define TXT_MAP_P02              	339	// 38,385,000
#define TXT_MAP_P03              	340	// 10,373,000
#define TXT_MAP_P04              	341	// 51,994,000
#define TXT_MAP_P05              	342	// 80,387,000
#define TXT_MAP_P06              	343	// 10,400,000
#define TXT_MAP_P07              	344	// 5,300,000
#define TXT_MAP_P08              	345	// 7,867,000
#define TXT_MAP_P09              	346	// 10,333,000
#define TXT_MAP_P10              	347	// 1,974,000
#define TXT_MAP_P11              	348	// 23,169,000
#define TXT_MAP_P12              	349	// 10,064,000
#define TXT_MAP_P13              	350	// 3,285,000
#define TXT_MAP_P14              	351	// 8,868,000
#define TXT_MAP_P15              	352	// 10,337,000
#define TXT_MAP_P16              	353	// 4,365,000
#define TXT_MAP_P17              	354	// 1,607,000
#define TXT_MAP_P18              	355	// 4,485,000
#define TXT_MAP_P19              	356	// 56,386,000
#define TXT_MAP_P20              	357	// 28,305,000
#define TXT_MAP_P21              	358	// 5,238,000
#define TXT_MAP_P22              	359	// 2,059,000
#define TXT_MAP_P23              	360	// 13,497,000
#define TXT_MAP_P24              	361	// 4,997,000
#define TXT_MAP_P25              	362	// 88,500,000
#define TXT_MAP_P26              	363	// 1,106,000
#define TXT_MAP_P27              	364	// 12,658,000
#define TXT_MAP_P28              	365	// 3,029,000
#define TXT_MAP_P29              	366	// 39,084,000
#define TXT_MAP_P30              	367	// 23,154,000
#define TXT_MAP_P31              	368	// 8,902,000
#define TXT_MAP_P32              	369	// 27,791,000
#define TXT_MAP_P33              	370	// 1,574,000
#define TXT_MAP_P34              	371	// 15,469,000
#define TXT_MAP_P35              	372	// 1,300,000
#define TXT_MAP_P36              	373	// 41,688,000
#define TXT_MAP_A00              	374	// 24,900 SQ. MI.
#define TXT_MAP_A01              	375	// 120,727 SQ. MI.
#define TXT_MAP_A02              	376	// 80,134 SQ. MI.
#define TXT_MAP_A03              	377	// 233,100 SQ. MI.
#define TXT_MAP_A04              	378	// 137,838 SQ. MI.
#define TXT_MAP_A05              	379	// 30,449 SQ. MI.
#define TXT_MAP_A06              	380	// 18,932 SQ. MI.
#define TXT_MAP_A07              	381	// 32,377 SQ. MI.
#define TXT_MAP_A08              	382	// 35,919 SQ. MI.
#define TXT_MAP_A09              	383	// 7,819 SQ. MI.
#define TXT_MAP_A10              	384	// 91,699 SQ. MI.
#define TXT_MAP_A11              	385	// 51,146 SQ. MI.
#define TXT_MAP_A12              	386	// 11,100 SQ. MI.
#define TXT_MAP_A13              	387	// 44,365 SQ. MI.
#define TXT_MAP_A14              	388	// 39,449 SQ. MI.
#define TXT_MAP_A15              	389	// 19,741 SQ. MI.
#define TXT_MAP_A16              	390	// 17,413 SQ. MI.
#define TXT_MAP_C00              	391	// RIGA
#define TXT_MAP_C01              	392	// WARSAW
#define TXT_MAP_C02              	393	// MINSK
#define TXT_MAP_C03              	394	// KIEV
#define TXT_MAP_C04              	395	// BERLIN
#define TXT_MAP_C05              	396	// PRAGUE
#define TXT_MAP_C06              	397	// BRATISLAVA
#define TXT_MAP_C07              	398	// VIENNA
#define TXT_MAP_C08              	399	// BUDAPEST
#define TXT_MAP_C09              	400	// LJUBLJANA
#define TXT_MAP_C10              	401	// BUCHAREST
#define TXT_MAP_C11              	402	// ATHENS
#define TXT_MAP_C12              	403	// TIRANA
#define TXT_MAP_C13              	404	// SOFIA
#define TXT_MAP_C14              	405	// BELGRADE
#define TXT_MAP_C15              	406	// SARAJEVO
#define TXT_MAP_C16              	407	// TALLINN
#define TXT_MAP_C17              	408	// TRIPOLI
#define TXT_MAP_C18              	409	// CAIRO
#define TXT_MAP_C19              	410	// KHARTOUM
#define TXT_MAP_C20              	411	// N'DJAMENA
#define TXT_MAP_C21              	412	// NOUAKCHOTT
#define TXT_MAP_C22              	413	// YAMOUSSOUKRO
#define TXT_MAP_C23              	414	// PORTO-NOVO
#define TXT_MAP_C24              	415	// ABUJA
#define TXT_MAP_C25              	416	// LIBREVILLE
#define TXT_MAP_C26              	417	// YAOUNDE
#define TXT_MAP_C27              	418	// BANGUI
#define TXT_MAP_C28              	419	// KINSHASA
#define TXT_MAP_C29              	420	// CAIRO
#define TXT_MAP_C30              	421	// LUANDA
#define TXT_MAP_C31              	422	// DAR-ES-SALAAM
#define TXT_MAP_C32              	423	// WINDHOEK
#define TXT_MAP_C33              	424	// MAPUTO
#define TXT_MAP_C34              	425	// GABARONE
#define TXT_MAP_C35              	426	// CAPE TOWN
#define TXT_MAP_GDP00            	427	// NEGLIGIBLE
#define TXT_MAP_GDP01            	428	// $162.7 BLN
#define TXT_MAP_GDP02            	429	// $47.6 BLN
#define TXT_MAP_GDP03            	430	// $1,131 BLN
#define TXT_MAP_GDP04            	431	// $120 BLN
#define TXT_MAP_GDP05            	432	// $164 BLN
#define TXT_MAP_GDP06            	433	// $60.1 BLN
#define TXT_MAP_GDP07            	434	// $21 BLN
#define TXT_MAP_GDP08            	435	// $71.9 BLN
#define TXT_MAP_GDP09            	436	// $77 BLN
#define TXT_MAP_GDP10            	437	// $4.0 BLN
#define TXT_MAP_GDP11            	438	// $47.3 BLN
#define TXT_MAP_GDP12            	439	// $120.1 BLN
#define TXT_MAP_GDP13            	440	// $14.0 BLN
#define TXT_MAP_GDP14            	441	// $28.9 BLN
#define TXT_MAP_GDP15            	442	// $39.2 BLN
#define TXT_MAP_GDP16            	443	// $12.1 BLN
#define TXT_MAP_GDP17            	444	// $1.0 BLN
#define TXT_MAP_GDP18            	445	// $10.0 BLN
#define TXT_MAP_GDP19            	446	// $1.7 BLN
#define TXT_MAP_GDP20            	447	// $28.0 BLN
#define TXT_MAP_GDP21            	448	// $5.3 BLN
#define TXT_MAP_GDP22            	449	// $11.6 BLN
#define TXT_MAP_GDP23            	450	// $1.3 BLN
#define TXT_MAP_GDP24            	451	// $6.6 BLN
#define TXT_MAP_GDP25            	452	// $8.3 BLN
#define TXT_MAP_GDP26            	453	// $6.9 BLN
#define TXT_MAP_GDP27            	454	// $2.0 BLN
#define TXT_MAP_GDP28            	455	// $3.1 BLN
#define TXT_MAP_GDP29            	456	// $104.0 BLN
#define TXT_MAP_PC00             	457	// JELGAVA
#define TXT_MAP_PC01             	458	// GDANSK
#define TXT_MAP_PC02             	459	// BYELISTOK
#define TXT_MAP_PC03             	460	// BOBYRUSK
#define TXT_MAP_PC04             	461	// IVANO-FRANKOVSK
#define TXT_MAP_PC05             	462	// HANOVER
#define TXT_MAP_PC06             	463	// DRESDEN
#define TXT_MAP_PC07             	464	// OSTRAVA
#define TXT_MAP_PC08             	465	// BRATISLAVA
#define TXT_MAP_PC09             	466	// SALZBURG
#define TXT_MAP_PC10             	467	// BUDAPEST
#define TXT_MAP_PC11             	468	// TRIESTE
#define TXT_MAP_PC12             	469	// ARAD
#define TXT_MAP_PC13             	470	// CORINTH
#define TXT_MAP_PC14             	471	// SHKODER
#define TXT_MAP_PC15             	472	// SOFIA
#define TXT_MAP_PC16             	473	// NIS
#define TXT_MAP_PC17             	474	// BELGRADE
#define TXT_MAP_PC18             	475	// ?
#define TXT_MAP_PC19             	476	// PARNU
#define TXT_MAP_PC20             	477	// TMASSAH
#define TXT_MAP_PC21             	478	// AL-ALAMYN
#define TXT_MAP_PC22             	479	// AL-KHARIJAH
#define TXT_MAP_PC23             	480	// AL-UBAYYID
#define TXT_MAP_PC24             	481	// KAFIA-KINGI
#define TXT_MAP_PC25             	482	// OUM HADJER
#define TXT_MAP_PC26             	483	// MAO
#define TXT_MAP_PC27             	484	// TIDJIKDJA
#define TXT_MAP_PC28             	485	// ABIDJAN
#define TXT_MAP_PC29             	486	// PORTO-NOVO
#define TXT_MAP_PC30             	487	// ABUJA
#define TXT_MAP_PC31             	488	// KOULA-MOUTOU
#define TXT_MAP_PC32             	489	// BERTOUA
#define TXT_MAP_PC33             	490	// BANGASSOU
#define TXT_MAP_PC34             	491	// LODJA
#define TXT_MAP_PC35             	492	// KINSHASA
#define TXT_MAP_PC36             	493	// LUXOR
#define TXT_MAP_PC37             	494	// CAIUNDO
#define TXT_MAP_PC38             	495	// MZUZU
#define TXT_MAP_PC39             	496	// KEETMANSHOOP
#define TXT_MAP_PC40             	497	// XAI-XAI
#define TXT_MAP_PC41             	498	// GHANZI
#define TXT_MAP_PC42             	499	// CAPE TOWN
#define TXT_MAP_GDI              	500	// GDI PROGRESSION
#define TXT_MAP_NOD              	501	// NOD PROGRESSION
#define TXT_MAP_LOCATE           	502	// LOCATING COORDINATES
#define TXT_MAP_NEXT_MISSION     	503	// OF NEXT MISSION
#define TXT_MAP_SELECT           	504	// SELECT TERRITORY
#define TXT_MAP_TO_ATTACK        	505	// TO ATTACK
#define TXT_MAP_GDISTAT0         	506	// POPULATION:
#define TXT_MAP_GDISTAT1         	507	// GEOGRAPHIC AREA:
#define TXT_MAP_GDISTAT2         	508	// CAPITAL:
#define TXT_MAP_GDISTAT3         	509	// GOVERNMENT:
#define TXT_MAP_GDISTAT4         	510	// GROSS DOMESTIC PRODUCT:
#define TXT_MAP_GDISTAT5         	511	// POINT OF CONFLICT:
#define TXT_MAP_GDISTAT6         	512	// MILITARY POWER:
#define TXT_MAP_NODSTAT0         	513	// EXPENDABILITY:
#define TXT_MAP_NODSTAT1         	514	// GOVT CORRUPTABILITY:
#define TXT_MAP_NODSTAT2         	515	// NET WORTH:
#define TXT_MAP_NODSTAT3         	516	// MILITARY STRENGTH:
#define TXT_MAP_NODSTAT4         	517	// MILITARY RESISTANCE:
#define TXT_MAP_COUNTRYNAME0     	518	// LATVIA
#define TXT_MAP_COUNTRYNAME1     	519	// POLAND
#define TXT_MAP_COUNTRYNAME2     	520	// BELARUS
#define TXT_MAP_COUNTRYNAME3     	521	// UKRAINE
#define TXT_MAP_COUNTRYNAME4     	522	// GERMANY
#define TXT_MAP_COUNTRYNAME5     	523	// CZECH REPUBLIC
#define TXT_MAP_COUNTRYNAME6     	524	// SLOVAKIA
#define TXT_MAP_COUNTRYNAME7     	525	// AUSTRIA
#define TXT_MAP_COUNTRYNAME8     	526	// HUNGARY
#define TXT_MAP_COUNTRYNAME9     	527	// SLOVENIA
#define TXT_MAP_COUNTRYNAME10    	528	// ROMANIA
#define TXT_MAP_COUNTRYNAME11    	529	// GREECE
#define TXT_MAP_COUNTRYNAME12    	530	// ALBANIA
#define TXT_MAP_COUNTRYNAME13    	531	// BULGARIA
#define TXT_MAP_COUNTRYNAME14    	532	// YUGOSLAVIA
#define TXT_MAP_COUNTRYNAME15    	533	// BOSNIA/HERZOGOVINA
#define TXT_MAP_COUNTRYNAME16    	534	// LIBYA
#define TXT_MAP_COUNTRYNAME17    	535	// EGYPT
#define TXT_MAP_COUNTRYNAME18    	536	// SUDAN
#define TXT_MAP_COUNTRYNAME19    	537	// CHAD
#define TXT_MAP_COUNTRYNAME20    	538	// MAURITANIA
#define TXT_MAP_COUNTRYNAME21    	539	// IVORY COAST
#define TXT_MAP_COUNTRYNAME22    	540	// BENIN
#define TXT_MAP_COUNTRYNAME23    	541	// NIGERIA
#define TXT_MAP_COUNTRYNAME24    	542	// GABON
#define TXT_MAP_COUNTRYNAME25    	543	// CAMEROON
#define TXT_MAP_COUNTRYNAME26    	544	// CENTRAL AFRICAN REPUBLIC
#define TXT_MAP_COUNTRYNAME27    	545	// ZAIRE
#define TXT_MAP_COUNTRYNAME28    	546	// ANGOLA
#define TXT_MAP_COUNTRYNAME29    	547	// TANZANIA
#define TXT_MAP_COUNTRYNAME30    	548	// NAMIBIA
#define TXT_MAP_COUNTRYNAME31    	549	// MOZAMBIQUE
#define TXT_MAP_COUNTRYNAME32    	550	// BOTSWANA
#define TXT_MAP_COUNTRYNAME33    	551	// SOUTH AFRICA
#define TXT_MAP_COUNTRYNAME34    	552	// ESTONIA
#define TXT_MAP_GOVT0            	553	// REPUBLIC
#define TXT_MAP_GOVT1            	554	// DEMOCRATIC STATE
#define TXT_MAP_GOVT2            	555	// FEDERAL REPUBLIC
#define TXT_MAP_GOVT3            	556	// CONST. REPUBLIC
#define TXT_MAP_GOVT4            	557	// PARL. DEMOCRACY
#define TXT_MAP_GOVT5            	558	// PRES. PARL. REPUBLIC
#define TXT_MAP_GOVT6            	559	// DEMOCRACY
#define TXT_MAP_GOVT7            	560	// IN TRANSITION
#define TXT_MAP_GOVT8            	561	// ISLAMIC SOCIALIST
#define TXT_MAP_GOVT9            	562	// MILITARY
#define TXT_MAP_GOVT10           	563	// ISLAMIC REPUBLIC
#define TXT_MAP_GOVT11           	564	// PARL. REPUBLIC
#define TXT_MAP_ARMY0            	565	// LOCAL MILITIA
#define TXT_MAP_ARMY1            	566	// STATE MILITIA
#define TXT_MAP_ARMY2            	567	// NATIONAL GUARD
#define TXT_MAP_ARMY3            	568	// FREE STANDING ARMY
#define TXT_MAP_ARMY4            	569	// ?
#define TXT_MAP_ARMY5            	570	// NATIONAL POWER
#define TXT_MAP_MILITARY0        	571	// RESPECTABLE
#define TXT_MAP_MILITARY1        	572	// FORMIDABLE
#define TXT_MAP_MILITARY2        	573	// LAUGHABLE
#define TXT_MAP_MILITARY3        	574	// REASONABLE
#define TXT_MAP_MILITARY4        	575	// INSIGNIFICANT
#define TXT_MAP_CLICK2           	576	// CLICK TO CONTINUE
#define TXT_MAP_LMH0             	577	// LOW
#define TXT_MAP_LMH1             	578	// MEDIUM
#define TXT_MAP_LMH2             	579	// HIGH
#define TXT_SCORE_TIME           	580	// TIME:
#define TXT_SCORE_LEAD           	581	// LEADERSHIP:
#define TXT_SCORE_EFFI           	582	// EFFICIENCY:
#define TXT_SCORE_TOTA           	583	// TOTAL SCORE:
#define TXT_SCORE_CASU           	584	// CASUALTIES:
#define TXT_SCORE_NEUT           	585	// NEUTRAL:
#define TXT_SCORE_GDI            	586	// GDI:
#define TXT_SCORE_BUIL           	587	// BUILDINGS LOST
#define TXT_SCORE_BUIL1          	588	// BUILDINGS
#define TXT_SCORE_BUIL2          	589	// LOST:
#define TXT_SCORE_TOP            	590	// TOP SCORES
#define TXT_SCORE_ENDCRED        	591	// ENDING CREDITS:
#define TXT_SCORE_TIMEFORMAT1    	592	// %dh %dm
#define TXT_SCORE_TIMEFORMAT2    	593	// %dm
#define TXT_SCORE_NOD            	594	// NOD:
#define TXT_DIALING              	595	// Dialing...
#define TXT_DIALING_CANCELED     	596	// Dialing Canceled
#define TXT_WAITING_FOR_CALL     	597	// Waiting for Call...
#define TXT_ANSWERING_CANCELED   	598	// Answering Canceled
#define TXT_E7                   	599	// Engineer
#define TXT_SPECIAL_OPTIONS      	600	// Special Options
#define TXT_VISIBLE_TARGET       	601	// Targeting flash visible to
#define TXT_TREE_TARGET          	602	// Allow targeting of trees.
#define TXT_MCV_DEPLOY           	603	// Allow undeploy of
#define TXT_SMART_DEFENCE        	604	// Employ smarter self defense
#define TXT_SLOW_BUILD           	605	// Moderate production speed.
#define TXT_THREE_POINT          	606	// Use three point turn logic.
#define TXT_TIBERIUM_GROWTH      	607	// Tiberium will grow.
#define TXT_TIBERIUM_SPREAD      	608	// Tiberium will spread.
#define TXT_ROAD_PIECES          	609	// Disable building "bib"
#define TXT_SCATTER              	610	// Allow running from
#define TXT_MODEM_OR_LOOPBACK    	611	// Not a Null Modem Cable
#define TXT_MAP                  	612	// Map
#define TXT_FROM_COMPUTER        	613	// From Computer:
#define TXT_COMP_MSG1            	614	// Prepare to die!
#define TXT_COMP_MSG2            	615	// How about a bullet
#define TXT_COMP_MSG3            	616	// Incoming!
#define TXT_COMP_MSG4            	617	// I see you!
#define TXT_COMP_MSG5            	618	// Hey, I'm over here!
#define TXT_COMP_MSG6            	619	// Come get some!
#define TXT_COMP_MSG7            	620	// I got you!
#define TXT_COMP_MSG8            	621	// You humans are never a
#define TXT_COMP_MSG9            	622	// Abort, Retry, Ignore? (Ha
#define TXT_COMP_MSG10           	623	// Format another? (Just
#define TXT_COMP_MSG11           	624	// Beat me and I'll reboot!
#define TXT_COMP_MSG12           	625	// You're artificial
#define TXT_COMP_MSG13           	626	// My AI is better than your
#define TXT_THEME_AIRSTRIKE      	627	// Air Strike
#define TXT_THEME_HEAVYG         	628	// Demolition
#define TXT_THEME_J1             	629	// Untamed Land
#define TXT_THEME_JDI_V2         	630	// Take 'em Out
#define TXT_THEME_RADIO          	631	// Radio
#define TXT_THEME_RAIN           	632	// Rain In The Night
#define TXT_THEME_IND2           	633	// Canyon Chase
#define TXT_THEME_HEART          	634	// Heartbreak
#define TXT_BLOSSOM_TREE         	635	// Blossom Tree
#define TXT_RESTATE_MISSION      	636	// Restate
#define TXT_COMPUTER             	637	// Computer
#define TXT_COUNT                	638	// Unit Count:
#define TXT_LEVEL                	639	// Tech Level:
#define TXT_OPPONENT             	640	// Opponent
#define TXT_KILLS_COLON          	641	// Kills:
#define TXT_VIDEO                	642	// Video
#define TXT_C10                  	643	// Nikoomba
#define TXT_CAPTURE_THE_FLAG     	644	// Capture The Flag
#define TXT_THEME_VALK           	645	// Ride of the Valkyries
#define TXT_OBJECTIVE            	646	// Mission Objective
#define TXT_MISSION              	647	// Mission
#define TXT_NO_SAVES             	648	// No saved games available.
#define TXT_CIVILIAN_BUILDING    	649	// Civilian Building
#define TXT_TECHNICIAN           	650	// Technician
#define TXT_VISCEROID            	651	// Visceroid
#define TXT_NO_SAVELOAD          	652	// Save game options are not
#define TXT_DEFENDER_ADVANTAGE   	653	// Defender has the advantage.
#define TXT_SHOW_NAMES           	654	// Show true object names.
#define TXT_DELPHI               	655	// Agent Delphi
#define TXT_TO_REPLAY            	656	// Would you like to replay
#define TXT_RECONN_TO            	657	// Reconnecting to %s.
#define TXT_PLEASE_WAIT          	658	// Please wait %02d seconds.
#define TXT_SURRENDER            	659	// Do you wish to surrender?
#define TXT_GDI_NAME             	660	// GLOBAL DEFENSE INITIATIVE
#define TXT_NOD_NAME             	661	// BROTHERHOOD OF NOD
#define TXT_SEL_TRANS            	662	// SELECT TRANSMISSION
#define TXT_GAMENAME_MUSTBE_UNIQUE	663	// Your game name must be
#define TXT_GAME_IS_CLOSED       	664	// Game is closed.
#define TXT_NAME_MUSTBE_UNIQUE   	665	// Your name must be unique.
#define TXT_RECONNECTING_TO      	666	// Reconnecting to %s
#define TXT_WAITING_FOR_CONNECTIONS	667	// Waiting for connections...
#define TXT_TIME_ALLOWED         	668	// Time allowed: %02d seconds
#define TXT_PRESS_ESC            	669	// Press ESC to cancel.
#define TXT_JUST_YOU_AND_ME      	670	// From Computer: It's just
#define TXT_CAPTURE_THE_FLAG_COLON	671	// Capture the Flag:
#define TXT_CHAN                 	672	// Dr. Chan
#define TXT_HAS_ALLIED           	673	// %s has allied with %s
#define TXT_AT_WAR               	674	// %s declares war on %s
#define TXT_SEL_TARGET           	675	// Select a target
#define TXT_SEPARATE_HELIPAD     	676	// Allow separate helipad
#define TXT_RESIGN               	677	// Resign Game
#define TXT_TIBERIUM_FAST        	678	// Tiberium grows quickly.
#define TXT_ANSWERING            	679	// Answering...
#define TXT_INITIALIZING_MODEM   	680	// Initializing Modem...
#define TXT_SCENARIOS_DO_NOT_MATCH	681	// Scenarios don't match.
#define TXT_POWER_OUTPUT         	682	// Power Output
#define TXT_POWER_OUTPUT_LOW     	683	// Power Output (low)
#define TXT_CONTINUE             	684	// Continue
#define TXT_QUEUE_FULL           	685	// Data Queue Overflow
#define TXT_SPECIAL_WARNING      	686	// %s changed game options!
#define TXT_CD_DIALOG_1          	687	// Please insert a Command &
#define TXT_CD_DIALOG_2          	688	// Please insert CD %d (%s)
#define TXT_CD_ERROR1            	689	// Command & Conquer is unable
#define TXT_NO_SOUND_CARD        	690	// No Sound Card Detected
#define TXT_UNKNOWN              	691	// UNKNOWN
#define TXT_OLD_GAME             	692	// (old)
#define TXT_NO_SPACE             	693	// Insufficient Disk Space to
#define TXT_MUST_HAVE_SPACE      	694	// You must have %d megabytes
#define TXT_RUN_SETUP            	695	// Run SETUP program first.
#define TXT_WAITING_FOR_OPPONENT 	696	// Waiting for Opponent
#define TXT_SELECT_SETTINGS      	697	// Please select 'Settings' to
#define TXT_PRISON               	698	// Prison
#define TXT_GAME_WAS_SAVED       	699	// Game Saved
#define TXT_SPACE_CANT_SAVE      	700	// Insufficient disk space to
#define TXT_INVALID_PORT_ADDRESS 	701	// Invalid Port/Address. COM
#define TXT_INVALID_SETTINGS     	702	// Invalid Port and/or IRQ
#define TXT_IRQ_ALREADY_IN_USE   	703	// IRQ already in use
#define TXT_ABORT                	704	// Abort
#define TXT_RESTART              	705	// Restart
#define TXT_RESTARTING           	706	// Mission is
#define TXT_LOADING              	707	// Mission is loading. Please
#define TXT_ERROR_IN_INITSTRING  	708	// Error in the InitString
#define TXT_ORDER_INFO           	709	// Order Info
#define TXT_SCENES               	710	// Scenes
#define TXT_NEW_MISSIONS         	711	// New Missions
#define TXT_THEME_CHRG           	712	// Depth Charge
#define TXT_THEME_DRON           	713	// Drone
#define TXT_THEME_FIST           	714	// Iron Fist
#define TXT_THEME_CREP           	715	// Creeping Upon
#define TXT_THEME_80MX           	716	// C&C 80's Mix
#define TXT_THEME_DRIL           	717	// Drill
#define TXT_CD_DIALOG_3          	718	// Please insert the Covert
#define TXT_THEME_RECON          	719	// Recon
#define TXT_THEME_VOICE          	720	// Voice Rhythm
#define TXT_ERROR_NO_INIT        	721	// Error - modem did not
#define TXT_NO_FLOW_CONTROL_RESPONSE	722	// Error - Modem failed to
#define TXT_NO_COMPRESSION_RESPONSE	723	// Error - Modem failed to
#define TXT_NO_ERROR_CORRECTION_RESPONSE	724	// Error - Modem failed to
#define TXT_ERROR_NO_DISABLE     	725	// Error - unable to disable
#define TXT_ERROR_TOO_MANY       	726	// Error - Too many errors
#define TXT_IGNORE               	727	// Ignore
#define TXT_CONNECTING           	728	// Connecting... Please Wait.
#define TXT_EXPLAIN_REGISTRATION 	729	// To play Command & Conquer
#define TXT_REGISTER             	730	// Register
#define TXT_ERROR_UNABLE_TO_RUN_WCHAT	731	// Wchat not installed. Please
#define TXT_INTERNET             	732	// Internet Game
#define TXT_UNABLE_TO_SET_VIDEO_MODE	733	// Error - Unable to set the
#define TXT_UNABLE_TO_ALLOCATE_PRIMARY_VIDEO_BUFFER	734	// Error - Unable to allocate
#define TXT_NO_DIAL_TONE         	735	// No dial tone. Ensure your
#define TXT_MODEM_INITIALISATION 	736	// Modem Initialization
#define TXT_DATA_COMPRESSION     	737	// Data Compression
#define TXT_ERROR_CORRECTION     	738	// Error Correction
#define TXT_HARDWARE_FLOW_CONTROL	739	// Hardware Flow Control
#define TXT_ADVANCED             	740	// Advanced
#define TXT_JUST_INTRO           	741	// Intro
#define TXT_READING_IMAGE_DATA   	742	// READING IMAGE DATA
#define TXT_ANALYZING            	743	// ANALYZING
#define TXT_ENHANCING_IMAGE_DATA 	744	// ENHANCING IMAGE DATA
#define TXT_ISOLATING_OPERATIONAL_THEATER	745	// ISOLATING OPERATIONAL
#define TXT_ESTABLISHING_TRADITIONAL_BOUNDARIES	746	// ESTABLISHING TRADITIONAL
#define TXT_FOR_VISUAL_REFERENCE 	747	// FOR VISUAL REFERENCE
#define TXT_ENHANCING_IMAGE      	748	// ENHANCING IMAGE
#define TXT_BONUS_MISSIONS       	749	// Bonus Missions
#define TXT_BONUS_MISSION_1      	750	// Bonus Mission 1
#define TXT_BONUS_MISSION_2      	751	// Bonus Mission 2
#define TXT_BONUS_MISSION_3      	752	// Bonus Mission 3
#define TXT_BONUS_MISSION_4      	753	// Bonus Mission 4
#define TXT_BONUS_MISSION_5      	754	// Bonus Mission 5
#define TXT_LOW_POWER               755
#define TXT_INSUFFICIENT_FUNDS      756